MySQL Workbench Release Notes

   Abstract

   This document contains release notes for the changes in each
   release of MySQL Workbench.

   For additional MySQL Workbench documentation, see MySQL
   Workbench (http://dev.mysql.com/doc/workbench/en/index.html).

   Updates to these notes occur as new product features are
   added, so that everybody can follow the development process.
   If a recent version is listed here that you cannot find on
   the download page (http://dev.mysql.com/downloads/), it means
   that the version has not yet been released.

   The date mentioned with a release version is the date of the
   last revision control system changeset on which the release
   was based, not necessarily the date when the distribution
   packages were made available. The binaries are usually made
   available a few days after the date of the tagged changeset
   because building and testing all packages takes some time.

   The documentation included in source and binary distributions
   may not be fully up to date with respect to release note
   entries because integration of the documentation occurs at
   release build time. For the most up-to-date release notes,
   please refer to the online documentation instead.

   For legal information, see the Legal Notices.

   Document generated on: 2014-11-10 (revision: 4624)
     ________________________________________________________

Preface and Legal Notices

   This document contains release notes for the changes in each
   release of MySQL Workbench.

Legal Notices

   Copyright (c) 2006, 2014, Oracle and/or its affiliates. All
   rights reserved.

   This software and related documentation are provided under a
   license agreement containing restrictions on use and
   disclosure and are protected by intellectual property laws.
   Except as expressly permitted in your license agreement or
   allowed by law, you may not use, copy, reproduce, translate,
   broadcast, modify, license, transmit, distribute, exhibit,
   perform, publish, or display any part, in any form, or by any
   means. Reverse engineering, disassembly, or decompilation of
   this software, unless required by law for interoperability,
   is prohibited.

   The information contained herein is subject to change without
   notice and is not warranted to be error-free. If you find any
   errors, please report them to us in writing.

   If this software or related documentation is delivered to the
   U.S. Government or anyone licensing it on behalf of the U.S.
   Government, the following notice is applicable:

   U.S. GOVERNMENT RIGHTS Programs, software, databases, and
   related documentation and technical data delivered to U.S.
   Government customers are "commercial computer software" or
   "commercial technical data" pursuant to the applicable
   Federal Acquisition Regulation and agency-specific
   supplemental regulations. As such, the use, duplication,
   disclosure, modification, and adaptation shall be subject to
   the restrictions and license terms set forth in the
   applicable Government contract, and, to the extent applicable
   by the terms of the Government contract, the additional
   rights set forth in FAR 52.227-19, Commercial Computer
   Software License (December 2007). Oracle USA, Inc., 500
   Oracle Parkway, Redwood City, CA 94065.

   This software is developed for general use in a variety of
   information management applications. It is not developed or
   intended for use in any inherently dangerous applications,
   including applications which may create a risk of personal
   injury. If you use this software in dangerous applications,
   then you shall be responsible to take all appropriate
   fail-safe, backup, redundancy, and other measures to ensure
   the safe use of this software. Oracle Corporation and its
   affiliates disclaim any liability for any damages caused by
   use of this software in dangerous applications.

   Oracle is a registered trademark of Oracle Corporation and/or
   its affiliates. MySQL is a trademark of Oracle Corporation
   and/or its affiliates, and shall not be used without Oracle's
   express written authorization. Other names may be trademarks
   of their respective owners.

   This software and documentation may provide access to or
   information on content, products, and services from third
   parties. Oracle Corporation and its affiliates are not
   responsible for and expressly disclaim all warranties of any
   kind with respect to third-party content, products, and
   services. Oracle Corporation and its affiliates will not be
   responsible for any loss, costs, or damages incurred due to
   your access to or use of third-party content, products, or
   services.

   This document in any form, software or printed matter,
   contains proprietary information that is the exclusive
   property of Oracle. Your access to and use of this material
   is subject to the terms and conditions of your Oracle
   Software License and Service Agreement, which has been
   executed and with which you agree to comply. This document
   and information contained herein may not be disclosed,
   copied, reproduced, or distributed to anyone outside Oracle
   without prior written consent of Oracle or as specifically
   provided below. This document is not part of your license
   agreement nor can it be incorporated into any contractual
   agreement with Oracle or its subsidiaries or affiliates.

   This documentation is NOT distributed under a GPL license.
   Use of this documentation is subject to the following terms:

   You may create a printed copy of this documentation solely
   for your own personal use. Conversion to other formats is
   allowed as long as the actual content is not altered or
   edited in any way. You shall not publish or distribute this
   documentation in any form or on any media, except if you
   distribute the documentation in a manner similar to how
   Oracle disseminates it (that is, electronically for download
   on a Web site with the software) or on a CD-ROM or similar
   medium, provided however that the documentation is
   disseminated together with the software on the same medium.
   Any other use, such as any dissemination of printed copies or
   use of this documentation, in whole or in part, in another
   publication, requires the prior written consent from an
   authorized representative of Oracle. Oracle and/or its
   affiliates reserve any and all rights to this documentation
   not expressly granted above.

   For more information on the terms of this license, or for
   details on how the MySQL documentation is built and produced,
   please visit MySQL Contact & Questions
   (http://dev.mysql.com/contact/).

   For help with using MySQL, please visit either the MySQL
   Forums (http://forums.mysql.com) or MySQL Mailing Lists
   (http://lists.mysql.com) where you can discuss your issues
   with other MySQL users.

   For additional documentation on MySQL products, including
   translations of the documentation into other languages, and
   downloadable versions in variety of formats, including HTML
   and PDF formats, see the MySQL Documentation Library
   (http://dev.mysql.com/doc).

Changes in MySQL Workbench 6.2

   For detailed information about the new features, see What's
   New in MySQL Workbench 6.2
   (http://dev.mysql.com/doc/workbench/en/wb-what-is-new-62.html
   ).

   Prerequisite change: On Windows, MySQL Workbench now requires
   the Microsoft Visual C++ 2013 Redistributable Package, as
   previous MySQL Workbench versions used the Microsoft Visual
   C++ 2010 Redistributable Package.

Changes in MySQL Workbench 6.2.4 (Not yet released)

   Functionality Added or Changed

     * A new advanced tab was added to the MySQL Enterprise
       Backup profile editor. These options are stored in the
       [mysqlbackup] section of the backup profile, which is
       used by the MySQL Enterprise Backup executable through
       the --defaults-file parameter. (Bug #19643172)

     * A new preference was added that defines whether pressing
       Tab inserts tab characters or spaces. (Bug #19598375, Bug
       #73189)

     * The EER diagram catalog browser now remembers view states
       on a per diagram basis. (Bug #19508483, Bug #72255)

     * A new Indentation section was added to the "General
       Editors" preferences. Included are options to set the
       indentation width and tab width. (Bug #17455648, Bug
       #70148)

     * Adding an SQL snippet now opens the snippet editor, when
       before it immediately added the snippet without a title
       or code review. (Bug #14724622, Bug #67085)

     * A new preference was added that limits the number of
       automatically opened SQL result sets for SELECT queries,
       which defaults to 50. Reaching this limit emits a
       warning.
       Before, executing a large number of SELECT queries (about
       800) at once would cause a fatal error after exceeding
       system CPU and memory limits. (Bug #12949811, Bug #62259)

     * Opening an SQL script no longer requires a MySQL
       connection. To do this, select Open SQL Script from the
       File navigation menu on the home page. (Bug #11757343,
       Bug #49377)

   Bugs Fixed

     * Inserting the locate() function inside another function
       would incorrectly report an SQL syntax error. (Bug
       #19856523, Bug #74439)

     * Compiling MySQL Workbench would fail on Hurd, kFreeBSD,
       s390x, and ppc64el systems. (Bug #19806379, Bug #74241)

     * Connections to remote hosts using the connection method
       "Standard TCP/IP over SSH" would fail with new versions
       (1.15+) of the paramiko library.
       A workaround was to downgrade the system's paramiko
       library. (Bug #19768621, Bug #74223)

     * Stored procedures that were identified as having syntax
       errors could not be saved. (Bug #19767233, Bug #74237)

     * MySQL Workbench generated incorrect UPDATE queries for
       tables without a Primary Key even where unique keys were
       present. (Bug #19711078, Bug #74140)

     * After typing Control + F and clicking Replace, the
       entered text of the replace string was not fully visible.
       (Bug #19690226, Bug #74088)

     * On Windows, "Beautify/reformat the SQL script" could
       cause MySQL Workbench to freeze. (Bug #19667130, Bug
       #74020)

     * The Find's Previous button would sometimes behave like
       the Next button. (Bug #19647189, Bug #73971)

     * Under Data Import/Restore, the "Enable Cleartext
       Authentication Plugin" option did not always function.
       (Bug #19598678, Bug #72433)

     * Under Users and Privileges, the text "Click the Drop
       button to completely remove the account" was changed to
       "Click the Delete button to completely remove the
       account". (Bug #19598511, Bug #73857)

     * A new Data Export preference was added that makes the
       CREATE DATABASE and USE statements optional in the
       generated output. (Bug #19598433, Bug #72599)

     * A new preference (checkbox) was added to optionally
       export triggers. (Bug #19598408, Bug #73718)

     * On Linux, the [x] button to close an SQL editor tab was
       missing if the required font package was not present on
       the system. Now, an image is used instead. (Bug
       #19598393, Bug #70993)

     * The SQL syntax checker would show errors for EXECUTE
       statements without the "using" keyword. (Bug #19560590,
       Bug #73804)

     * A new GTID_PURGED option was added under "Advanced
       options" to the Data Export wizard. (Bug #19528673)

     * There was a performance regression between 6.0 and
       6.1/6.2 when switching diagram tabs, loading the model,
       as also adding new tables. The Catalog Tree was
       refactored for increased performance. (Bug #19524441, Bug
       #69184)

     * Attempting to execute a query with one SQL editor tab
       while another SQL editor tab was causing a metadata lock
       would freeze MySQL Workbench. (Bug #19444247, Bug #73574)

     * The Auto-save scripts interval preference did not
       function, as auto-save saved all connection and query
       tabs every 10 seconds regardless of this setting. (Bug
       #19201716, Bug #73178)

     * The Dashboard charts for Client Connections latest
       current value was always null, and the current, max, and
       limit values were overlapped. (Bug #18965879, Bug #72984)

     * The Server Status page did not recognize the enabled
       Memcached and Semi-Sync replication features. The status
       light for these features did not change from red to
       green. The System and Status Variables page reported the
       correct values for these features. (Bug #18703315, Bug
       #72531)

     * Custom user creation and MySQL Enterprise Backup was
       fixed to always function with a MySQL server started with
       the skip-name-resolve option. (Bug #17924757)

     * Clicking Cancel at the password prompt for a Navigator
       option, such as System Status, would emit an unhandled
       exception. (Bug #17651774)

     * The SQL CREATE Script for Selected Object window under
       Object Migration in the migration wizard was narrow, and
       was missing a slider. (Bug #14823142, Bug #67189)

     * Font selection and support was improved. Some fonts, such
       as Cyrillic fonts, were not displayed properly. (Bug
       #12951450, Bug #62328)

     * When generating default INSERTs code for tables in
       modeling, columns that are specified NOT NULL will now
       replace NULL column values with the DEFAULT keyword. (Bug
       #11762839, Bug #55483)

Changes in MySQL Workbench 6.2.3 (2014-09-23, General Availability)

   Bugs Fixed

     * On Linux (64-bit only), clicking Delete Row on a result
       grid would cause a crash. (Bug #19598295, Bug #73879)

     * Several issues were identified and fixed in the GRANT
       parsing logic for MySQL Enterprise Backup. Related
       unhandled exceptions are no longer generated. (Bug
       #19589202, Bug #72390)

     * On Windows, the Data Export functionality was escaping
       the $ symbol in table names, which resulted in mysqldump
       failing to find the table. (Bug #19553584)

     * On Windows, using the key combination Control + Shift + Z
       after altering a view could cause a crash. (Bug
       #19543544, Bug #73496)

     * The Set field(s) to NULL result field context-menu option
       did not function. (Bug #19499823, Bug #73079)

     * The "SHOW SLAVE STATUS NONBLOCKING" syntax introduced in
       MySQL 5.7 is now supported. (Bug #18383851)

     * In the SQL editor, code completion would freeze MySQL
       Workbench when used with a large (1000+ tables) database.
       (Bug #17457790, Bug #70338)

Changes in MySQL Workbench 6.2.2 (2014-09-05, Release Candidate)

   Functionality Added or Changed

     * The following SSL related changes were introduced:

          + The Use SSL option for SSL connection options was
            changed to a dropdown, where you can select one of:
            No, If Available, or Required.

          + If Required is selected, the connection will fail if
            a SSL connection cannot be enabled.

          + New MySQL connections default to If available.

          + The Test Connection button now shows whether SSL was
            enabled when the connection was opened.

          + The Session Information panel in the SQL Editor
            sidebar shows is SSL is enabled, and also the Cipher
            in use.
       (Bug #18547269)

     * Indentation is now respected in the SQL and code editors,
       when before the current indention level would be
       forgotten. New lines now start at the previous indention
       level. (Bug #17354356, Bug #14666286, Bug #70138, Bug
       #66941)

     * The tab key now inserts a tab character into the query
       editor, when before it inserted three spaces. (Bug
       #14499535, Bug #66382)

   Bugs Fixed

     * On OS X, the SQL auto-completion feature did not function
       for table or field names. (Bug #19563290, Bug #73805)

     * Refreshing the query results grid after an external
       source modified a table would sometimes fail to yield the
       expected results, such as showing a bogus row containing
       NULL values. (Bug #19527620, Bug #73762)

     * Executing Execute (All or selection) to Text on queries
       that SELECT from empty tables failed and generate an
       error similar to "Error during "Execute Query Into Text
       Output" error calling Python module function
       SQLIDEUtils.executeQueryAsText". (Bug #19490650, Bug
       #72611)

     * Selecting a color from color picker on a table would
       generate an invalid color value. (Bug #19487822, Bug
       #73682)

     * On Windows, the catalog treeview now has tooltips to show
       object names of any length. On Linux, this information is
       available from a new column. (Bug #19487798, Bug #73681)

     * The Commit results edits and Discard results Edits
       options would sometimes be hidden from view. (Bug
       #19484760, Bug #71539)

     * The document tab controls now block mouse movements when
       the button is down, as to prevent accidental window
       dragging. (Bug #19484086, Bug #72256)

     * If a transaction was already open with auto-commit
       disabled, there was a dialog that prompted to commit the
       open transaction before applying the changes. That dialog
       was simplified to only offer Apply and Cancel options.
       This dialog still has no effect on the transaction for
       applying the result set itself.
       Also, the result set changes will no longer be committed
       if a transaction was already open when Apply is clicked.
       With auto-commit enabled, the old behavior of applying
       the change inside a new transaction is maintained. (Bug
       #19482785, Bug #73076)

     * The SQL beautification feature would change "NOW()" to
       "NOW ()" (note the inserted space), which created an SQL
       syntax error. (Bug #19477485, Bug #73661)

     * The server management functionality would sometimes fail
       with connections using SSH tunneling. (Bug #19447288, Bug
       #73580)

     * Clicking the spatial view in the results tab could cause
       a crash. (Bug #19429414, Bug #19574103, Bug #73824)

     * With the presence of char(0) (0x00) in data fields,
       exporting result sets to CSV would sometimes generate
       corrupt data. (Bug #19412388, Bug #73524)

     * Several typos were fixed in the GUI descriptions, such as
       "Program Fiels" to "Program Files". (Bug #19397736, Bug
       #73510)

     * When there were multiple result sets, then only one was
       shown in the output pane when using "Vertical Output"
       output type. (Bug #19344302, Bug #73452)

     * The Queries per Second metric was renamed to Selects per
       Second, to avoid confusion. (Bug #19314885, Bug #70132)

     * On OS X, changing database settings would cause a crash.
       (Bug #19313190, Bug #73416)

     * On Linux, clicking the "Zoom out the diagram" icon in the
       Visual Explain interface would cause a crash. (Bug
       #19279674)

     * Quickly clicking Apply twice after editing a result set
       entry would cause a crash. (Bug #19264864, Bug #73348)

     * The --script parameter, which is meant to load an SQL
       script into a query editor, will now explicitly emit a
       warning when it is mistakenly used with a Python script.
       (Bug #19255337, Bug #73334)

     * The CHAR() data type was added to the SQL and Model
       editors. (Bug #19206172, Bug #73282)

     * After adding enough SQL statements in the SQL editor to
       require scrolling, and scrolling to the bottom statement
       and executing it, the SQL window would automatically
       scroll to the top statement. Now, the cursor position is
       preserved. (Bug #19194043, Bug #73262)

     * The three columns widths under Status and system
       variables can now be resized. (Bug #19186598, Bug #73245)

     * Under certain conditions, Visual Explain would only
       display the raw explain data. (Bug #19186177, Bug #73256)

     * The form editor would only display up to 250 characters.
       (Bug #19176830, Bug #73234)

     * The "column privileges" section in the Table Inspector
       contained an extra third column. (Bug #19166119, Bug
       #73221)

     * Saving a query in the SQL editor would clear the undo
       history. (Bug #19153350, Bug #73188)

     * When exporting a database, MySQL Workbench now checks and
       notifies the user when the bundled or configured
       mysqldump is older than the target MySQL version, and
       prompts the user to set Path to mysqldump Tool in MySQL
       Workbench to the appropriate version. (Bug #19127351, Bug
       #72312)

     * Clicking Help, Report a Bug did not function. (Bug
       #19063645, Bug #73104)

     * The History Output window failed to handle a change to
       the system's date. (Bug #19018097, Bug #71196)

     * Clicking Import or Export from a Model's table properties
       Inserts tab did not function. (Bug #18974785, Bug #72733)

     * The results grid columns only showed a small number of
       characters. (Bug #18966800, Bug #72967)

     * The generated code from an EER diagram would sometimes
       add the Primary Key in the wrong order. (Bug #18945899,
       Bug #72920)

     * On Linux, assigning a referenced foreign key could cause
       a crash. (Bug #18936194, Bug #72916)

     * MySQL Workbench incorrectly reported that the current
       user did not have permission to execute a SELECT query
       that requested values from columns that the user was
       explicitly granted SELECT permission. (Bug #18932984, Bug
       #72905)

     * New lines inside an SQL statement comment would truncate
       the comment at the new line. (Bug #18925569, Bug #72904)

     * On OS X, executing a query would sometimes hide the
       results grid. (Bug #18922858, Bug #72897)

     * Expanding the schema list in the object browser could
       take a long time to execute, depending on the number of
       procedures present. Now, mysql.proc is used to get
       procedure and function information, with the previously
       used (and less efficient) SHOW PROCEDURE STATUS as a
       fallback option. (Bug #18906030)

     * On Linux, the BLOB columns were not viewable in the query
       results editor. (Bug #18788268, Bug #72676)

     * Migrating SQL Server 2005 tables with timestamps would
       not import the timestamp column data. (Bug #18764121, Bug
       #72650)

     * Importing or exporting data records to/from a table
       to/from an external file would cause a crash. (Bug
       #18762702, Bug #72648)

     * The bundled MySQL Workbench documentation was removed,
       and it was replaced with a link to the official online
       manual. (Bug #18734566)

     * While executing the Forward Engineering wizard after
       renaming a schema, the routines and views were not
       exported when the Omit Schema Qualifier option was
       selected. (Bug #18719282)

     * The object dialog tooltip remained viewable when an
       object was dragged. (Bug #18718988, Bug #72549)

     * Corrupted tables were listed under the Views tab, instead
       of being listed under the Tables tab. (Bug #18621591, Bug
       #72380)

     * The Notifications tab in the Scripting Shell was missing
       its panel title. (Bug #18548008, Bug #72299)

     * The MySQL 5.7+ implementation of the server-side
       statement timeout syntax is now supported in the syntax
       checker, configuration editor, and error handler. Example
       syntax includes "SELECT MAX_STATEMENT_TIME = 1 * FROM
       SAKILA.actor". (Bug #18545802)

     * In the schema inspector, the Copy to Clipboard and Send
       to SQL Editor context menu options did not function. (Bug
       #18540059, Bug #72282)

     * Executing a model to database synchronization immediately
       after the model was forward engineered would show too
       many differences. (Bug #18492219)

     * Migrating from Sybase ASE could generate an incorrect
       connection string. (Bug #18490804)

     * Connections using SSH tunneling would sometimes die after
       a short idle period. (Bug #18454694, Bug #72105)

     * The comment input box for a model view was too short.
       (Bug #18454388)

     * The Export Recordset dialog was too wide. (Bug #18454356)

     * The DBdoc Model reporting feature did not function. (Bug
       #18453959)

     * On Linux, the left and right arrow keys now expand and
       collapse nodes in the schema (object) navigator tab. (Bug
       #18451434, Bug #72103)

     * The performance dashboard tooltips would remain open and
       cover other GUI elements. (Bug #18445789)

     * The Previous and Next buttons did not function after
       loading a large audit file in the Audit Inspector. (Bug
       #18427194)

     * In the table inspector, the Drop Index button would be
       pushed off the screen (hidden) when the index name was
       too long. (Bug #18426804)

     * When migrating from Microsoft SQL Server 2008 to MySQL
       5.6+, copying a table with the column type DATETIME using
       milliseconds precision would only fill the target entry
       milliseconds as .000. (Bug #18412667, Bug #72060)

     * Some options were listed twice in the Relay Log box in
       the Replication tab of the Options File window, options
       such as relay-log-index, relay-log-recovery, and
       relay-log-info-file. (Bug #18373619, Bug #71976)

     * SSH authentication would sometimes fail when the password
       was not saved to the vault. (Bug #18149737, Bug #71504)

     * The query tab names would be forgotten after closing
       MySQL Workbench, and these tab names are now preserved
       across sessions. (Bug #18131999, Bug #19492952, Bug
       #69234, Bug #71471)

     * Workbench did not recognize ALTER ONLINE|OFFLINE TABLE
       syntax, a syntax removed in MySQL server 5.6. (Bug
       #18067770)

     * On 64-bit operating systems, MySQL Workbench would
       display the incorrect default value for the
       "thread_stack" system variable. (Bug #17879238, Bug
       #71045)

     * The "expanded" property in the Property Editor was
       ignored when opening an EER Diagram. All routine groups
       were expanded, regardless of the "expanded" setting.
       Expanded, manual sizing, and any other properties are now
       persistent. (Bug #17554059, Bug #70506)

     * The innodb_buffer_pool_size option was listed twice under
       option file management. (Bug #17339642, Bug #70003)

     * On Windows, the Schema transfer wizard background image
       was cropped. This background image was removed. (Bug
       #17300415)

     * During a partial backup operation, under certain
       circumstances the desired schema would not be visible in
       the UI. (Bug #17300033)

     * The migration wizard would not migrate PostgreSQL to
       MySQL server 5.7. (Bug #17075011)

     * The "word wrap" state is now preserved across SQL tabs
       and MySQL Workbench sessions. (Bug #16505796, Bug #68693)

     * Empty user names are no longer allowed. (Bug #16298174,
       Bug #68305)

     * Closing an ERR Model would not release an appropriate
       amount of RAM. (Bug #14768662, Bug #67264)

     * When the ALTER Table editor had changes committed and an
       error occurred, it would attempt to re-create the
       original object. However, that was not functioning
       correctly most of the time, so this feature was
       completely removed to avoid confusing error messages.
       (Bug #13640795)

     * The syntax checker and parser now handles SQL_NO_CACHE
       and SQL_CACHE in subqueries. This is accepted as valid
       syntax for MySQL server versions less than or equal to
       5.1. For higher versions, a syntax error is generated.
       (Bug #12711154, Bug #61668)

     * On Windows, the dialog windows would appear under the
       Windows task bar. (Bug #12622572, Bug #61125)

     * Draggable boxes were difficult to locate when the model
       view zoom was lowered. (Bug #11749682, Bug #39608)

     * The migration wizard now sets
       "SQL_MODE=NO_AUTO_VALUE_ON_ZERO" before copying data,
       which causes auto_increment field values of 0 to be
       copied as 0. (Bug #11747050, Bug #30486)

Changes in MySQL Workbench 6.2.1 (2014-08-19, Beta)

   See the MySQL Workbench 6.2.0 release notes for a list of new
   6.2.x features.

   Bugs Fixed

     * Adding comments for a column in a model would sometimes
       generate special characters. (Bug #19351764, Bug #73462)

     * The word "International" was written as "Iternational" in
       the Administration panel. (Bug #19240901, Bug #73315)

     * Tables could not be clicked-and-dragged after closing any
       other EER diagram tab. (Bug #19058582, Bug #73090)

     * After editing a table column and then returning focus to
       the diagram view, the table name field would incorrectly
       take the focus. (Bug #18688201, Bug #72496)

     * The "show captions next to relationships" option would
       cause the captions to overlap. (Bug #18633273, Bug
       #72307)

     * The automatic context help did not always function in the
       SQL editor. (Bug #18592483, Bug #72324)

     * On Windows, the command line character limit affected the
       data export function for self-contained files, as a full
       list of tables was passed to the mysqldump utility but
       the character limit meant some tables were not exported.
       (Bug #18296838, Bug #71799)

     * Sometimes a new MySQL Enterprise Backup 3.9.x partial
       backup failed. (Bug #17354393)

Changes in MySQL Workbench 6.2.0 (2014-08-12, Internal)

   Functionality Added or Changed

     * The schema navigator now includes new overlay icons for
       common operations such as table data view, table edit,
       and table/schema inspector. (Bug #18621683, Bug
       #13813178, Bug #72384, Bug #64493)

     * The NONBLOCKING modifier (SHOW SLAVE STATUS NONBLOCKING)
       in MySQL 5.7+ is now supported. (Bug #18383812)

     * An option was added that converts SQL keywords to
       uppercase when using the SQL beautification tool. (Bug
       #18124415, Bug #71459)

     * A new "Pin Tab" feature was added that saves (pins)
       result set tabs to the SQL Editor. To use, right-click on
       a result set menu and select Pin Tab from the context
       menu. (Bug #16171532, Bug #67364)

     * Shared SQL snippets were added. They allow multiple users
       to share SQL code by storing the snippets in a shared
       MySQL instance. (Bug #13596578, Bug #64007)

     * For Microsoft Windows, 64-bit binaries are now built to
       go along with the 32-bit versions. (Bug #12589701, Bug
       #61263)

     * An option to include (attach) SQL scripts was added in
       the forward engineer and synchronization wizards. (Bug
       #11748756, Bug #37299)

     * The migration wizard now supports migration from
       Microsoft Access.

     * The MySQL 5.7 SQL syntax and configuration options are
       now supported.

     * The result set panel now integrates Visual Explain, and
       offers an execution plan for all executed queries.

     * The Run SQL Script command can now be executed on SQL
       scripts, without first loading the scripts.

     * Database modeling was updated to allow changes to the
       formatting of note objects, and attached SQL scripts can
       now be included in the forward engineering and
       synchronization scripts.

     * Visual Explain now allows you to "drill down" into large
       to very large explain plans.

     * The result tabs can now be "pinned" for persistent data
       views.

     * The improved results handling include better column
       auto-sizing and saved width preferences. The fonts can
       also be customized.

     * The Metadata Locks view shows the locked connections that
       are blocked or being waiting on.

     * MySQL Fabric cluster connectivity: Browse, view status,
       and connect to any MySQL instance in a Fabric Cluster.

     * A new spatial data viewer that offers graphical views of
       result sets containing GEOMETRY data. This utilizes the
       GIS capabilities in MySQL 5.7+.

   Bugs Fixed

     * On OS X, closed query tabs could reopen after restarting
       MySQL Workbench. (Bug #19376105, Bug #73487)

     * A clear warning was added that fully enabling all
       "Performance Schema" instrumentation options causes
       performance degradation. (Bug #18984148)

     * The results grid Filter Rows box failed to filter out
       partial matches. (Bug #18974865, Bug #72214)

     * When importing a CSV file, only the first line was
       displayed. (Bug #18849285, Bug #72768)

     * A newly created SSH / TCP connection required MySQL
       Workbench to be restarted before it could be used with
       Enterprise features. (Bug #18673220)

     * The refresh button on the results grid did not function.
       (Bug #18670542, Bug #72471)

     * The log viewer did not take into account the log file
       changes in MySQL server 5.7.2+. (Bug #18632608)

     * Column widths in the results view window would sometimes
       not fit, thus requiring the columns to be resized
       manually.
       In addition to the autofit function being fixed, adjusted
       column widths are now preserved. (Bug #18589588, Bug
       #14079636, Bug #72332, Bug #65223)

     * Multiple trigger support in MySQL server 5.7+ was added.
       (Bug #18547239)

     * The SQL parser was updated to reflect the SQL grammar
       changes in MySQL 5.7. (Bug #18545678, Bug #18545802)

     * A failed WMI managed connection would not emit an error,
       and would instead report the connection as being valid.
       (Bug #18492248)

     * Sort on numeric columns did not function properly. (Bug
       #18447936, Bug #72104)

     * The text boxes in the "Object" and "Session" windows
       could be edited. (Bug #18445344)

     * A specific error message was added for failed MySQL
       connections when the max_user_connections limit was
       reached. (Bug #18431229, Bug #72026)

     * The mouseover tooltips in the Visual Explain window would
       sometimes hide unrelated content. (Bug #18251611, Bug
       #71711)

     * A new configuration option was added to configure the
       font in the results view window. (Bug #17490024, Bug
       #70388)

     * Models that were auto-saved could not be recovered. (Bug
       #17299758)

     * The "precision" keyword was not considered valid in MySQL
       Workbench. The SQL editor, reverse engineering wizard,
       and table editor were updated to accept the "precision"
       keyword. (Bug #17169591, Bug #69754)

     * Opening BLOB field data (such as an average sized image)
       in the Value Editor could take 10-40 seconds to load.
       (Bug #16715370, Bug #69049)

     * In the scripting editor, the Control + F keyboard
       shortcut inserted an ACK character instead of loading the
       "Find and Replace" dialog. (Bug #14495634, Bug #66302)

     * Reordering tabs could cause query execution in an
       unexpected tab. (Bug #14221754, Bug #65557)

     * The Control + S keyboard shortcut would not save the
       Python file in the scripting shell. (Bug #14172988)

     * Textual content would not wrap the text when resizing a
       text object. (Bug #12546783, Bug #61092)

     * A new context menu item was added that adds all tables in
       the privileges role editor. (Bug #11763614, Bug #56346)

     * A new button was added to select all privileges when
       assigning privileges to a role. (Bug #11763614, Bug
       #56346)

     * The Lua scripting language is no longer supported in the
       Scripting Shell. For additional information about Python
       support, see Extending Workbench
       (http://dev.mysql.com/doc/workbench/en/wb-extending.html)
       .

     * On Microsoft Windows, the Microsoft visual C++ 2013
       redistributable package is now used instead of the 2010
       version.

Changes in MySQL Workbench 6.1

   For detailed information about the new features, see What's
   New in MySQL Workbench 6.1
   (http://dev.mysql.com/doc/workbench/en/wb-what-is-new-61.html
   ).

Changes in MySQL Workbench 6.1.7 (2014-06-27)

   Bugs Fixed

     * Security Fix: The linked OpenSSL library for MySQL
       Workbench Commercial 6.1.7 has been updated from version
       1.0.1g to version 1.0.1h. Versions of OpenSSL prior to
       and including 1.0.1g are reported to be vulnerable to
       CVE-2014-0224
       (http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-20
       14-0224).
       This change does not affect the Oracle-produced MySQL
       Community build of MySQL Workbench 6.1.7, which uses the
       yaSSL library instead. (CVE-2014-0224)

     * On Ubuntu Linux, the 32-bit build was discontinued.
       Ubuntu 32-bit users must now build from the source. (Bug
       #19124922, Bug #73140)

     * Under certain conditions (with a subquery), Visual
       Explain would fail with the error "error calling Python
       module function SQLIDEQueryAnalysis.visualExplain", even
       when the tabular EXPLAIN was properly generated. (Bug
       #18997475, Bug #72725)

     * The Backup Recovery process could fail and generate an
       unhandled exception titled "list indices must be
       integers, not NoneType" after clicking Cancel. General
       improvements were made to this functionality. (Bug
       #18925451)

     * The Form Editor could generate an "Index was out of
       range" error after adding a new record and then clicking
       Add Record. (Bug #18891983, Bug #72844)

     * The schema selection step of the migration wizard would
       not display the complete names of the schemas nor
       complete the migration process if the schema name
       contained a dot. (Bug #18844624, Bug #72757)

     * On Ubuntu 14, the dependency check was updated to allow
       any of mysql-client, mysql-client-5.6 or
       mysql-community-client client libraries. Previously, the
       dependency check could fail. (Bug #18841046, Bug #72729)

     * Sometimes MySQL Workbench would crash when connecting to
       a remote Linux host using SSH. (Bug #18817608, Bug
       #72486)

     * The Backup Restore action would hang with a MySQL server
       running in a MySQL Sandbox environment that used MySQL
       Sandbox to start/stop the MySQL server. (Bug #18814560)

     * Executing the following steps (in order) would generate
       an error: change layer name, change layer color, and then
       resize layer. (Bug #18760955, Bug #72647)

     * With the Move Model tool enabled, dragging a model while
       hovering (and pausing) over a table would generate a
       tooltip that would not go away. (Bug #18718801, Bug
       #72555)

     * For a new EER diagram, editing a text object after adding
       a different text object could cause MySQL Workbench to
       crash.
       A workaround was to close the new diagram and model, and
       then reopen the model and diagram. (Bug #18718784, Bug
       #72559)

     * MySQL error code 1698
       (ER_ACCESS_DENIED_NO_PASSWORD_ERROR) is now handled as an
       authentication error. (Bug #18711142, Bug #72536)

     * After enabling Import from Folder in the Data Import /
       Restore wizard for a connection, doing the same for a
       second connection would reset (deselect) this option in
       the first connection. (Bug #18685308, Bug #72492)

     * A new "Override sudo command line" option was added to
       the connection manager under the System Profile in the
       connection editor for systems other than Windows. It can
       (optionally) configure the sudo command line to use on
       any operation requiring root access for administration
       tasks.
       If left blank (the default), MySQL Workbench continue to
       pass in -S and -p. Otherwise, you can replace the default
       sudo command. This should only be defined if the server
       configuration requires it. (Bug #18679748)

     * For Linux, Ubuntu 14.04 builds now exist. (Bug #18622692,
       Bug #72388)

     * Preferences, SQL Queries, Confirm Data Changes did not
       generate the Apply Data option. (Bug #18492280)

     * On OS X, the "Oracle Linux 6" entry was missing from the
       MySQL connections installation type listing. (Bug
       #18445795)

     * Column sorting did not function properly for the
       Performance Reports. (Bug #18427135)

     * On OS X, pressing Option + Shift with the Arrow buttons
       did not function as expected in the SQL editor. This key
       combination selects adds a word (string) to the current
       selection. (Bug #18385643, Bug #72014)

     * When creating a table, the FULLTEXT and SPATIAL index
       types were not present in the index type drop-down list
       when non-MyISAM tables were selected. (Bug #18376840, Bug
       #71998)

Changes in MySQL Workbench 6.1.6 (2014-05-16)

   Functionality Added or Changed

     * MySQL Workbench now shows a SSH fingerprint dialog box
       when connecting to an SSH server, to notify you when the
       fingerprint does not correspond to the fingerprint stored
       (in known_hosts) for that particular server. (Bug
       #11765158, Bug #58091)

   Bugs Fixed

     * MySQL Workbench could crash with a MySQL connection that
       was defined with an unprivileged MySQL user. (Bug
       #18704357, Bug #72350)

     * Configuring MySQL Enterprise Backup using SSH would cause
       an online backup operation to fail, and it also generated
       an unhandled exception. (Bug #18676962)

     * The following scenario generated a segmentation fault in
       the EER diagram editor: Double-click a table with a FK,
       double-click a table with a FK, select the Foreign Keys
       tab, and to generate the "Index out of range" error and
       segfault, either double-click an existing table or create
       a new table. (Bug #18632808, Bug #72329)

     * The Don't create table placeholder for views option of
       the Forward Engineer SQL Create Script wizard did not
       function. (Bug #18614177, Bug #72366)

     * The Show in Editor functionality from the Client
       Connections context-menu would not function (the option
       was grayed out). (Bug #18598559, Bug #72349)

     * On OS X, the code completion tooltip could be displayed
       on top of a non-Workbench application. (Bug #18593798,
       Bug #72344)

     * Closing the Stored Procedure Editor after changing a
       stored procedure (and clicking Apply) would emit an
       "Object reference not set to an instance of an object."
       error. (Bug #18591542, Bug #72328)

     * In the EER diagram editor, tooltips are now hidden when
       mouse movements or clicks are registered, and they are
       also hidden when switching applications. (Bug #18536932,
       Bug #72257)

     * When generating a Visual Explain report, a group
       operation would cause the generated JSON output to
       contain a node error. (Bug #18534644, Bug #72180)

     * Altering (adding values to) an ENUM column potentially
       caused MySQL Workbench to crash. (Bug #18530674, Bug
       #72267)

     * Executing the Select Objects to Forward Engineer step in
       the Forward Engineering wizard would crash MySQL
       Workbench each time the wizard is executed after the
       first time. In other words, the wizard would only execute
       every step with success during its initial (first)
       execution. (Bug #18526002, Bug #72251)

     * Clicking a column header in an SQL result view sorts rows
       in ascending order, but clicking the column header a
       second time would not sort the rows in descending order.
       (Bug #18517317, Bug #72226)

     * The Query Stats panel contained the string "sigle"
       instead of the word "single." (Bug #18516611, Bug #72228)

     * Subsequent executions of Query, Execute (All or
       Selection) to Text would cause the result's tab title
       from the previous execution to turn blank. (Bug
       #18516486, Bug #72232)

     * With the Collect Resultset Field Metadata disabled, the
       Form Editor results view was blank. It now displays a
       message asking the user to enable the required Query,
       Collect Resultset Field Metadata preference. (Bug
       #18516369, Bug #72233)

     * Executing a Visual Explain would sometimes generate an
       error with the text "Error calling Python module function
       SQLIDEQueryAnalysis.visualExplain". (Bug #18509791, Bug
       #72216)

     * Changes made to a Trigger were not always recognized by
       the Apply action.
       A workaround was to edit the Trigger, close and reopen
       the table, and then continue to make changes before
       saving. (Bug #18502294, Bug #72198)

     * The PERFORMANCE schema navigator tab was disabled for
       MySQL server 5.5 (and below) MySQL connections, as the
       system requires a MySQL server 5.6 (and above)
       connection. Attempting a MySQL server 5.5 would report an
       error about a missing sys_55.sql configuration file. (Bug
       #18502244, Bug #72201)

     * The Beautify/Reformat feature would add whitespace to
       variable names, so that "@foo" would become "@ foo". (Bug
       #18502104, Bug #72193)

     * Rapidly clicking Execute in a SQL session too frequently
       sometimes caused MySQL Workbench to crash. (Bug
       #18491041)

     * On OS X, the background banner for the 6.1 installer (DMG
       file) incorrectly displayed 6.0. (Bug #18491018)

     * Executing Backup Restore with a MySQL user lacking the
       proper permissions would generate an unhandled exception.
       (Bug #18490779)

     * On Microsoft Windows, the Management, Client Connections,
       View Thread Stack feature failed to function. (Bug
       #18490766)

     * After clicking Apply to save changes to a result set in
       the SQL editor, the executed SQL statement was no longer
       being displayed. (Bug #18490695, Bug #72155)

     * On OS X, and after adding a backtick character on a
       German keyboard in the SQL editor, MySQL Workbench would
       crash after advancing from the backtick using Space while
       the code-completion drop-down was visible. (Bug
       #18445851)

     * Mixed case and lower cased triggers were not properly
       displayed in the Alter Table tab, causing them to not be
       visible or editable. (Bug #18436881, Bug #71868)

     * A MySQL connection that was created without a defined
       username and password failed to open, despite prompting
       for the username and password. (Bug #18436002)

     * Labels could be cut off from the exported image when
       exporting a Visual Explain, if there were "many" objects.
       (Bug #18374308, Bug #71980)

     * Visual Explain could fail to function for large EXPLAIN
       plans. (Bug #18373387, Bug #71973)

     * MySQL Workbench will now use the default schema when set,
       or use the last active schema even if after closing MySQL
       Workbench. Before, the last active schema was not
       preserved after a restart. (Bug #18352922, Bug #71900)

     * On OS X, when a Model Validation Plugin was executed on a
       non-empty document, only the first of the calls
       succeeded. All subsequent calls to these plugins showed
       an "Cannot execute db.plugin.wb.validate. Plugin requires
       unavailable argument value" error. (Bug #18338544, Bug
       #71917)

     * The bundled MySQL client library was upgraded to version
       5.6.17, to solve the following MySQL client issue:
       MySQL client programs from a Community Edition
       distribution could not connect using SSL to a MySQL
       server from an Enterprise Edition. This was due to a
       difference in certificate handling by yaSSL and OpenSSL
       (used for Community and Enterprise, respectively).
       OpenSSL expected a blank certificate to be sent when not
       all of the --ssl-ca, --ssl-cert, and --ssl-key options
       were specified, and yaSSL did not do so. To resolve this,
       yaSSL has been modified to send a blank certificate when
       an option is missing. (Bug #18070573)

     * On Linux, starting/stopping the MySQL server from MySQL
       Workbench failed if "Default requiretty" was enabled in
       the system's /etc/sudoers file. (Bug #17438804, Bug
       #70289)

     * The File, Import, Import DBDesigner4 model operation
       failed and generate an error. (Bug #11766079, Bug #59115)

Changes in MySQL Workbench 6.1.5 (2014-04-15)

   Bugs Fixed

     * Security Fix: MySQL Workbench Commercial has updated the
       bundled MySQL client library and command-line clients
       (mysql and mysqldump) to MySQL 5.6.18, to use OpenSSL
       version 1.0.1g, which has been publicly reported as not
       vulnerable to CVE-2014-0160
       (http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-20
       14-0160). Please see Oracle Note #1645479.1
       (https://support.oracle.com/CSP/main/article?cmd=show&typ
       e=NOT&id=1645479.1) for further details.
       Since the only change in MySQL 5.6.18 is the inclusion of
       OpenSSL libraries publicly reported as unaffected by
       CVE-2014-0160, and since Oracle-produced MySQL Community
       builds use YaSSL libraries which have been reported as
       not affected by CVE-2014-0160, Oracle will not produce
       builds for MySQL Workbench Community for version 6.1.5.
       This means the Community edition of MySQL Workbench will
       skip version 6.1.5. (Bug #18533200, CVE-2014-0160)

Changes in MySQL Workbench 6.1.4 (2014-03-31, General Availability)

   Bugs Fixed

     * Clicking > on a selected object during the Select Objects
       step of the Forward Engineering wizard did not move the
       objects. (Bug #18454428)

     * With MySQL Enterprise Backup, validation was added when
       backing up schemas without tables.

     * On Microsoft Windows, several ".pyc" files remained after
       uninstalling MySQL Workbench.

     * Executing Backup recovery after a full Online backup
       could cause a crash.

Changes in MySQL Workbench 6.1.3 (2014-03-24, Release Candidate)

   Functionality Added or Changed

     * The default schema is now expanded automatically when a
       connection is opened, or when the default schema changes.
       (Bug #18237247, Bug #70522)

     * The Beautify query feature was changed. It now only
       affects the current statement, unless there is an
       explicit selection. Before, it would reformat all
       statements in the window by default. (Bug #18237189, Bug
       #71544)

     * A new Create Missing Local Connections option was added
       to the right-click context menu on the Home screen. It
       attempts to identify and create connections to locally
       installed MySQL servers. (Bug #17454766, Bug #70150)

     * A specific connection string can now be passed to the
       --query command-line option at startup, in the form of
       "--query user@host:port". If this connection string does
       not already exist, then it will be created. (Bug
       #17353691, Bug #70134)

     * MySQL Workbench now checks if the lower_case_table_name
       variable is correctly set on Microsoft Windows and OS X
       systems. If not, then MySQL Workbench will display a
       dialog after connect, and emit a warning message when
       performing synchronization or reverse engineering
       actions. (Bug #14802853)

     * New Report a Bug functionality now opens a browser with
       the MySQL bug page pre-populated with MySQL Workbench
       data. This also allows MySQL Workbench to be fully
       manipulated while submitting the bug report. (Bug
       #14079590, Bug #65258)

   Bugs Fixed

     * Adding and then immediately deleting the same MySQL
       connection from within the Synchronize With Any Source
       wizard would emit an error such as "Unable to cast object
       of the type mysql.forms.seperationitem to type system
       string." (Bug #18449191, Bug #71501)

     * FOUND_ROWS() (after a SQL_CALC_FOUND_ROWS statement)
       returned 1 (true) instead of the number of found rows.
       (Bug #18342953, Bug #71920)

     * The local private key file for an SSH connection when
       executing Remote Connection in MySQL Workbench through
       SSH could not be saved to a folder with accented
       characters. (Bug #18328846, Bug #71800)

     * Exported JSON string delimiters used double quotes
       instead of single quotes, and the exported JSON file
       extension changed from .js to .json. (Bug #18314718, Bug
       #71846)

     * Some user interface (UI) elements explicitly set a
       background color but not a font color, and vice-versa.
       (Bug #18305958, Bug #71828)

     * On OS X, the Find button was grayed out (disabled). (Bug
       #18290813, Bug #68949)

     * On OS X, using key shortcuts to record marker positions
       #3 and #4 on the modeling canvas did not function, as
       these shortcuts (Command + Shift + 3 and Command + Shift

       + 4) are predefined to execute screenshot features. (Bug
       #18268043)

     * A Show schema name diagram preference was added. If
       enabled, it shows the schema name in the table heading of
       an EER Diagram. (Bug #18268014, Bug #71592)

     * The Shift + Control + Arrow Key (left or right) now moves
       the cursor word-by-word in the SQL code editor, to go
       along with the character-by-character Shift + Arrow Key
       functionality. (Bug #18267537)

     * On Linux, the audit log inspector did not function when
       there were not spaces in the "ls" date column. On some
       Linux variants, such as SLES 11, "ls -l" outputs a date
       format like "2014-02-14" instead of "Feb 14". (Bug
       #18257020)

     * On Linux, a scheduled and executed MEB Online Backup
       would not output the error log to stderr. Also, the saved
       log file was always named $BACKUP_NAME.log, by using the
       literal '$BACKUP_NAME' instead of parsing it as a
       variable. (Bug #18243667, Bug #71674)

     * MySQL Workbench will now see the NO ACTION and RESTRICT
       referential action options as two different options. (Bug
       #18237503, Bug #71499)

     * On OS X, pressing Shift would interfere with the Option +
       Arrow word-by-word selector operation, and would instead
       change it to a character-by-character operation. (Bug
       #18237104, Bug #64358)

     * On Linux, the Help, View Reported bugs link (to view
       current MySQL Workbench bugs) was broken. Its path
       included "WB%2520bugs" instead of "WB%20bugs". (Bug
       #18231109, Bug #71668)

     * The Check for updates operation failed to function for
       the commercial edition. (Bug #18225980, Bug #16879533,
       Bug #69346)

     * After copying and pasting tables within the Alter Table
       panel, clicking Apply would return "No changes detected"
       instead of detecting the changes. Copied and pasted
       entries (from the clipboard) are now detected and saved.
       (Bug #18205924, Bug #71632)

     * When migrating from Microsoft SQL Server, nVarchar(n)
       columns would always migrate to a MySQL VARCHAR(n) column
       that was twice the size. (Bug #18195599, Bug #71608)

     * While executing the Migration Wizard, successfully
       entered credentials during a Test Connection remained in
       cache until the migration tab was closed, despite the
       Save password in keychain option not being enabled. The
       connection is now closed after executing Test Connection.
       (Bug #18195389)

     * When migrating from Microsoft SQL Server, column names
       greater than 64 characters were automatically renamed
       with the object migration component. The schema creation
       created the new table structure as expected, but later
       the bulk migration bulk data transfer attempted to import
       data to the original column names. (Bug #18168027, Bug
       #71532)

     * When migrating from Microsoft SQL Server, mapping a
       VARCHAR column to TEXT would still attempt to migrate it
       to VARCHAR, which could yield an error if the VARCHAR
       exceeded the maximum size. It now properly maps to TEXT.
       (Bug #18167872, Bug #71036)

     * Saved connections would sometimes not function (connect)
       properly unless the password was saved to the local
       vault. (Bug #18154787)

     * The values "true" and "false" are now converted to "1"
       and "0" if the column is a BOOLEAN or TINYINT. Also,
       synchronizing a BOOLEAN against a TINYINT no longer
       generates any differences, when before it might generate
       SQL that "changed" TINYINT columns to TINYINT. (Bug
       #18124474, Bug #71458)

     * The Store connection for future usage option in the
       Database Migration wizard did not store the defined MySQL
       connections. (Bug #18124149)

     * When migrating from Microsoft SQL Server, DECIMAL(n, n)
       columns did not properly migrate to BIGINT(n). (Bug
       #18105487, Bug #71379)

     * When migrating from Microsoft SQL Server, Varchar(MAX) is
       now imported as LONGTEXT, instead of the erroneous
       VARCHAR(-1). (Bug #18105486, Bug #71253)

     * On Linux, using a GTK theme with light font colors would
       cause the schema listing to be difficult to read. (Bug
       #17958777, Bug #71141)

     * Altering a table's comment would immediately move the
       cursor position to the end of the comment. A workaround
       was to copy-n-paste a comment into this window. (Bug
       #17945616, Bug #70970)

     * MySQL Workbench failed to reverse engineer tables
       containing TIME(n) and DATETIME(n) (fractional timestamp)
       columns. (Bug #17559837, Bug #70515)

     * Executing Execute Now for a defined backup job would
       finish successfully, but would also report an error. (Bug
       #17408250)

     * When multiple versions of MySQL Enterprise Backup were
       installed, the MySQL Backup Command Path would include
       both paths. Now, the first discovered path is used, and a
       warning about having multiple MySQL Enterprise Backup
       installations is logged. (Bug #17367584)

     * The MySQL keywords were sometimes blank (missing) in the
       SQL Additions panel. (Bug #17346343, Bug #70116)

     * The Migration Wizard Overview text was updated to reflect
       better grammar. (Bug #17283213)

     * When too many tabs are present in MySQL Workbench, a
       double arrow now appears in the right top corner. When
       clicked, a list of the hidden tabs will appear. (Bug
       #16757127, Bug #69091)

     * The MySQL Workbench Scripting Shell did not allow tabs or
       spaces for indentation in interactive Python scripts. A
       workaround was to instead create and execute script
       files. (Bug #14520728, Bug #66451)

     * Sometimes the Report Bug window would remain open, even
       after pressing Cancel. (Bug #14495624, Bug #66084)

     * The panel dimensions for an EER diagram are now
       preserved. This left panel stores the descriptions,
       properties, and history tabs. (Bug #13972049, Bug #64661)

     * The Synchronize Model routine would only notice changes
       to some triggers, while ignoring changes to others. It
       would not update these triggers even if forced by using
       the Update Source button. (Bug #11766750, Bug #59934)

     * MySQL Workbench would allow a table group to be renamed
       using a reserved MySQL keyword. (Bug #11763690, Bug
       #56431)

Changes in MySQL Workbench 6.1.2 (2014-03-04)

   Functionality Added or Changed

     * The ability to select multiple processes in the Client
       Connections table was added. (Bug #18043979)

     * When an error is generated while synchronizing a model to
       a database, the statement causing the error is now
       displayed alongside the generated error. (Bug #13702410,
       Bug #64208)

     * Create Model from SQL Script with Place imported objects
       on a diagram checked now prompts to configure the diagram
       dimensions, which is especially useful when a lot of
       objects are imported. (Bug #11764060, Bug #56848)

     * The validation routine now checks whether a column
       referred to by an FK has the same character set as the
       source column. (Bug #11749091, Bug #38136)

   Bugs Fixed

     * The following sequence would crash MySQL Workbench:
       Execute a standard SELECT statement in the SQL editor,
       right-click on a row from the results, click on another
       row when the context-menu appears (to close it), and then
       right-click on another row from the results. (Bug
       #18237466, Bug #71238)

     * Data Export could only be opened once per session. If the
       connection was closed and reconnected, then it would work
       again (but only once). (Bug #18149809, Bug #71506)

     * The Visual Explain feature did not function with MySQL
       Server 5.7. (Bug #18141803, Bug #71464)

     * On OS X, general stability improvements were made to the
       codebase. (Bug #18132375, Bug #71473)

     * Executing a DROP from within the UI (via right-click on a
       database in the schema navigator) would cause the UI to
       freeze while the DROP operation was executed. (Bug
       #18123337, Bug #71457)

     * On OS X, Command + F did not open a search box in the SQL
       editor. (Bug #18055066, Bug #71326)

     * Having SQL_MODE set to "MYSQL40" would not allow the
       ALTER TABLE action to create new columns in MySQL
       Workbench. (Bug #18055044, Bug #64741)

     * Dropping a schema that had non-committed or reverted
       transactions could crash MySQL Workbench, but now the
       drop statement is executed as a user command so it can be
       aborted. (Bug #18054944, Bug #71327)

     * After editing an SQL file from outside of MySQL Workbench
       that was also open inside MySQL Workbench, a refresh
       would update a different (wrong) SQL editor tab in MySQL
       Workbench. (Bug #18051499, Bug #71321)

     * A MEB backup could not be scheduled for December 31. (Bug
       #18019619)

     * On OS X, executing Synchronize Database could crash MySQL
       Workbench. (Bug #18000412, Bug #71203)

     * Sorting by a column would sort the data starting with
       uppercase characters first, before sorting the lower case
       strings. The sorting algorithm now behaves like a typical
       ORDER BY clause, which does not prioritize uppercase
       characters. (Bug #17993866, Bug #71195)

     * On OS X, the auto-completion popup window remained until
       reopening MySQL Workbench. (Bug #17799326, Bug #18281362,
       Bug #70912, Bug #71771)

     * On Microsoft Windows, increased support for "High
       Contrast" modes was added. (Bug #17694247, Bug #70750)

     * MySQL Workbench would freeze when the connected MySQL
       server stopped responding, when the context help was
       running. (Bug #17667094)

     * The SQL editor could lose newline characters. The new
       forms editor is useful for this type of input, as the
       newlines are preserved. (Bug #17559560, Bug #70519)

     * While executing Database, Synchronize Model..., adding a
       ROW_FORMAT definition (such as "ROW_FORMAT = COMPACT;")
       would not add a valid ROW_FORMAT definition on the next
       execution of Synchronize Model..., and instead an invalid
       (empty) "ROW_FORMAT =" was added. (Bug #17454626, Bug
       #70129)

     * After creating two tables with an n:m relationship,
       attempting to create an n:m identifying relationship
       between the two tables would yield a misleading prompt
       that read "Select the Table to receive the Foreign Key."
       (Bug #17449878, Bug #67864)

     * When configuring an SSH connection, MySQL Workbench
       initially shows the $HOME directory, and hides all
       directories configured to be hidden, which often includes
       files and directories that begin with a dot. This means
       that the commonly used ~/.ssh/ directory is hidden by
       default. You can now right-click over the "Open File..."
       window and view a menu with the Show hidden files option.
       A workaround was to type in the full path to the .ssh
       directory. (Bug #17439032, Bug #70291)

     * The Search Table Data tool failed to function when used
       to search multiple schemas. (Bug #17404072, Bug #70232)

     * The diagram page size is now properly passed on to
       printer driver. For example, defining a diagram with an
       A3 page size now sends A3 to the printer driver, when
       before it reverted to A4. (Bug #17389155, Bug #70191)

     * When executing Database, Synchronize with any source on a
       model, the model schema was unintentionally renamed when
       enabling the Override Target option. (Bug #17299799)

     * On Microsoft Windows, Control + V would not paste a
       copied diagram. (Bug #17299778)

     * Using Create EER Model from Script would sometimes close
       the model without defining a schema. (Bug #17299745)

     * On Microsoft Windows, the Indexes section would disappear
       after restoring (after an undo) a table change from the
       history tab. (Bug #17299519)

     * Tables created with the n:m identifying relationship tool
       were missing the created timestamp. (Bug #17050577, Bug
       #69656)

     * On Linux, when closing a script tab that carried unsaved
       changes in the SQL editor, the model dialog that prompted
       to "save the script first" could become hidden behind the
       main MySQL Workbench window. (Bug #16672658, Bug #68802)

     * Selecting an element in a section (when the section was
       longer than the visible part of the overview panel) would
       scroll the view back up to the top of the panel, instead
       of preserving the current cursor focus. (Bug #14520978,
       Bug #66420)

     * The Scripting file chooser would generate an exception
       (without an option to cancel) when an unsupported file
       type was selected. A new Cancel button was added to this
       dialog. (Bug #14520515, Bug #66453)

     * The birds-eye image of the object canvas in the navigator
       view of the model sidebar did not always show the correct
       z-order, when objects overlapped on the canvas. (Bug
       #14456188)

     * Using a MySQL script that started with an empty line to
       create an EER diagram would generate an empty EER
       diagram. (Bug #14278179, Bug #65749)

     * When setting "On Delete" and "On Update" to "SET NULL" on
       Foreign Key fields that were marked as "NOT NULL", a
       generic "ERROR: Error 1005: Can't create table" error was
       emitted. The generated error is now more specific. (Bug
       #13029457, Bug #62464)

     * While creating a column with the serial data type
       generates a NOT NULL constraint with a UNIQUE INDEX for
       the column, MySQL Workbench would complain about a
       missing Primary Key. (Bug #11762455, Bug #55051)

     * When executing Database, Synchronize Model, the Model and
       Database Differences step now expands the folder of each
       database that contains differences. (Bug #11758101, Bug
       #50251)

     * Relationship lines now snap to the closest snap point,
       rather than the most recently passed-over snap point.
       (Bug #11755408, Bug #47178)

Changes in MySQL Workbench 6.1.1 (2014-01-23, Beta)

   This is the first public release of the 6.1.x branch. It
   includes fixes from the 6.0.x branch up to 6.0.9.

   Functionality Added or Changed

     * A MEB interface now allows MEB users to be added,
       configured and validated inside MySQL Workbench so that a
       user has the correct privileges to operate MEB. (Bug
       #17314254)

     * Dragging objects from the schema tree to the code editor
       now inserts the object name at the drop position. For
       example, dragging a table object will insert the table
       name. (Bug #11766411, Bug #59514)

     * Files can now be dragged and dropped into MySQL
       Workbench, which opens the file in a new SQL editor tab.
       (Bug #11760313, Bug #52710)

     * The restore operation can restore to a different schema.
       (Bug #11759068, Bug #51351)

     * A caption can now have a solid background in classic
       relationships and/or tables. (Bug #11753926, Bug #45452)

     * Comments added with the File, Export, Forward Engineer
       SQL CREATE Script... action would not be transferred to
       the generated SQL file. (Bug #11748708, Bug #37174)

   Bugs Fixed

     * Sometimes, when exporting an EER diagram to SQL, the
       generated SQL code did not include "DROP SCHEMA"
       statements even with the Generate DROP SCHEMA option
       checked. (Bug #18054932, Bug #71243)

     * On Linux, the Cancel button was written as "Cance" on
       some systems, depending on the GTK theme used on the
       system. (Bug #18042862, Bug #71106)

     * Ubuntu 13.10 is now supported. (Bug #18042416, Bug
       #71281)

     * MySQL Workbench now builds on Debian 7.0-unstable. (Bug
       #18041235, Bug #71156)

     * One tab could execute the query from a different tab,
       after swapping tabs. (Bug #17903147, Bug #71029)

     * From MySQL Notifier, and with multiple MySQL instances
       installed, clicking Configure Instance... from MySQL
       Notifier, and then choosing the instance to configure in
       MySQL Workbench, could crash MySQL Workbench. (Bug
       #17853197)

     * On Linux, renaming foreign keys and indexes would crash
       MySQL Workbench. (Bug #17841664, Bug #70977)

     * Executing a DROP failed when multiple views were selected
       in the schema navigator panel. For example, selecting two
       views would generate an error such as "join() takes
       exactly one argument (2 given)". (Bug #17840809, Bug
       #70978)

     * Toggling the Additions and Output panel as hidden is now
       preserved across MySQL Workbench sessions. (Bug
       #17833296, Bug #70965)

     * On Linux, building MySQL Workbench from source would
       generate many glib related warnings with newer versions
       of glib. (Bug #17813170, Bug #70932)

     * After creating a new view inside a model, clicking Add
       View would display a new view in the editor this new
       could not be saved. (Bug #17796027, Bug #70904)

     * The --routines command line option was missing from the
       generated mysqldump command when multiple schemas were
       selected for a dump into a single file backup when the
       routines option was enabled. This could happen after
       executing the dump multiple times. (Bug #17795551, Bug
       #70896)

     * Executing Model, Forward Engineering with the Do not
       create users, only export privileges option enabled would
       recreate the user instead of simply changing privileges
       for the existing user. (Bug #17794653, Bug #70903)

     * When building from source and without building the
       documentation, the documentation link will open the
       online MySQL Workbench manual. (Bug #17788936, Bug
       #70873)

     * Adding a new table to an empty EER diagram would crash
       MySQL Workbench. (Bug #17775383, Bug #70872)

     * On OS X, switching colors with layers and tables several
       times could eventually cause a crash. (Bug #17758312, Bug
       #70841)

     * Opening MySQL Workbench from the MySQL Notifier by
       choosing SQL Editor on a remote MySQL connection could
       crash MySQL Workbench. (Bug #17751731)

     * MySQL Workbench displayed an empty binary string as NULL.
       (Bug #17741282, Bug #70817)

     * The Inserts tab under Forward Engineering would sometimes
       unexpectedly fail. (Bug #17698069, Bug #70747)

     * The ENUM type now corresponds better to its definition
       better under Model, User Defined Types, to allow
       arguments. (Bug #17633506, Bug #70671)

     * On Microsoft Windows and OS X, the bundled PyCrypto
       library was upgraded to version 2.6.1. (Bug #17615430)

     * If a Linux box had multiple MySQL instances running, the
       status would be reported as "running" for all instances
       even if only one or more of them were running. (Bug
       #17516593)

     * MySQL Workbench could crash when using a MySQL connection
       that connects via an SSH tunnel with success, but is
       defined using incorrect MySQL server credentials. A
       dialog now requests the correct information. (Bug
       #17456433, Bug #70332)

     * Having a long comment (more than 60 characters for table,
       or more than 255 characters for a column) in the model,
       single quotes or newlines after this length would result
       cause Forward engineer SQL Alter Script... to not include
       objects after the offending comments in the exported
       file. (Bug #17455899, Bug #69776)

     * Attempting to change a trigger name in an EER Diagram
       would crash MySQL Workbench. (Bug #17425655, Bug #70257)

     * The catalog treeview for an EER diagram was replaced by a
       central control with improved handling, which allows
       MySQL Workbench to worth more smoothly with a large
       number of tables. (Bug #17370413, Bug #69692)

     * Opening a valid MySQL connection would sometimes yield a
       window with a wide SQL editor panel. (Bug #17300438)

     * Under certain scenarios, the File, Print to File...
       action would not allow models to be unchecked. (Bug
       #17300434)

     * On OS X, opening a local MySQL connection to a MySQL
       server that was unavailable would generate an unhandled
       exception. (Bug #17300002)

     * Indexes that were auto-created for a Foreign Key can now
       be deleted in case another suitable index was available.
       (Bug #17275827, Bug #69937)

     * On OS X, an option to Disable column Resizing or continue
       is now displayed when a query is determined to display
       too many columns. This works around a Cocoa issue that
       could potentially freeze MySQL Workbench. (Bug #17085770,
       Bug #69613)

     * Model synchronization would complete, but if repeated
       then MySQL Workbench would ask to update the database
       again. (Bug #17033354, Bug #69591)

     * Changing the collation type would not always be detected,
       as "No changes detected" would be reported after
       attempting to apply the change. (Bug #16492371, Bug
       #68672)

     * On OS X, right-clicking inside the code area of the
       Script editor did not provide the copy and paste
       commands. (Bug #16276986)

     * The MySQL Forums link on the MySQL Workbench home page
       was updated, and it now links to a MySQL Workbench page
       that also links to the MySQL Workbench - Database
       Migration forum, when before it was difficult to find.
       (Bug #14773380, Bug #67272)

     * From Database, Reverse Engineer, and after selecting a
       schema with multiple tables, clicking the left or right
       arrow buttons with the Show Filter feature to
       include/exclude tables would lose the cursor position,
       and always move the cursor to the top of the list. (Bug
       #14017237, Bug #65018)

     * For models, tables can now be renamed by double-clicking
       the name column, and the columns edited. (Bug #13702831,
       Bug #64134)

     * MySQL Workbench could crash after choosing Recover when
       prompted to recover a model file from a previous session
       after MySQL Workbench was not closed properly. (Bug
       #13051204, Bug #62589)

     * A large SQL script file could not be saved for a model,
       although a limit of around 200MB limit still exists. (Bug
       #13025333)

     * Applying an large SQL Script object to a model could
       crash MySQL Workbench. (Bug #13025299)

     * The full path to the model file is now displayed in the
       Models section in the home page. (Bug #12616312, Bug
       #61349)

     * On Linux, executing Export to Disk with a custom ~/my.cnf
       present would cause the export to fail. (Bug #12613307,
       Bug #58526)

     * The temporary table created would only include one column
       ID rather than the full table when a view statement
       contained a subquery. This caused processing problems
       when attempting to use the exported scripts.
       A workaround was to recreate the view object by deleting
       the dependent view definitions and replacing them with
       new view definitions. (Bug #11765994, Bug #59018)

     * The "Scratch" SQL editor tabs were removed, and instead
       standard SQL editor tabs are always opened. (Bug
       #11765876, Bug #58882)

     * Importing an invalid model could crash MySQL Workbench,
       but now an error is generated. (Bug #11765756, Bug
       #58752)

     * On Microsoft Windows, opening and closing models/diagrams
       would increase the number of open GDI (Graphics Device
       Interface) objects as they were kept in memory for the
       undo queue. The required memory for this task was
       decreased. (Bug #11765437, Bug #15998212, Bug #58405, Bug
       #67870)

     * Editing a mandatory relationship now updates the
       referenced column. (Bug #11764011, Bug #56792)

     * On the index tab in the table editor, the option to
       change the "PRIMARY" text had no effect. (Bug #11761805,
       Bug #54331)

     * General sorting improvements were made to the SQL
       statement results matrix, including changes to remove
       variances with different platforms. A selected column
       stays set after a sort, and selecting a column while
       holding Shift adds the column to the sort criteria, thus
       sorting by multiple columns. (Bug #11760178, Bug #52561)

     * The Schema Privileges tab was hidden in the Schema
       editor, and is now more viewable. (Bug #11758814, Bug
       #51066)

     * The Copy and Paste keyboard shortcut did not always
       function from within table cells in all environments.
       (Bug #11755245, Bug #46994)

     * Zooming out from an EER diagram would also reduce the
       size of the associated tooltips, which rendered the
       tooltips unreadable. (Bug #11749683, Bug #39609)

Changes in MySQL Workbench 6.1.0 (Not released)

   This is the first private alpha release of the 6.1.x branch.

   Functionality Added or Changed

     * A global Arrange, Align to Grid preference was added,
       which affects the Snap To Grid option in the EER Diagram
       editor. (Bug #11754669, Bug #46306)

     * A new Performance Reports page was added to the
       Navigator. It provides a list of Performance Schema based
       server-wide performance reports.

     * A new Performance Dashboard was added to the Navigator.
       It is a graphical representation of the data/query flow
       of the connected MySQL server that shows status info from
       SHOW STATUS, P_S and other places.

     * The 'Visual Explain' feature was rewritten with a new
       layout. The raw EXPLAIN output and JSON output are also
       displayed.

     * A Thread Stack view was added, and can be accessed by
       right-clicking a connection entry in the Client
       Connections tab and choosing View Thread Stack.

   Bugs Fixed

     * On the home screen, the model tile layout is wider, and
       tooltips were added in case the title does not fit. (Bug
       #17959942, Bug #71154)

     * When using the main menu to load the administration
       pages, the tabs only appear or switch if the
       administration tab was open, and not yet closed. (Bug
       #17753473)

     * Event privileges manipulation was added to Server, Users
       and Privileges under the Schema Privileges tab. (Bug
       #17733771, Bug #70810)

     * MySQL Workbench now checks and validates MEB related
       variables before use, when before it assumed they were
       always defined. (Bug #17509559)

     * Browsing the "Backup Storage directory" would generate an
       unhandled exception. The sequence for this browsing is
       Online Backup, New Job, Options, Browse. (Bug #17307519)

     * A new MySQL Utilities installation was not detected when
       installed while MySQL Workbench was open. (Bug #17307175)

     * Checking the Server Status of a remotely managed MySQL
       connection would throw an unhandled exception when
       pressing OK at the password prompt, after not entering a
       password. (Bug #17300394)

     * On Microsoft Windows, the plugin icon was cropped if a
       plugin was installed. (Bug #17300272)

     * Information in the Object Info panel could not be copied
       to the clipboard. (Bug #15884708, Bug #67587)

     * With modeling, a red key now indicates that a key is both
       a PK and FK. This coincides with a red diamond
       representing FKs, and a yellow key for PKs. (Bug
       #11761658, Bug #54172)

Changes in MySQL Workbench 6.0

   For detailed information about the new features, see What's
   New in MySQL Workbench 6.0
   (http://dev.mysql.com/doc/workbench/en/wb-what-is-new-60.html
   ).

Changes in MySQL Workbench 6.0.9 (2014-02-05)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 6.0.8.

   Functionality Added or Changed

     * The restore operation can restore to a different schema.
       (Bug #11759068, Bug #51351)

   Bugs Fixed

     * Sometimes, when exporting an EER diagram to SQL, the
       generated SQL code did not include "DROP SCHEMA"
       statements even with the Generate DROP SCHEMA option
       checked. (Bug #18054932, Bug #71243)

     * On Linux, the Cancel button was written as "Cance" on
       some systems, depending on the GTK theme used on the
       system. (Bug #18042862, Bug #71106)

     * Ubuntu 13.10 is now supported. (Bug #18042416, Bug
       #71281)

     * MySQL Workbench now builds on Debian 7.0-unstable. (Bug
       #18041235, Bug #71156)

     * One tab could execute the query from a different tab,
       after swapping tabs. (Bug #17903147, Bug #71029)

     * On Linux, renaming foreign keys and indexes would crash
       MySQL Workbench. (Bug #17841664, Bug #70977)

     * On Linux, building MySQL Workbench from source would
       generate many glib related warnings with newer versions
       of glib. (Bug #17813170, Bug #70932)

     * After creating a new view inside a model, clicking Add
       View would display a new view in the editor this new
       could not be saved. (Bug #17796027, Bug #70904)

     * The --routines command line option was missing from the
       generated mysqldump command when multiple schemas were
       selected for a dump into a single file backup when the
       routines option was enabled. This could happen after
       executing the dump multiple times. (Bug #17795551, Bug
       #70896)

     * Executing Model, Forward Engineering with the Do not
       create users, only export privileges option enabled would
       recreate the user instead of simply changing privileges
       for the existing user. (Bug #17794653, Bug #70903)

     * When building from source and without building the
       documentation, the documentation link will open the
       online MySQL Workbench manual. (Bug #17788936, Bug
       #70873)

     * Adding a new table to an empty EER diagram would crash
       MySQL Workbench. (Bug #17775383, Bug #70872)

     * On OS X, switching colors with layers and tables several
       times could eventually cause a crash. (Bug #17758312, Bug
       #70841)

     * The Inserts tab under Forward Engineering would sometimes
       unexpectedly fail. (Bug #17698069, Bug #70747)

     * The ENUM type now corresponds better to its definition
       better under Model, User Defined Types, to allow
       arguments. (Bug #17633506, Bug #70671)

     * On Microsoft Windows and OS X, the bundled PyCrypto
       library was upgraded to version 2.6.1. (Bug #17615430)

     * MySQL Workbench could crash when using a MySQL connection
       that connects via an SSH tunnel with success, but is
       defined using incorrect MySQL server credentials. A
       dialog now requests the correct information. (Bug
       #17456433, Bug #70332)

     * The catalog treeview for an EER diagram was replaced by a
       central control with improved handling, which allows
       MySQL Workbench to worth more smoothly with a large
       number of tables. (Bug #17370413, Bug #69692)

     * Under certain scenarios, the File, Print to File...
       action would not allow models to be unchecked. (Bug
       #17300434)

     * Indexes that were auto-created for a Foreign Key can now
       be deleted in case another suitable index was available.
       (Bug #17275827, Bug #69937)

     * Model synchronization would complete, but if repeated
       then MySQL Workbench would ask to update the database
       again. (Bug #17033354, Bug #69591)

     * Changing the collation type would not always be detected,
       as "No changes detected" would be reported after
       attempting to apply the change. (Bug #16492371, Bug
       #68672)

     * The MySQL Forums link on the MySQL Workbench home page
       was updated, and it now links to a MySQL Workbench page
       that also links to the MySQL Workbench - Database
       Migration forum, when before it was difficult to find.
       (Bug #14773380, Bug #67272)

     * From Database, Reverse Engineer, and after selecting a
       schema with multiple tables, clicking the left or right
       arrow buttons with the Show Filter feature to
       include/exclude tables would lose the cursor position,
       and always move the cursor to the top of the list. (Bug
       #14017237, Bug #65018)

     * For models, tables can now be renamed by double-clicking
       the name column, and the columns edited. (Bug #13702831,
       Bug #64134)

     * MySQL Workbench could crash after choosing Recover when
       prompted to recover a model file from a previous session
       after MySQL Workbench was not closed properly. (Bug
       #13051204, Bug #62589)

     * A large SQL script file could not be saved for a model,
       although a limit of around 200MB limit still exists. (Bug
       #13025333)

     * Applying an large SQL Script object to a model could
       crash MySQL Workbench. (Bug #13025299)

     * The "Scratch" SQL editor tabs were removed, and instead
       standard SQL editor tabs are always opened. (Bug
       #11765876, Bug #58882)

     * Editing a mandatory relationship now updates the
       referenced column. (Bug #11764011, Bug #56792)

     * The Schema Privileges tab was hidden in the Schema
       editor, and is now more viewable. (Bug #11758814, Bug
       #51066)

     * The Copy and Paste keyboard shortcut did not always
       function from within table cells in all environments.
       (Bug #11755245, Bug #46994)

Changes in MySQL Workbench 6.0.8 (2013-11-07)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 6.0.7.

   Functionality Added or Changed

     * A new MySQL Workbench preference (Preferences, SQL
       Editor) was added that sets the default comment type that
       is generated in the SQL Editor when clicking the "add
       comment" key combination. It can be either "--" (default)
       or "#". (Bug #16679373, Bug #68708)

   Bugs Fixed

     * When creating a table on a model diagram, an unhandled
       NULL reference exception was thrown when a second layer
       was drawn under some tables. (Bug #17561185, Bug #70518)

     * When forward engineering an SQL CREATE script, checking
       the Omit Schema Qualifier preference would correctly
       remove the schema name from the CREATE statements, but it
       incorrectly left the schema name on the GRANT statements.
       Command sequence: File, Export, Forward engineer SQL
       CREATE script. (Bug #17516695, Bug #70438)

     * On Microsoft Windows 7, under some circumstances MySQL
       Workbench would not connect to a MySQL server on a RHEL 5
       host. (Bug #17516617)

     * Restoring an incremental backup from a remote MySQL
       server would emit an unexpected error that referred to
       the WbAdminControl object. (Bug #17516320)

     * On Microsoft Windows, having an empty SQL file saved in
       the AppData path would cause MySQL Workbench to not
       start.
       A workaround was to delete the empty SQL file before
       starting MySQL Workbench. (Bug #17512088, Bug #70262)

     * On Linux, the Action Output would not auto scroll to
       place the latest action (executed SQL statement) in view.
       (Bug #17512005, Bug #70421)

     * With Use most recent backup checked, an incremental
       backup made after another incremental backup would not be
       restored if the previous incremental backup failed. (Bug
       #17509626)

     * On Microsoft Windows, after executing Search Table Data
       and viewing the results, right-clicking on a row and
       choosing Copy Query for Matches from the context menu
       would crash MySQL Workbench. (Bug #17506404, Bug #70411)

     * Executing Forward Engineer the Model to the local DB
       would generate an unexpected error. (Bug #17496362)

     * In the data result grid, selecting multiple fields and
       choosing Set Field(s) not Null from the context-menu
       would not alter the data. (Bug #17495179, Bug #70381)

     * An empty SQL script file could not be saved from within
       MySQL Workbench, and attempting this action would
       generate an unexpected error. (Bug #17468833, Bug #70365)

     * The Forward Engineer - SQL Create Script wizard would
       generate the LOCK TABLES privilege at the table level,
       instead of the database level. (Bug #17468314, Bug
       #70310)

     * An unhandled exception would be thrown if the audit.log
       file was missing. (Bug #17452099, Bug #70323)

     * Data Import/Export for self-contained data will now only
       select *.sql files by default, and if an extension is not
       defined during an export, the extension will be set to
       .sql. (Bug #17449969, Bug #69069)

     * When exporting a model with multiple routines as an SQL
       Script, under some circumstances a deliminator was
       missing after a routine in the generated SQL. (Bug
       #17448702, Bug #70313)

     * Backup operations now use the SOCKET protocol on Linux to
       make connections, and on Windows it uses TCP (if
       networking is enabled), as otherwise PIPE is used. (Bug
       #17440001, Bug #70295)

     * MySQL Workbench now uses the --defaults-file option when
       executing mysqlbackup. (Bug #17439084, Bug #70293)

     * On Linux, improvements were made to the check that tested
       if the backup directory was writable. This check now uses
       the Linux test command, instead of a temporary file
       creation/deletion. (Bug #17439061, Bug #70292)

     * On OS X, opening a new model and pressing the "Add EER
       Diagram" button from the toolbar would crash MySQL
       Workbench.
       A workaround was to click "Add EER Diagram" from the
       navigation or context menus. (Bug #17437387, Bug #70284)

     * The fetch_documentation.sh script was removed from the
       MySQL Workbench source download, as it referred to (and
       required) fetching documentation from internal URLs. (Bug
       #17435353, Bug #70279)

     * Clicking Alter Table on a table with multiple triggers
       would sometimes generate an error. Trigger handling was
       improved to avoid such errors. (Bug #17432083, Bug
       #70244)

     * Scrolling down an SQL file and executing a statement
       (Control + Enter) would scroll the window back to the
       top. The cursor now remains, even when the window is
       resized. (Bug #17399972, Bug #15837541, Bug #70221, Bug
       #67465)

     * Double-clicking on an Audit Log File row would generate
       an unexpected error. (Bug #17376494)

     * Viewing the Client Connection could generate an unhandled
       exception if a connection had a very large connection
       time. (Bug #17375435, Bug #70174)

     * Clicking Online Backup after deleting the configured
       MySQL Enterprise Backup directory (such as
       C:\MySQLBackupHome) would throw an unhandled exception.
       Validation was added, a profile status icon was added to
       the backup screen, and MySQL Workbench now redirects to
       the Settings page instead of emitting an error. (Bug
       #17375285)

     * While migrating a Microsoft SQL Server database to MySQL,
       database names with periods failed, and now the periods
       are replaced with underscores. For example, "foo.bar"
       will become "foo_bar". (Bug #17370098, Bug #70170)

     * After selecting a table in the Catalog tab of the Catalog
       Tree pane, choosing Insert new row from the Edit Table...
       context menu would emit an unexpected error. (Bug
       #17357020, Bug #70140)

     * After editing a trigger in the model tab, switching tabs
       (such as loading a connection or SQL editor tab) would
       cause the new trigger edits to disappear. (Bug #17348212,
       Bug #70122)

     * On Microsoft Windows, the mouse pointer inside a SQL
       Editor tab would rapidly change from pointer to cursor
       when the mouse was moved, thus creating a repeatedly
       flashing event. (Bug #17347406, Bug #70119)

     * Open query tabs were not persistent (reopened) after
       reopening MySQL Workbench. (Bug #17341182, Bug #17456474,
       Bug #17314977, Bug #70107, Bug #70325, Bug #70035)

     * On OS X, the full field names in the Performance tab of
       the Option Files navigator page would not be fully
       visible. (Bug #17323870, Bug #70057)

     * Stored routine groups could not be updated via the group
       editor in the EER diagram.
       A workaround is to use individual routine group editors
       for each routine, by dragging the routine objects into
       the members list of the routine group editor to group
       them. (Bug #17323855, Bug #70059)

     * In the commercial edition of MySQL Workbench, the "MySQL
       Utilities" download button linked to the community
       version of MySQL utilities. It now links to the
       appropriate edition. (Bug #17316512, Bug #70049)

     * On OS X, clicking Get Timestamp Ranges after selecting
       the available current filename from the Audit Plugin
       would throw an unhandled exception. (Bug #17300059)

     * The Run, Script File sequence did not function. (Bug
       #17299680)

     * I/O writes were reduced, which was especially a problem
       visible when closing MySQL Workbench with tables that had
       over 500 columns. (Bug #17283888, Bug #68276)

     * The EER Diagram did not support some Chinese characters.
       (Bug #17275879, Bug #69933)

     * Having a !include in the MySQL configuration file would
       cause MySQL Workbench to crash at startup. (Bug
       #17271775)

     * The Close Other Tabs context-menu option did not close
       Table Editor tabs. (Bug #17235359, Bug #69850)

     * The innodb_buffer_pool_size and
       innodb_buffer_pool_instances configuration parameters
       were duplicated in the Options File (formerly the Server
       Administration) tab. They were listed in both the Buffer
       Pool and Memory" groups.
       Also, using MySQL Workbench to change these settings
       would generate a change that also altered whitespace in
       the MySQL configuration file. (Bug #16915510, Bug #69406)

     * Migrating a Microsoft Access database would crash at the
       Reverse Engineer Selected Schemata step. MySQL Workbench
       does not support the migration of Microsoft Access, so
       the migration wizard will now display an error (and halt
       operation) when attempting to migrate an unsupported
       database. (Bug #16529142, Bug #67584)

     * After adjusting the width of the Id or Time columns in
       the connection listing, the integer value was cut off
       without indication. The value is now shown, or an
       ellipses (...) is appended. (Bug #16464457, Bug #68593)

     * The Workbench Bug Reporter failed to log in to report a
       bug, even when using valid credentials. This bug
       reporting functionality was removed from MySQL Workbench.
       (Bug #16056820, Bug #14520752, Bug #67990, Bug #66343)

     * On Linux, WM_WINDOW_ROLE property is now properly set for
       all MySQL Workbench windows. (Bug #14171771, Bug #65537)

     * The Check for Updates, Submit a Bug Report, and Discuss a
       Topic MySQL Workbench buttons are now underlined when the
       mouse cursor hovers over them. (Bug #11758492, Bug
       #50704)

Changes in MySQL Workbench 6.0.7 (2013-09-03)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 6.0.6.

   Functionality Added or Changed

     * A new option was added in the connection settings
       "Advanced" tab for toggling the secure_auth
       (useLegacyAuth) option, to optionally connect to legacy
       systems. (Bug #17313129, Bug #70023)

   Bugs Fixed

     * On OS X, MySQL Workbench would not start due to a missing
       libmysqlclient.18.dylib dependency. (Bug #17402670, Bug
       #70229)

     * On Linux, font type and font size preference changes were
       not always preserved. (Bug #17382557, Bug #69691)

     * Attempts to copy fields between two diagrams in the
       Diagram Editor failed. (Bug #17381018, Bug #70072)

     * Entering a wrong password while attempting to unlock the
       Audit Log would generate an unhandled exception. (Bug
       #17376518)

     * When right-clicking on a database's function via a server
       connection through a SSH tunnel, MySQL Workbench would
       crash if the function definition lacked a comment. (Bug
       #17353664, Bug #70016)

     * Changing Target MySQL Version to 5.6 on an older Model
       will now allow configurable date related values, such as
       DATETIME(6), TIMESTAMP(6), and CURRENT_TIMESTAMP(6). (Bug
       #17350288, Bug #70125)

     * On Linux, the list of local IPs is no longer retrieved
       with the deprecated ifconfig command. A list of standard
       localhost IPs is used instead. (Bug #17348054, Bug
       #70118)

     * Under certain conditions, the Database, Manage
       Connections, Duplicate action failed to function. Such
       as, if a connection with No Remote Admin was enabled.
       (Bug #17345754, Bug #70097)

     * Toggling the Selection Database Objects to Import option
       for the Data Import/Restore options would throw an
       unhandled exception. (Bug #17338687, Bug #70089)

     * Under certain circumstances, the Stored Connections
       listing was empty. (Bug #17324160, Bug #70022)

     * With Enterprise Audit, it would report that auditing was
       enabled when pressing Enable Audit for a MySQL Server
       that was not running. (Bug #17317526)

     * On Microsoft Windows and with lower_case_table_names set
       to "1", attempting to create a schema name with only
       question marks ("???") using the Create New Schema action
       item would emit an error. (Bug #17314386, Bug #70040)

     * On Microsoft Windows, a MySQL Enterprise Backup job with
       a space in the profile name was not scheduled in the
       Windows Task Scheduler. Also, validation was added for
       invalid characters. (Bug #17314101)

     * On OS X, the SQL File tabs would not display the file
       names, and would instead display generic names like "SQL
       File 1". (Bug #17313835, Bug #70031)

     * The full and partial backup labels were updated, to be
       less confusing. (Bug #17313567)

     * With Enterprise Audit, the Delete Cache would sometimes
       fail and generate an error. (Bug #17300071)

     * The MySQL Enterprise Backup UI was updated to clarify
       when a backup is full or partial, and when a partial
       backup is full or incremental. (Bug #17299838)

     * The Browse Audit Log File feature would not always locate
       the Audit Log File. (Bug #17299818)

     * On Linux, MySQL Workbench 5.2 packages would not upgrade
       to MySQL Workbench 6.0. It was required to manually
       uninstall MySQL Workbench 5.2 first. (Bug #17291904)

     * On Oracle Linux, the built packages were missing a
       libtinyxml.so dependency. (Bug #17291888)

     * Privileges that do not have a corresponding user entry
       will now be displayed in MySQL Workbench, so that they
       can be properly deleted by the user. This includes the
       "test" database. (Bug #17278181, Bug #69934)

Changes in MySQL Workbench 6.0.6 (2013-08-12, General Availability)

   This is the first General Availability release of Workbench
   6.0.

   Bugs Fixed

     * The description of the OEL packages was changed in My
       Oracle Support (MOS) from "Oracle Linux 6" to "Oracle
       Linux / RHEL 6". (Bug #16897390)

     * On Microsoft Windows, the C:\Program Files
       (x86)\MySQL\MySQL Workbench 6.0\ directory would remain
       (with some files) after uninstalling MySQL Workbench.
       (Bug #16657516)

     * On OS X, an empty the Model Overview tab was empty. (Bug
       #16464436, Bug #68596)

     * On Microsoft Windows, MySQL Workbench would only detect
       the connection settings when the list of locally
       installed instances was detected. It now also detects the
       instance settings, such as the service name and
       configuration file location.

     * On Microsoft Windows, the Print to File feature could
       generate a corrupted PDF file.

     * Reading a my.ini file that contained a non-commented line
       before the first [section] would cause a crash.

Changes in MySQL Workbench 6.0.5 (2013-08-01, Release Candidate)

   This is the first RC release of 6.0. It is meant for testing
   purposes, and should not be used in a production environment.

   Bugs Fixed

     * The "Query duration / Fetch time" report failed to
       function properly. (Bug #17229322, Bug #69840)

     * On Microsoft Windows 8, MySQL Workbench would freeze due
       to font related issues.
       A workaround was to change the font using Edit,
       Preferences, Appearance to a font other than "Bitstream
       Vera Sans Mono 12." (Bug #17183318, Bug #69480)

     * The Rename functionality, from within the Fix Index Names
       dialog, did not report that the rename operation was
       successful. (Bug #14508931, Bug #66340)

     * On Microsoft Windows, the log file viewer would emit an
       exception when very long log entries were present.

     * On Microsoft Windows, code signing was enabled on the
       Windows executables.

     * When performing a Sybase ASE migration, the custom length
       for TEXT, UNITEXT, and IMAGE columns was fixed as they do
       not allow a custom length.

     * On Microsoft Windows, Consolas is now the default font,
       except in XP. This solves a potential freeze when opening
       the SQL editor in Microsoft Windows 8.

     * MySQL Workbench would crash after excessive Control + C
       and Control + V operations on modeling objects.

     * The mysql-workbench-gpl packages were renamed to
       mysql-workbench-community, and various RPM packaging
       fixes were made.

Changes in MySQL Workbench 6.0.4 (2013-07-24)

   This is the third public beta release of 6.0. It is meant for
   testing purposes, and should not be used in a production
   environment.

   Functionality Added or Changed

     * The Print to PDF... and Print to PS... menu items were
       merged into a single Print to File... menu item. This new
       menu item also now allows diagrams to be selected (or
       deselected). (Bug #17069956, Bug #69176)

     * MySQL Workbench will now detect file edit changes in the
       SQL editor. For example, you may now open an SQL file in
       MySQL Workbench, edit the same file in another text
       editor, and MySQL Workbench will detect the changes and
       update accordingly. (Bug #16744919, Bug #68950)

     * It is now possible to manually specify referenced tables
       and columns to alter forward engineering behavior. A stub
       table is created for this, which is not forward
       engineered. (Bug #14134769, Bug #61440)

     * The tab navigation feature now includes wrapping.
       Pressing Control + Tab (forward) with the last tab active
       will move to the first tab, and pressing Control + Shift

       + Tab (backward) with the first tab active will move to
       the last tab. (Bug #14096668, Bug #65354)

     * As requested, MySQL Workbench can be opened from Visual
       Studio (or most any application) as an external tool. The
       --query command line option accepts connection
       information, see --help for additional options. (Bug
       #14079584, Bug #65261)

     * Columns for the Foreign Key definition are now reordered
       to match that of the index they are associated with. (Bug
       #13344743, Bug #62930)

     * A sub-menu in the Query menu was added to change the row
       count limit.
       A workaround was to click the toolbar button "Toggle
       limitation of records number" in the results grid pane to
       set or unset the limit for a specific result set. (Bug
       #11763098, Bug #55765)

     * A page header and footer was added to the Print to
       File... output.
       A workaround option was to add a text field to the
       document and add your information there. (Bug #11762619,
       Bug #55233)

     * Support for opening SQL (*.sql and *.dbquery) files from
       the command line option was added.
       If only a .sql file is passed in, then a connection
       dialog will be opened so that a MySQL connection can be
       chosen. If the -query $connection option is also passed
       in, then the file will be opened using that MySQL
       connection. (Bug #11752504, Bug #43721)

   Bugs Fixed

     * The Schema Transfer wizard text was difficult to read.
       (Bug #17163820, Bug #69747)

     * In the Model view, the "Accordion" style tabs would
       disallow scrolling when multiple tabs were open. For
       example, Physical Schemas would not scroll down to other
       options like Model Notes. (Bug #17154650, Bug #69635)

     * The Schema Privileges page was updated. Schema privileges
       can now only be added to the previously selected
       user/host pair. (Bug #17088972, Bug #68059)

     * Forward Engineer SQL Script would not create View
       definitions in the generated SQL script when Omit Schema
       Qualifier in Object Names was set, the resulting SQL
       script only contained definitions for the table. (Bug
       #17066617, Bug #69686)

     * It was not possible to execute statements with the
       PROCEDURE ANALYSE statement.
       A workaround was to remove the generated LIMIT clause.
       (Bug #17066330, Bug #69687)

     * The innodb_file_format_check option was set as a String
       in the MySQL Workbench GUI, but it is now set with a
       (Boolean) checkbox. (Bug #17057975, Bug #69672)

     * Reverse Engineer Selected Schemata could fail while
       migrating PostgreSQL 9.0.x, because MySQL Workbench
       assumed the pg_catalog.pg_enum table had the
       enumsortorder column in version 9.0.x, when it was added
       in 9.1.
       A workaround is to edit db_postgresql_re_grt.py, as
       suggested in the bug report. (Bug #17056367, Bug #68997)

     * The Schema Privileges tab would not remove a user's
       schema privileges after pressing Delete. Only the Add and
       Modify operations functioned. (Bug #17050803, Bug #69660)

     * Horizontal scroll bars are now present on all text boxes.
       Sometimes the horizontal scrollbar would not be displayed
       until the cursor was moved past the edge of the text box
       using the keyboard. (Bug #17050483, Bug #66747)

     * Detection of compatible indexes was updated to accept any
       index with the correct columns at the right position. The
       ordering of the FK columns is automatically updated to
       match the index columns. (Bug #17043125)

     * Executing Synchronize Model on databases with foreign
       keys could generate "Error 1822" failures. Foreign key
       index dependencies are now respected, in addition to any
       other ordering that is being done. (Bug #17037751, Bug
       #69508)

     * A new preference was added to toggle casing for the
       generated keywords in the auto completion list. Edit,
       Preferences, SQL Editor TAB, Use uppercase keyboards on
       completion. (Bug #17033597, Bug #69621)

     * On Microsoft Windows, executing a query using the Control

       + Enter shortcut would cause the cursor focus to be lost.
       (Bug #16983168, Bug #69505)

     * The height of the SQL editor text pane would revert to
       the default height after executing a query. The
       customized height is now preserved. (Bug #16979473, Bug
       #69504)

     * On OS X, executing Apply SQL Script to Database could
       overflow the window if too many errors were generated.
       These errors are now logged in the Action Log pane. (Bug
       #16970560, Bug #69483)

     * Clicking "Alter Table" from the schema tables list and
       changing the engine from the engine drop down would not
       alter the database after pressing Apply. (Bug #16933119,
       Bug #69433)

     * Connection handling was refactored. All defined
       connections are now listed, when before only "stored"
       connections were shown. Additionally, the last used
       connection is now highlighted by default.
       This also solves a problem where the connection manager
       window could crash when it was closed. (Bug #16869457,
       Bug #69329)

     * Under Server Administration, Users and Privileges,
       clicking Add Account after sorting the list by User would
       load the details of an existing user. (Bug #16828217, Bug
       #69267)

     * On Microsoft Windows, only the size would be saved when
       attempting to save a size and name for a new diagram.
       (Bug #16793626, Bug #69182)

     * On OS X, opening the context menu for a table in the
       expanded tables list in the schemata explorer after
       running a query against the schema (before it was
       expanded in the schemata explorer) would cause MySQL
       Workbench to freeze. (Bug #16788873, Bug #69188)

     * The tables drop down was not sorted alphabetically in the
       schema explorer if a SELECT query was executed on a
       schema before viewing the tables. (Bug #16784484, Bug
       #69178)

     * A table's current information was not always reflected in
       the Information panel for the SQL editors, even after
       clicking Refresh All. (Bug #16708902, Bug #68988)

     * Control + PageDown and Control + PageUp now switch
       between open SQL Editor connections. (Bug #16687676, Bug
       #68968)

     * An option to edit a table's KEY_BLOCK_SIZE information
       was added to the Options tab, to go along with the
       current Row Format option. (Bug #16588233, Bug #68422)

     * The File/Open SQL Script dialog now defaults to the last
       used folder during the session. (Bug #16581302, Bug
       #68822)

     * Colons are now enclosed with brackets and recognized as a
       valid IPV6 hostname when using the Setup New Connection
       dialog. (Bug #16422401, Bug #68536)

     * Executing a Reverse engineer did not refresh the MySQL
       Model tab. It is now updated automatically. (Bug
       #16285313)

     * The Revert option not working for views/routines. (Bug
       #16284542)

     * A new option to reset all connection passwords was added.
       It is under Open Connection, Server, Reset saved
       passwords for connection. (Bug #16284321)

     * The Refresh data from data source option failed to
       function with local changes present. A dialog was added
       to either apply or cancel the local changes before
       performing the refresh. (Bug #16104127, Bug #68030)

     * An option to Select All schemata was added to the
       migration wizard. An option to Unselect All already
       existed. (Bug #16065000, Bug #68017)

     * With zoom at 100%, the letter "d" looked like a "c" in a
       table relationship tooltip. (Bug #14835312, Bug #67420)

     * The Catalog Diff Report for an EER Diagram could generate
       a list of differences, but without any actual
       differences. (Bug #14829528, Bug #67209)

     * After synchronizing with a data source by defining the
       source and destination databases, the previously selected
       stored connections would sometimes be incorrect. (Bug
       #14807904, Bug #67111)

     * While editing a Model Overview, executing undo (Control +
       Z) could undo text in the Trigger window beyond the point
       that another table was clicked, eventually removing all
       text in the trigger tab. The trigger information is now
       respected between tables. (Bug #14800878, Bug #66867)

     * The Filter field in the query tab would ignore the last
       character. (Bug #14636440, Bug #66844)

     * Refreshing filtered results could fill the table with
       data, without first applying the filter. (Bug #14498414,
       Bug #66009)

     * Scrolling around an EER diagram could sometimes cause
       glitches, by adding misplaced pixels along the borders.
       (Bug #14498256, Bug #65969)

     * After reading large EER model, and immediately loading
       another EER model, sometimes MySQL Workbench would crash.
       (Bug #13923093, Bug #17024905)

     * When defining a user defined data type, the available
       options did not include the specification of a charset,
       especially useful for the TEXT data type. The inclusion
       of the new Table template functionality fixes this issue.
       (Bug #13500224, Bug #63728)

     * Sometimes the MySQL Workbench GUI would not scale down to
       allow access to some of the buttons. All buttons are now
       displayed when using the minimal (or greater) required
       resolution of 1024x768. (Bug #12756582, Bug #61608)

     * When moving a column in a table either up or down by
       means of the context menu, the focus would not remain
       with the column being moved. Now, when moving a selected
       column of a table, the focus remains with the
       re-positioned column. (Bug #11763633, Bug #56371)

     * A Rename Diagram... context menu item was added for
       diagrams in the Model Overview. (Bug #11762737, Bug
       #55367)

     * The User Accounts panel is now resizable so that the user
       and from host columns can both fit without scrolling.
       (Bug #11757906, Bug #50023)

     * On Linux, the green lightening bolt icon in the schema
       editor did not function. It was replaced by a "Refactor
       Schema" button. (Bug #11757390, Bug #49430)

     * Changing the INTEGER data type to VARCHAR would leave the
       "AI" (AUTO_INCREMENT) attribute checked. (Bug #11755581,
       Bug #47379)

     * Textual UI inconsistencies were fixed, such as changing
       the name "Window" to "Tab" when referring to a new tab.
       (Bug #11753870, Bug #45389)

     * MySQL Workbench would allow the creation of a FULLTEXT
       index on tables using an engine that did not support
       FULLTEXT. Validation now catches invalid index
       type/engine type combinations. (Bug #11747352, Bug
       #31939)

     * Validation and forward engineering did not check engine
       dependencies when the index type was changed. (Bug
       #11747351, Bug #31938)

Changes in MySQL Workbench 6.0.3 (2013-07-09)

   This is the second public beta release of 6.0. It is meant
   for testing purposes, and should not be used in a production
   environment.

   Functionality Added or Changed

     * On OS X 10.7 and above, full screen support was added.
       (Bug #16962994, Bug #69473)

     * Database models can now be synchronized with any schema
       overriding the schema name. For example, it is now
       possible to synchronize two databases that have different
       names. (Bug #11757723, Bug #49817)

   Bugs Fixed

     * Migrating Microsoft SQL Server to MySQL could truncate
       VARCHAR data. (Bug #17025373, Bug #69596)

     * The SELECT DROP table/schema context menu action would
       generate SQL in lowercase. SQL keywords are now written
       in uppercase. (Bug #17006621, Bug #69560)

     * The checkbox in the bottom left corner of the Model,
       Model Options dialog box was not labeled. The label is
       now Use defaults from global settings. (Bug #17004380,
       Bug #69552)

     * Executing Synchronize Model against two tables that were
       identical except for the order that the indexes were
       created, would cause MySQL Workbench to drop and
       immediately re-add the foreign keys. (Bug #16999452, Bug
       #69153, Bug #69181)

     * Pressing Control + F would fail to open the Find dialog.
       (Bug #16996850, Bug #69540)

     * The ";" separator for passing in multiple values to the
       replicate-wild-ignore-table option was not parsed
       correctly, and MySQL Workbench would throw an unhandled
       exception. (Bug #16996665, Bug #69520)

     * The Forward Engineering Generate INSERT statements for
       tables option did not function. (Bug #16992658, Bug
       #69532)

     * When executing an Administration task, such as Manage
       Security, an "Current Profile Has no WMI enabled" error
       would be reported for local connections.
       A workaround was to edit and save the connection, while
       making edits to the connection was not required. (Bug
       #16986040, Bug #59933)

     * Under certain circumstances, entering an incorrect
       password would be saved and "Incorrect password" would be
       reported without the ability to enter a new (and valid)
       password. (Bug #16979861, Bug #69497)

     * On OS X, the default configuration files for local server
       instances were not discovered properly. Attempts to edit
       the Options File would emit an error. (Bug #16977187, Bug
       #69475)

     * The DBMS connection read time out user preference was
       limited to 5 characters in length. (Bug #16967769, Bug
       #69395)

     * MySQL Workbench prompted for the sudo password when it
       was not needed. (Bug #16967758, Bug #69481)

     * The Export recordset to an external file option would not
       check for existing files with the same name, and would
       overwrite a file without providing a warning. A prompt is
       now generated that asks if you want to overwrite the
       existing file. (Bug #16959225, Bug #69467)

     * Attempting to change my.cnf via Server Administration,
       Option File would generate an error about an invalid sudo
       password. (Bug #16941451)

     * Migrating a local MySQL server to a remote MySQL server
       would fail at the data copy step, when a stored
       connection using the default socket path was used. (Bug
       #16895726, Bug #69376)

     * On Microsoft Windows 8, a "Handle is not Initialized"
       exception would be generated after performing a "Find and
       Replace" in the routine tab that is located in the group
       routines section. (Bug #16892512, Bug #69354)

     * Adding a particularly long string (around 50 characters)
       to a table comment for a model diagram would cause MySQL
       Workbench to crash. (Bug #16703832, Bug #68984)

     * When executing an Import From Disk operation with Data
       Import/Restore to a connection with an SSL CA File
       specified in the connection's configuration, clicking
       Start Import would generate an error and fail to
       function. (Bug #16601645, Bug #68428)

     * Creating a stored function or procedure would generate
       SQL with superfluous CREATE and USE statements. (Bug
       #16588163, Bug #68204)

     * Executing Model, DBDoc, Model Reporting created a memory
       link. Then after the report was generated, executing
       File, Export, Export as PNG failed and report that MySQL
       Workbench ran out of memory. (Bug #16562737, Bug #68755)

     * Changing a column's default value from CURRENT_TIMESTAMP
       to CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP was not
       detected. (Bug #16546597, Bug #68341)

     * Clicking Apply after only changing a backtick ("`") or
       space (" ") would not save the results, and instead MySQL
       Workbench would report "No changes detected." (Bug
       #16545503, Bug #68162)

     * Moving tables around while constructing a diagram could
       cause the table positions to become lost, and scatter.
       (Bug #16521951, Bug #68727)

     * When connected to a database in SQL Development mode
       after running a query (or using the Edit table data
       context menu option), left clicking the leftmost column
       in the result set pane did nothing. The row options are
       now enabled when clicking the left side column. (Bug
       #16469383, Bug #68633)

     * Opening the SQL editor with a stored connection would not
       open the saved workspace if the stored connection was
       selected by default. (Bug #16433144, Bug #68499)

     * After creating a table against a MySQL server with
       lower_case_table_names enabled, the Object Browser would
       display the new table name as the user entered it,
       instead of displaying how it was created with lower-case.
       The lowercase version is now displayed, and the user is
       notified of the conversion. (Bug #16390426, Bug #68210)

     * Importing a CSV file that defined line endings with "\r"
       instead of "\n" or "\r\n" would cause MySQL Workbench to
       crash. A warning message is now displayed that warns of
       the incorrect format. (Bug #16362189, Bug #68343)

     * The **.* object under Model, Schema Privileges,
       Privileges was missing an icon. (Bug #16285241)

     * The Replace & Find feature would insert the replacement
       text at the cursor location even if the matching text was
       not found. (Bug #16284625)

     * On Microsoft Windows, an "Index was out of range"
       exception was thrown after loading the Output tab in the
       SQL editor. (Bug #16283047)

     * The text editor in the lower bottom half of the snippets
       tab (inside the scripting shell) would become unavailable
       (hidden) after dragging the splitter bar all the way
       down. (Bug #16277909)

     * After adding and deleting a relationship between tables,
       the deleted relationship was still reported in the yellow
       tooltip box.
       A workaround was to restart MySQL Workbench after saving
       the project. (Bug #14835355, Bug #67421)

     * An error was emitted while generating a catalog diff
       report, and differences in catalogs are now successfully
       reported. (Bug #14692908, Bug #66986)

     * The canvas height of the Model Overview container was not
       calculated properly. The amount of whitespace would
       increase as the number of objects increased. (Bug
       #14456267)

     * Database synchronization with a View would sometimes
       fail, and could remove the View. (Bug #14005482, Bug
       #65108)

     * Right-clicking on an existing diagram in the model editor
       would display a disabled Cut and Paste option. It was
       removed. (Bug #13470625)

     * A column name mapping editor was added to the synchronize
       wizard, as sometimes manually adjusting the column
       mapping is required. (Bug #13463420, Bug #63486)

     * An error dialog is now generated if an invalid column is
       chosen from the foreign key picker when creating the
       relationship. (Bug #11766525, Bug #59655)

     * Validation now checks for the required parenthesis with
       the "Union Tables" argument during model synchronization,
       and adds them if they are missing. (Bug #11766487, Bug
       #59601)

     * The default value for an ENUM was not quoted. (Bug
       #11761349, Bug #53835)

     * MySQL Workbench could exhibit an extended timeout when
       suffering from incorrect permissions. This extended
       timeout was fixed, and MySQL Workbench will now ask for
       the sudo password when needed. (Bug #11761240, Bug
       #53711)

     * When adding a table to form a N:M relationship in a large
       EER Diagram, the new N:M table was positioned far away
       from the tables. This third table is now added between
       the two other tables. (Bug #11754898, Bug #46582)

     * The name of a Diagram can now be changed from the diagram
       tab via Model, Diagram Properties and Size.... (Bug
       #11753099, Bug #44472)

Changes in MySQL Workbench 6.0.2 (2013-06-13)

   This is the first public beta release of 6.0. It is meant for
   testing purposes, and should not be used in a production
   environment.

   Functionality Added or Changed

     * A new Hide sleeping connections option was added to the
       Client Connections section of the MySQL MANAGEMENT tab.
       (Bug #16675975, Bug #68978)

     * The Select All and Unselect All (database) commands were
       added to the Synchronize Model context menu. (Bug
       #14084381)

     * A Functions section was added to the SCHEMAS viewer in
       the Object Browser, to go along with the current Tables,
       Views, and Stored Procedures sections. (Bug #11763631,
       Bug #56368)

     * A Truncate Table option was added to the right-click
       context menu for tables, which compliments the current
       Alter Table and Delete Table options. (Bug #11758513, Bug
       #50726)

     * Relationship properties can now be edited by
       double-clicking the relationship in an EER diagram. (Bug
       #11758318, Bug #50506)

     * Table column and relationship defaults may now be
       configured to default as lowercase, uppercase, or
       capitalized (for camelCase). The syntax, under
       Preferences, Model is %table|upper%, %table|lower%, and
       %table|capitalize%. See the hovering help tool tips for
       additional information. (Bug #11753021, Bug #44382)

   Bugs Fixed

     * Several improvements were made to the Microsoft SQL
       server migration wizard, which included fixes for
       unsupported operand types. (Bug #17086889, Bug #69713)

     * If several editor tabs were open, including one or more
       Table editor tabs (via Create Table or Alter Table),
       MySQL Workbench would crash when choosing Close all or
       Close all but this. (Bug #16959525, Bug #69466)

     * Specifying an ip/subnetmask as a host specification would
       be rejected. For example, "10.0.1.0/255.255.254.0" failed
       to validate as a host. (Bug #16887657)

     * Dropping a schema that was defined as the default schema
       would crash MySQL Workbench. (Bug #16876985, Bug #69337)

     * Executing a query that contained a regular expression
       would cause MySQL Workbench to crash. (Bug #16775867, Bug
       #69167)

     * Right clicking a field in the SQL Editor while in grid
       view would cause MySQL Workbench to freeze. (Bug
       #16762969, Bug #69139)

     * Forward Engineer failed on the foreign key validation
       step for tables with cyclical foreign key relationships.
       An option to disable foreign key checks during INSERT
       handling was added. (Bug #16719239, Bug #69054)

     * While migrating from a Microsoft SQL Server database, the
       Datetype2 MSSQL type is now converted to the DATETIME
       MySQL type. (Bug #16681117, Bug #68790)

     * An older version of the MySQL Client was bundled with
       MySQL Workbench, and it has since been updated. This
       caused problems while executing mysqldump. (Bug
       #16575396, Bug #16668532, Bug #16307109, Bug #68683, Bug
       #68779, Bug #68328)

     * On Microsoft Windows, migrating an SQL Server database
       that contained a lot of columns (100+) would sometimes
       fail to migrate. The problem involved how
       wbcopytables.exe uses temporary files to store table
       names and column information. (Bug #16538786, Bug #68146)

     * Upon synchronization between a model and a database, the
       database SQL code is no longer displayed when changes are
       applied to a model or set as ignored. (Bug #16529438, Bug
       #67692)

     * Statements following a "--" style code comment would not
       be executed. These comments are now handled properly by
       MySQL Workbench. (Bug #16492436, Bug #16171620, Bug
       #15978566, Bug #68674, Bug #67711, Bug #67848)

     * The Slow query log tab was empty when checking against
       MySQL Server 5.7. (Bug #16478942)

     * If two triggers existed on a table, but only one was
       modified, the second trigger was removed from the schema
       after applying the changes. (Bug #16477746, Bug #68651)

     * Using Synchronize with Any source would not display all
       available schemas for the source connection. (Bug
       #16471554, Bug #67887)

     * When configured to generate a script for data copying on
       the Data Transfer Setup page in the Database Migration
       wizard, the Truncate target tables... and the Enable
       debug output... options were not generating commands for
       this script. (Bug #16464193)

     * On Microsoft Windows, scripts generated for
       wbcopytables.exe would not escape parameter values that
       contained spaces or semi-colons. (Bug #16463467)

     * Executing a very large statement could produce generic
       GDI+ errors, and replace the process list with a large
       red X. (Bug #16453590)

     * While copying tables, the Database Migration wizard would
       create temporary files in the current directory upon
       execution. This would sometimes lead to permission
       errors, so the system's temporary folder is now used.
       (Bug #16447313)

     * The Manual Editing step of a Database Migration would
       display all columns, but will now only show the columns
       that were selected for migration. (Bug #16446660)

     * Edit, Format, Beautify Query would remove the ROLLUP
       keyword. (Bug #16435852)

     * Changes to a trigger are lost after editing a file from
       an older version of MySQL Workbench that contains the
       trigger. (Bug #16433014, Bug #66572)

     * On Linux, MySQL Workbench would crash after deleting a
       database schema from a model. (Bug #16353605, Bug #68402)

     * Edit Table Data was removed from the table context menu,
       and the table name was added as the title for the Select
       Rows - Limit 1000 context menu option that can be used to
       edit table data. (Bug #16346058, Bug #68398)

     * The Server Administration, Configuration, Options File
       editor would sometimes fail to display the options. (Bug
       #16346058, Bug #68398)

     * Comments added to primary keys were not saved. (Bug
       #16329439)

     * When synchronizing a model with columns with default
       values of NULL, MySQL Workbench would always treat these
       columns as having changed. (Bug #16325636, Bug #68369)

     * Selecting and then dropping multiple objects from the SQL
       editor would cause MySQL Workbench to delete the objects,
       and then crash. (Bug #16311466, Bug #68337)

     * Adding a new connection using the Manage Stored
       Connection option in the Synchronize Model dialog would
       not save the connection after MySQL Workbench was closed.
       (Bug #16292166, Bug #68294)

     * After dropping a database that is defined as the default
       schema and then clicking Create a new table, the New
       table tab would display the "default schema" in the
       "schema:" field. (Bug #16284582)

     * The -upgrade-mysql-dbs command line option was missing
       from -help. (Bug #16278270)

     * Clicking Cancel after loading Plugins, Utilities, Change
       the Storage Engine of All Tables would generate an error.
       (Bug #16248101, Bug #68232)

     * Datetime with fractional seconds is now supported.
       Before, MySQL Workbench would convert DATETIME(n) (where
       "n" is an integer) to DATETIME. This fix also applies to
       TIMESTAMP(n).
       Note that this option requires the default target MySQL
       Server version set to "5.6", which is set with the Model,
       Model Options preference. (Bug #16239203, Bug #68191)

     * A database with a name that contained an underscore could
       not be assigned schema privileges using the provided
       database list in the Server Administrator, as the
       database name was not escaped properly. (Bug #16227715,
       Bug #68175)

     * Default values for DECIMAL column definitions would not
       be preserved during synchronization. (Bug #16171808, Bug
       #67502)

     * Running Database, Reverse Engineer on an EER Model
       diagram would cause the canvas to not draw properly until
       the diagram was dragged. (Bug #16171635, Bug #67440)

     * While editing a schema comment, the cursor would jump to
       the end of the comment after the cursor was moved, thus
       making it impossible to edit previous comments. (Bug
       #16104719, Bug #67843)

     * The Action Output window would not refresh when the Text
       Output window was not active. (Bug #16063275, Bug #67419)

     * Opening a stored procedure or function for editing in a
       Model, editing it, and then closing the tab, would crash
       MySQL Workbench. (Bug #16058044, Bug #67995)

     * Extra whitespace would sometimes be present between the
       Migrate Table Objects and Migrate View Objects sections
       of the Source Objects step in the migration wizard. (Bug
       #14808352, Bug #67188)

     * A Database Migration from SQL Server to MySQL could fail
       if a SQL Server data type was a FLOAT(n). (Bug #14761954,
       Bug #67234)

     * MySQL Workbench could crash after modifying a functioning
       SSH key-based authenticated stored connection with
       incorrect credentials. (Bug #14701987, Bug #65672)

     * Clicking Cancel after loading Alter Table, Partition
       would duplicate the partition on the screen once for
       every time Cancel was clicked. (Bug #14571162, Bug
       #66615)

     * The right-click context menu was not available while text
       was highlighted in the SQL editor. (Bug #14568049, Bug
       #66613)

     * When migration SQL Server to MySQL, CHAR/VARCHAR/TEXT
       fields containing international text failed to transfer.
       These fields are now converted to NCHAR/NVARCHAR/NTEXT.
       (Bug #14534789, Bug #66516)

     * MySQL Workbench will now check if collation and charset
       are compatible, and in the case of generated SQL, the
       charset will be ignored if they are incompatible. (Bug
       #14278043, Bug #65764)

     * A connection could fail to connect prematurely and would
       report "Connection canceled" despite Test Connection
       reporting a valid connection. (Bug #13972036, Bug #64003)

     * A trigger meant to insert connections on an n-n
       relationship failed on INSERT due to a wrong insert order
       produced during the Forward Engineering step.
       A workaround was to forward engineer the database with
       the Skip Foreign Key creation and Skip FK Indexes options
       enabled while executing Synchronize Model. (Bug
       #13790046, Bug #61594)

     * With a Model project open, MySQL Workbench would crash
       after Edit, Find, Find Advanced was either clicked or
       after the associated keyboard shortcut (Control + Alt + F
       ) was pressed. (Bug #12565875, Bug #61214)

     * The Alter Table... option did not function on tables with
       triggers. This was resolved by correctly escaping the
       data returned by the MySQL Server when retrieving the
       triggers. (Bug #12546727, Bug #61110)

     * Deselected table objects were still evaluated when
       executing the EER Model From Existing Database wizard on
       a database with triggers. (Bug #11765398, Bug #58362)

     * Window placement improvements were made for using MySQL
       Workbench with lower screen resolutions than the minimum
       screen resolution requirement of 1024x768. (Bug
       #11764019, Bug #56802)

     * The image data viewer tab in the BLOB image viewer would
       not have a horizontal tab when the image was larger than
       the image viewing area. (Bug #11764016, Bug #56797)

     * The length of a primary key index could not be set when
       the primary key contained a text field. (Bug #11763301,
       Bug #55997)

     * MySQL Workbench suffered from slow performance when
       selecting a large amount of data, such as 100,000+ rows.
       (Bug #11762734, Bug #16507740, Bug #55364)

     * When Synchronize Model the feature was used to generate
       SQL to modify an existing database, it would lose the
       UNSIGNED attribute while executing the synchronization.
       (Bug #11760008, Bug #52373)

     * Clicking on a table cell and pressing F2 will now select
       (highlight) the cell contents for editing. Before, the
       cursor would be placed at the end of the cell. (Bug
       #11759671, Bug #52001)

     * It was not possible to force synchronization of a schema
       with another schema that had a different name. The new
       Override Target option allows this, and is available
       during the Select Schemata stage of the synchronization
       wizard.
       Note: you must click Override Target to set the override
       before clicking Continue. (Bug #11754001, Bug #45533)

Changes in MySQL Workbench 6.0.1 (Not released)

   This is the first private beta release of 6.0.

   Functionality Added or Changed

     * The Home tab was redesigned. See the "What's New" page
       for additional details. (Bug #16681573, Bug #68900)

     * The available information in the Object Browser was
       expanded to include non-table nodes, which includes
       indexes, foreign keys, functions, stored procedures, and
       triggers. For example, a description for an index will
       show the type, uniqueness, and associated columns, and a
       function will show its parameters. (Bug #16202768, Bug
       #11765064, Bug #67114, Bug #57983)

     * The splash screen, when loading MySQL Workbench, was
       removed. (Bug #11761020, Bug #53473)

     * The Server Administration screen was improved to include
       additional information, when before it only displayed
       start/stop information. New details include running
       status, number of connections, traffic bandwidth, key
       efficiency, queries per second, server directories,
       available features/plugins, InnoDB related statistics,
       and more. (Bug #11757812, Bug #49913)

   Bugs Fixed

     * Forward Engineering would sometimes fail with triggers
       when the Omit Schema Qualifier in Object Names option was
       enabled. (Bug #16864493)

     * The Database Migration wizard failed to reverse engineer
       a Microsoft SQL Server database if the database name
       contained a space. (Bug #16754457, Bug #69115)

     * Attempting to create a user with the same name as the
       database, that contained a hyphen, would generate an
       error. The error was "SQL Error: 1064". (Bug #16691914,
       Bug #69007)

     * Clicking Apply after editing a field name in the Alter
       Table window would not save the change, unless a
       different part of the edit window was clicked. (Bug
       #16681375, Bug #67802)

     * The Server Administration panel would refresh the UI each
       time it was activated. So all unsaved changes were lost
       from the UI after switching to a different page and
       returning back to the Users and Privileges page. Now the
       UI for each tab in this page is refreshed only when it
       doesn't have unsaved changes. (Bug #16679449, Bug #68730)

     * On Microsoft Windows 8, MySQL Workbench would not start
       when loaded from a network folder. (Bug #16660724, Bug
       #68862)

     * On OS X, a table name could not be changed via the Alter
       Table menu. Clicking Apply would report "No Changes
       detected".
       A workaround was to rename the column by changing it in
       the list view instead of the text field below it. (Bug
       #16595066, Bug #68595)

     * On Fedora Linux, the MySQL Workbench binary PATH was not
       properly set on some systems. (Bug #16594877, Bug #68479)

     * MySQL Workbench failed to set up a connection with a
       MySQL user that authenticated using PAM. (Bug #16556099,
       Bug #68507)

     * Copying and pasting multiple columns between tables in an
       EER Model would not maintain the order of the columns.
       (Bug #16554982, Bug #68433)

     * Connector/C++ is no longer bundled with MySQL Workbench.
       (Bug #16554694, Bug #68324)

     * The Sudo command option was removed from the Manage
       Server Connections, Server Profile MySQL Management tab.
       Previously, the sudo password could be truncated. (Bug
       #16545276, Bug #67945)

     * On Fedora Linux, the documentation is no longer bundled
       with MySQL Workbench, due to it not being "Free". (Bug
       #16539724, Bug #68325)

     * NULL values were not being displayed in the first column
       of a result set, and were instead being displayed as
       empty cells. (Bug #16363542, Bug #68434)

     * In the Server Administration panel, the "Remote
       Administration Disabled" message in the Startup /
       Shutdown tab was difficult to read. The remote management
       options are no longer visible unless it is configured.
       (Bug #16338435)

     * Toggling break points in the Scripting Shell failed to
       set. (Bug #16271528)

     * The Database Migration wizard would migrate unsigned
       tinyint Microsoft SQL Server values, but would throw an
       exception for values exceeding 127 (the maximum value for
       a signed tinyint). (Bug #16263882, Bug #68084)

     * On Fedora Linux 18, MySQL Workbench would not install due
       to a missing PCRE dependency. (Bug #16198661, Bug #68114)

     * It was not possible to edit indexes in the index tab of
       the EER diagram, Alter Table window. (Bug #16197830, Bug
       #68103)

     * The History tab would display query history as oldest to
       newest, but now displays the most recent queries first.
       (Bug #14571056, Bug #66594)

     * In the table editor, after entering a column comment for
       a new column, clicking on a different option (such as
       toggling NOT NULL) would erase the comment. (Bug
       #14548138, Bug #66554)

     * Executing a complete schema import during a migration
       could run out of memory if the schema contained a lot of
       views, procedures, and function definitions. The memory
       handling was improved. (Bug #14483625, Bug #66225)

     * Instead of freezing at "Tables fetching..." when table
       records could not be fetched, MySQL Workbench will now
       report this issue by updating the associated fetch icon
       and report it as "Could not be fetched". (Bug #14079460,
       Bug #65254)

     * The BINARY flag used in a user defined type was dropped
       from the column definition during database
       synchronization. (Bug #13364844, Bug #62701)

     * A Copy Row (with names) option was added to the context
       menu for record sets. (Bug #11765574, Bug #11764870, Bug
       #58557, Bug #57748)

     * The list of Model diagrams did not re-wrap and determine
       how many columns of icons it could show when the window
       was narrowed, and would only re-wrap when the window was
       widened. (Bug #11755680, Bug #47486)

     * On Linux, the cursor focus now starts on the Name: field
       after choosing Edit Table. (Bug #11755349, Bug #47112)

     * The option to set the default data type for a PK column
       did not allow data type options to also be set for the
       column, such as AI or UNSIGNED. The new "Table Template"
       feature makes this possible. (Bug #11749340, Bug #38802)

Changes in MySQL Workbench 6.0.0 (Not released)

   This is the first private alpha release of 6.0.

   Functionality Added or Changed

     * New Delete with References and Select with References
       options were added. The DELETE version will generate a
       series of DELETE statements needed to delete a row from a
       table that includes rows from other tables that reference
       it, recursively. The SELECT version allows you to preview
       what rows would be deleted. (Bug #14158884, Bug #65525)

     * Context Sensitive help was added that show specific help
       topics depending on the word at the caret in the SQL
       editor. After a delay, MySQL Workbench will show
       formatted help information from the MySQL Server
       (equivalent to using the help command from the
       command-line MySQL Client). (Bug #11765858, Bug #58862)

     * The Schema Inspector and Table Maintenance features were
       added, which include the ability to analyze and repair
       tables, and view table metrics. (Bug #11765063, Bug
       #11761090, Bug #11758528, Bug #57982, Bug #53548, Bug
       #50741)

     * A table templates feature was added where one can specify
       the list of columns to be created for a new table, in
       both the SQL Editor and in Modeling. (Bug #11764790, Bug
       #57661)

     * A comment tab was added to allow specifying database
       independent comments for a store routines/views. (Bug
       #11764338, Bug #57161)

     * A toolbar was added to all script editors with options
       that include save and load buttons. (Bug #11764091, Bug
       #56886)

     * A new Preferences, SQL Queries, Leave autocommit mode
       enabled by default user preference was added. (Bug
       #11763282, Bug #55975)

     * The --query command line option was changed, the
       connection dialog will be popped up directly if a value
       is not passed in. (Bug #11762355, Bug #54938)

     * The development toolbar was added to all SQL editors, and
       includes the ability to search/replace within the Alter
       Table window. (Bug #11759599, Bug #51923)

     * MySQL Workbench no longer bundles the μ, as they are
       installed as separate packages.

     * Added a code editing toolbar for all SQL editors in both
       the modeling and query editor interfaces.

     * Added the ability to create tables from user templates,
       which includes a table template editor.

     * Code completion now supports all query types, in addition
       to SELECT statements. Suggestions are now displayed for
       all database object types, such as triggers, event, and
       indexes, in addition to schemas, tables and columns.

     * Added MySQL Enterprise Backup support. A GUI for the
       MySQL Enterprise Backup command-line now exists inside
       MySQL Workbench SE for Enterprise users.

     * On Microsoft Windows version 7 and above, support for
       application color schemes was added, and they are
       dynamically switchable via the MySQL Workbench
       preferences.

     * Added schemata migration support for SQL Anywhere and
       SQLite.

     * Added plugins to build SQL queries for:

          + Cascading DELETE statements for selected tables.

          + Perform a SELECT statement for cascaded DELETE
            statements, for previewing.

          + Building a joined SELECT statement for selected
            tables that automatically determine the intermediate
            tables by using the shortest path.

     * Added a new Schema Manager feature, which is found under
       Schema, Schema Manager.

     * Added the database search feature.

   Bugs Fixed

     * Under certain circumstances, cutting and pasting a large
       amount of data from an external application (such as
       Excel) could cause MySQL Workbench to throw an exception.
       (Bug #16545227, Bug #67936)

     * After changing a column name, clicking a different
       location could cause the column name change to be lost.
       (Bug #16536486, Bug #68216)

     * While copying a model column, the new column names
       default to [name]_copy[n] where "name" is the name of the
       copied column, and "n" is an incremented integer. (Bug
       #16072331, Bug #67822)

     * The Wrap-Lines feature was not present in the
       functions/procedures editor, but was available in the
       standard SQL editor. It is now available to all SQL
       editors. (Bug #14823122, Bug #66942)

     * The SQL editor did not recognize changes when only the
       case was changed. (Bug #14686272, Bug #66993)

     * After clicking Dismiss when an orphaned document was
       loaded at start up, the same dialog was displayed after
       reopening MySQL Workbench. Recovered connections are now
       labeled with "(Recovered)" and will disappear after you
       reopen the connection. (Bug #14538902, Bug #66256)

     * The Object Browser and Foreign Key Referenced Table List
       would sometimes list tables in a different order, but
       they now use the same sorting mechanism. (Bug #14521193,
       Bug #66279)

     * When converting a BOOL to a TINYINT(1) when synchronizing
       a model with a schema, the synchronization diff would
       continue to claim the two were different. (Bug #14520990,
       Bug #66364)

     * On OS X, resizing the navigator image to zero size (by
       dragging the catalog, layers, and user types part up) and
       then back down to resize, would cause the image to move
       to the wrong position. (Bug #13940003, Bug #64864)

     * The quoting logic was updated to also consider that digit
       only identifiers should be quoted. (Bug #13939997, Bug
       #64869)

     * Synchronization would sometimes fail and crash MySQL
       Workbench with models that included triggers. (Bug
       #12762352, Bug #61860)

     * After executing Forward Engineer CREATE, all generated
       "CREATE SCHEMA IF NOT EXISTS" statements were placed at
       the beginning of the resulting DDL file, instead of just
       before the DDL for each schema. (Bug #11766560, Bug
       #59697)

     * Switching to the Columns tab while creating a new table
       would cause MySQL Workbench to spike its CPU usage. (Bug
       #11766368, Bug #59467)

     * Unsigned INT(10) columns would be converted to signed
       INT(10) for imported DBDesigner4 models. (Bug #11763391,
       Bug #56089)

     * The USE statement is now being added prior to creating
       procedures, as otherwise it was possible that the
       procedures would be placed in the wrong schema. (Bug
       #11758847, Bug #51102)

     * On Linux and Microsoft Windows, the empty properties tab
       was removed from the Model view interface. (Bug
       #11757396, Bug #49436)

     * Executing Forward Engineer SQL Script would use the
       preset values from a previous execution of Forward
       Engineer an Alter Script. (Bug #11756316, Bug #48221)

Changes in MySQL Workbench 5.2

Changes in MySQL Workbench 5.2.47 (2013-02-15)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.46.

   Bugs Fixed

     * Pressing the Delete key with the cursor focus in a column
       name would remove diagram objects while editing an EER
       diagram. (Bug #16285264)

     * Adding indexes to existing tables would sometimes freeze
       the cursor focus. (Bug #16209869, Bug #68149)

     * Pressing Delete would delete an object from an EER Model
       diagram. The correct keyboard shortcut for this operation
       is Modifier + Delete. Simply pressing Delete will only
       delete the character to the right of the cursor. (Bug
       #16185212, Bug #68102)

     * Arrange, Autolayout would push model items outside of the
       page. (Bug #14781895, Bug #67278)

     * With auto-completion enabled, editing text in the SQL
       editor for a model could close MySQL Workbench. (Bug
       #14520292, Bug #66111)

     * In the inputs tab of the table editor, it was not
       possible enter values using binary notation, such as b'1'
       or 0b1, for a value in a BIT field. (Bug #12917990, Bug
       #61966)

     * Clicking an EER diagram tab would initially display the
       Model tab before displaying the EER diagram tab that was
       clicked. (Bug #12661264, Bug #61473)

     * The foreign key settings for On Update and On Delete
       would sometimes be lost after adding a new foreign key.
       (Bug #11764432, Bug #57263)

     * Sometimes the comment field was too wide and would flow
       over the right sidebar. (Bug #11756731, Bug #58684)

     * The database migration wizard now disables triggers
       before copying data, by dropping and writing them to a
       temporary table and then restoring them later. This
       default behavior can be modified from the command-line by
       using the --dont-disable-triggers-option option, which
       prevents this logic from taking effect. Also,
       --disable-triggers-on=schema will remove the triggers for
       a particular schema and store them into a temporary
       table, and --reenable-triggers-on=schema will fetch the
       saved triggers from --disable-triggers-on=schema and
       recreate the triggers into the target schema.

     * The uninstaller would leave leftover MySQL Workbench
       files on the host. These files are now deleted.

     * The New Server Instance wizard, in the Server
       Administration section, was updated to include additional
       MySQL Server 5.6 specific templates.

Changes in MySQL Workbench 5.2.46 (2013-02-05)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.45.

   Functionality Added or Changed

     * The BLOB viewer defaults to read-write mode, but the text
       view will now show the text as read-only if the text
       contains "\0" or non-UTF-8 data. The text was being
       cutoff at the first "\0". (Bug #11764522, Bug #57364)

     * New role functionality was added. It is now is possible
       to add schemas.*, tables.*, and *.*, and to assign
       privileges to each object. Before it was only possible to
       add individual tables when defining roles. (Bug
       #11761640, Bug #54153)

     * The auto-completion feature was improved. For example, it
       now includes the parsing of aliases and subqueries for
       SELECT statements.

   Bugs Fixed

     * Microsoft Windows: In an EER Diagram, the circles at each
       end of a relationship line were rendered as different
       sizes. (Bug #12628088, Bug #54663)

     * Refreshing data in the Server Administration panel would
       reset the sort order, and the sorting order would default
       back to Connection ID. This could also cause the sorting
       method to be mislabeled. (Bug #16206194)

     * Closing a table's properties window from within the EER
       Model diagram window would crash MySQL Workbench. (Bug
       #16185134, Bug #68101)

     * Closing the table properties window for a model caused
       MySQL Workbench to crash. (Bug #16072216, Bug #68027)

     * Symantec falsely claimed that the bundled
       wb.printing.wbp.be.dll file contained a virus. (Bug
       #16055645, Bug #67986)

     * An SQL syntax error would be reported when a comment was
       added to an INDEX. (Bug #15991038, Bug #67835)

     * Two preference settings were added for online DDL
       (http://dev.mysql.com/doc/refman/5.6/en/glossary.html#glo
       s_online_ddl) operations. Listed under Preferences, SQL
       Queries, under Online DDL, these new settings (Default
       algorithm for ALTER table and Default lock for ALTER
       table) set the default values for the Apply Script
       wizard, or these values may be defined when Apply Script
       is executed. (Bug #15893626)

     * Functionality (such as Copy to Clipboard) was missing
       from the right-click context-menu of the Schema browser
       when multiple columns were selected. (Bug #14834245, Bug
       #67417)

     * The Show Filter table listing for Export MySQL Table
       Objects is now sorted alphabetically. (Bug #14706782, Bug
       #66712)

     * Creating a table in a schema that had a "-" in the schema
       name would emit an error about an "unknown column", and
       fail to create the table. (Bug #14632271, Bug #66815)

     * MySQL Workbench could crash (segmentation fault) at
       startup if a configuration file was corrupt. (Bug
       #14622471, Bug #66776)

     * From the EER Diagram window, nearly completing the
       Database, Synchronize with Any Source wizard, and then
       pressing Back to the beginning, MySQL Workbench would
       crash after nearly completing the wizard the second time.
       (Bug #14611078)

     * The Bulk Data Transfer migration step would fail if too
       many tables were being migrated, because too many
       arguments were being passed to the command-line. This
       table listing is now saved to a new file named
       wb_tables_to_migrate.txt, which is now read during the
       migration process. (Bug #14588167, Bug #66611)

     * On Linux, the right-click context menu would
       differentiate between unselected and selected rows, when
       called from within the SQL editor results view panel.
       This menu is now consistent. (Bug #14539036, Bug #66308)

     * Changes to a table that a view referenced would cause an
       error while attempting to edit the view. This fix allows
       MySQL Workbench to work around the underlying bug, which
       is MySQL bug #61718. (Bug #14526308, Bug #66502)

     * Sometimes the Create Table... dialog in the Object
       Browser would emit an error instead of creating the
       table, after pressing Apply. (Bug #14520406, Bug #66169)

     * MySQL Workbench could crash after files became corrupted,
       but now attempts to regenerate the corrupted files. (Bug
       #14520133, Bug #65630)

     * The ability to select code in the SQL Editor by clicking
       on line numbers was restored. (Bug #14483713, Bug #66139)

     * On Mac OS X, and in the table editor, the schema name was
       changed from a dropdown-box to a simple label. (Bug
       #14456213)

     * Right-clicking on a tab name did not show the New Tab,
       Save tab, Close other tabs, and Copy path to clipboard
       options. (Bug #14171956, Bug #65455)

     * Selecting the server engine default within the Alter
       Table window would generate an error. (Bug #14076198, Bug
       #65101)

     * On Linux, the Edit, Preferences menu did not wrap
       properly, and was too narrow so it would hide (cut) text.
       (Bug #14070969, Bug #64917)

     * The Model: MySQL, Default Storage Engine preference would
       not take effect until after MySQL Workbench was
       restarted. (Bug #13970619, Bug #64928)

     * On Microsoft Windows, holding down Shift with the
       Spacebar would not enter a space. (Bug #13919870, Bug
       #64820)

     * Changes to File, Document Properties for a Model were not
       detected or saved by MySQL Workbench. A Save prompt is
       now generated. (Bug #13040173)

     * On Linux, clicking Apply Changes when the cursor focus
       was in a data cell, the data content was not saved. (Bug
       #12922070, Bug #62232)

     * The EER diagram Arrange, Center Diagram Content option
       would hide objects from the diagram. (Bug #12898144)

     * MySQL Workbench would hang when attempting to connect
       with user accounts that utilized external authentication.
       (Bug #12896935)

     * If MySQL Workbench crashed when an EER diagram was being
       created, after restarting MySQL Workbench the EER diagram
       would be listed as "unsaved" but would not open. And it
       could not be deleted from the diagram list. (Bug
       #12642422, Bug #61444)

     * After selecting multiple objects and choosing delete,
       then choosing keep when prompted to delete or keep the
       selected objects, the relationship lines were still
       deleted. MySQL Workbench now asks if the relationship
       columns should be deleted or kept. (Bug #12565850, Bug
       #61113)

     * Under certain circumstances, synchronizing a database to
       a model would remove the mandatory relationships. (Bug
       #11834230, Bug #60312)

     * Changes made to a database schema while the Database,
       Synchronize Model wizard was active, would throw an
       exception. (Bug #11765036, Bug #57948)

     * On Linux, the initial selection of a table within the
       schema viewer would not display the "+" to view the
       selected table's data, such as the columns and views.
       Reopening the schema table navigation tree would show the
       previously selected table's "+" but this is now the
       default behavior. (Bug #11762205, Bug #54773)

     * On Microsoft Windows, Control + Delete would delete text
       from the left side of the cursor, instead of the right.
       (Bug #11761459, Bug #53957)

     * On Linux, a warning will now warn you after attempting to
       close the SQL Editor when unsaved INSERT changes still
       exist.
       Also, all platforms (Linux, Mac OS X, Windows) are now
       consistent, and will also warn you after attempting to
       close MySQL Workbench with any unsaved changes. (Bug
       #11758193, Bug #50363)

     * The Default Schema setting was ignored by the Reverse
       Engineer Database wizard. (Bug #11757887, Bug #50002)

     * The bundled MySQL Client was updated to version 5.6.10.

Changes in MySQL Workbench 5.2.45 (2012-12-27)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.44.

   This version adds support for MySQL Server 5.6.

   Functionality Added or Changed

     * Models: Copy, Cut, and Paste options were added to the
       context menu (right-click) of the Columns list in the
       models table editor. These options can be used between
       models. (Bug #13029519, Bug #62503)

     * The Control + / keyboard shortcut was added to
       comment/uncomment lines while editing SQL queries. (Bug
       #14803414, Bug #67002)

     * A Copy Selected button was added to the Server Status
       panel of the Server Administration window. It copies the
       query of the selected connection to the clipboard. (Bug
       #14799336, Bug #13571792, Bug #66728, Bug #63917)

     * An Import Recordset from CSV File option was added to the
       SQL Editor and model insert tabs. This import
       functionality parses a file with comma-separated values.
       (Bug #14079606, Bug #65252)

     * The Visual Explain Current Statement feature was added.
       It's similar to the existing Explain Current Statement
       feature, except this visual version generates a flowchart
       based on an EXTENDED EXPLAIN statement where FORMAT =
       JSON. This feature requires MySQL Server 5.6.5 or above.
       (Bug #11765095, Bug #58021)

   Bugs Fixed

     * Linux: Right-dragging saved connections, models, and
       MySQL Server instances on the home screen could crash
       MySQL Workbench. (Bug #14812457)

     * Linux: Executing MySQL Workbench from the command-line
       would print stdout twice. (Bug #14565095, Bug #66590)

     * Mac OS X: The results window from executing an SQL query
       could be empty. A workaround was to resize the results
       window. (Bug #14520361, Bug #66446)

     * Mac OS X: Closing MySQL Workbench after executing and
       making changes with the Alter Table tool would not prompt
       the user with the save dialog. (Bug #14456136)

     * Mac OS X: On Mac OS X, the default column name and column
       type model preferences
       (http://dev.mysql.com/doc/workbench/en/wb-preferences-mod
       eling.html) did not function. Note that this feature does
       not function on Linux. (Bug #14399236, Bug #66090)

     * Mac OS X: The ability to select multiple columns in the
       models table editor did not function on Mac OS X. It is
       now possible to use Shift, Command, and mouse dragging.
       (Bug #11766291, Bug #59372)

     * Microsoft Windows; Models: After opening and then closing
       a model file from the file manager, attempts to open a
       different model file failed to load the model. (Bug
       #14791573, Bug #67312)

     * Microsoft Windows; Models: Model files (*.mwb) would not
       load MySQL Workbench after being double-clicked in
       Windows Explorer. (Bug #14521111)

     * Microsoft Windows: Pressing Control + A in the table
       editor on a table field would select all table entities
       instead of the text in the field. (Bug #15884658, Bug
       #67610)

     * Microsoft Windows: Clicking on the Schema and Schema
       Objects column headers within Server Administration, Data
       Export would properly sort in descending order, but would
       not sort in ascending order when clicked again. (Bug
       #15849616, Bug #67518)

     * Microsoft Windows: The Enter key would not create
       newlines within the table column comment dialogue. (Bug
       #14829617, Bug #67320)

     * Microsoft Windows: Renaming an EER Diagram would crash
       MySQL Workbench. (Bug #14799722, Bug #66818)

     * Microsoft Windows: The Explain button would not display
       the results in the Explain tab. (Bug #14702591, Bug
       #67059)

     * Microsoft Windows: Right-clicking on a database name in
       the schema browser and choosing Set as Default Schema
       would add a strikethrough to the chosen database name.
       (Bug #14663690, Bug #66930)

     * Microsoft Windows: Queries surrounded by parenthesis
       would not display results in the view tab. (Bug
       #14651969, Bug #66887)

     * Microsoft Windows: A model failed to load when opened
       from the Microsoft Windows 7 taskbar if a different model
       was already open. (Bug #14621880, Bug #66799)

     * Microsoft Windows: The Id and Time columns within the
       Server Administration, Server Status, Connections panel
       would not sort properly, as they were sorted as ASCII
       values instead of numerically.
       Additionally, miscellaneous sorting improvements were
       implemented. (Bug #14612413, Bug #15953190, Bug #66768,
       Bug #67786)

     * Microsoft Windows: After using the schema search filter
       in the object browser, right-clicking on a filtered
       schema would generate a context menu with invalid
       options. (Bug #14521006, Bug #66346)

     * Microsoft Windows: Control + H did not invoke the
       replacement function. (Bug #14520920, Bug #66422)

     * Microsoft Windows: Find and Replace would not function
       properly while using '_' as a replacement character. (Bug
       #14499088, Bug #66390)

     * Microsoft Windows: The Explain Current Statement option
       would not function. A workaround is to manually prepend
       EXPLAIN to your query. (Bug #14483518, Bug #66157)

     * Microsoft Windows: Control + A would not always select
       data from cells in the query results tab. (Bug #13891109,
       Bug #64723)

     * Microsoft Windows: The default plugin directory in the
       configuration tab was set as a Linux style path such as
       "/usr/", but it is now based on the OS aware BASEDIR
       value. (Bug #11764440, Bug #57271)

     * MySQL Server 5.6: The partition count definition was
       limited to 1-10 as a drop-down selector in MySQL
       Workbench. This option is now a text field, which
       accommodates the 8192 partition limit in MySQL Server
       5.6. (Bug #14786614, Bug #67166)

     * MySQL Server 5.6: The SQL Editor would emit invalid
       syntax errors with MySQL 5.6 queries. For example, GET
       DIAGNOSTICS queries would return "syntax error,
       unexpected IDENT_QUOTED, expecting ':'". (Bug #14786599,
       Bug #14786604, Bug #14786615, Bug #67163, Bug #67164, Bug
       #67168)

     * MySQL Server 5.6: MySQL Workbench would not allow
       passwords to be created or changed for user accounts that
       utilize the SHA-256 Authentication Plugin, which exists
       as of MySQL Server 5.6.6. (Bug #14786567, Bug #14786558,
       Bug #67158, Bug #67154)

     * MySQL Server 5.6: The MySQL 5.6 ALTER USER ... PASSWORD
       EXPIRE option is now supported. An expired password
       indicator, and an Expire Password button to expire the
       current password, were added. (Bug #14786564, Bug #67157)

     * MySQL Server 5.6: The SHA-256 Authentication Plugin
       (http://dev.mysql.com/doc/refman/5.6/en/sha256-authentica
       tion-plugin.html) is now supported. (Bug #14786561, Bug
       #67155)

     * MySQL Server 5.6: MySQL Workbench now supports MySQL
       Server 5.6 configuration options. (Bug #14786556, Bug
       #67153)

     * MySQL Server 5.6: MySQL Workbench would alter the mysql.*
       system tables for tasks such as account management,
       instead of using the corresponding account manipulation
       statements. This would conflict with GTID usage as of
       MySQL Server 5.6.
       This could have also caused a user password to be reset
       after modifying the user privileges. (Bug #14786531, Bug
       #14725272, Bug #67150, Bug #67100)

     * MySQL Server 5.6: A DDL related parsing error would be
       generated while attempting to update an existing routine
       that contained a DateTime variable type with precision.
       This feature is specific to MySQL Server 5.6. (Bug
       #14684874, Bug #14545075)

     * MySQL Server 5.6: Creating a standard user with MySQL
       Server 5.6 would sometimes fail, and emit an error that
       referred to an unknown mysql_native_password plugin. (Bug
       #14574998, Bug #66638)

     * MySQL Server 5.6: All MySQL Server 5.6 system variables
       were listed under the Other tab instead of their proper
       location. For example, gtid_done is now listed under the
       Replication tab. (Bug #67170, Bug #14786569)

     * MySQL Server 5.6: The MySQL Workbench UI now supports the
       extended TIMESTAMP and DATETIME features that MySQL
       Server 5.6 offers. Both the initial and on-update values
       can now be defined for these types, and the
       fractional-second granularity is also now supported. (Bug
       #67165, Bug #67169, Bug #14786605, Bug #14786616)

     * MySQL Server 5.6: The creation of a username and password
       will now utilize the Password Validation Plugin in MySQL
       5.6. This option is available within the Server
       Administration section, under the Security Options tab.
       (Bug #67152, Bug #67161, Bug #14786551, Bug #14786626)

     * MySQL Server 5.6: Creating a standard MySQL Server 5.6
       user account in MySQL Workbench failed, and emit an error
       related to the msyql_native_auth plugin. (Bug #67151, Bug
       #14786542)

     * Migration: Migrating a Microsoft SQL Server database
       failed if nvarchar(max) was used. These are now converted
       to LONGTEXT. (Bug #14780416, Bug #67289)

     * Migration: From within the Manual Editing section of the
       database migration procedure, viewing Migration Problems
       after All Objects would continue to display information
       from All Objects. (Bug #14761792, Bug #67229)

     * Migration: Migrating from MySQL Server 5.0 to MySQL
       Server 5.6 could fail. The migration tool now supports
       MySQL Server 4.1 and above as the source database. MySQL
       Server 5.1 and above are supported as the target
       database. (Bug #14647426, Bug #66861)

     * Models: Model notes could not be saved. The Apply Changes
       button is available again. (Bug #14813462, Bug #67211)

     * Models: Switching from a table column tab to a different
       tab, and then back to the column tab, would add an empty
       column named "tablenamecol". This empty column would be
       added to the table unless Escape was pressed. (Bug
       #14768685, Bug #67235)

     * Models: Synchronizing a model with a database could crash
       MySQL Workbench by causing a segmentation fault. (Bug
       #14588524, Bug #66707)

     * Models: While executing the Synchronize Model with
       Database wizard, invalid trigger related errors could be
       emitted even though the definitions were correct. (Bug
       #14498358, Bug #65982)

     * Models: Forward Engineering a model with users and roles
       could generate invalid SQL, because the username was not
       escaped within the generated GRANT statements. (Bug
       #14396930, Bug #66070)

     * Models: The File, Import, Import DBDesigner4 Model
       feature failed to function. (Bug #13548113, Bug #63878)

     * Models: Sometimes a modified stored procedure would not
       be flagged as modified while synchronizing a model. (Bug
       #13364922, Bug #62595)

     * Models: The ability to open model files from older
       versions of MySQL Workbench has been improved. (Bug
       #12747012, Bug #61703)

     * Models: When editing an EER diagram, the Cut context menu
       option follows Delete behavior by also deleting the
       schema object. It will now only remove it from the EER
       canvas. And a new Remove option was added that also only
       removes an object from the EER canvas. (Bug #11761492,
       Bug #53994)

     * Models: Pressing Cancel in either the Create EER Model
       from Existing Database or Create EER Model from SQL
       Script dialogs would still open a Model tab. (Bug
       #11757140, Bug #49145)

     * Under certain circumstances, comments could interfere
       with the execution of SQL statements. (Bug #15960066, Bug
       #67747)

     * Clearing the output window while a query was running
       could cause MySQL Workbench to crash after the query
       finished. (Bug #15891884, Bug #67618)

     * Saving script files did not function properly with the
       clipboard. Content pasted from the clipboard was not
       saved. (Bug #15837775, Bug #67462)

     * Having sql_mode
       (http://dev.mysql.com/doc/refman/5.6/en/server-system-var
       iables.html#sysvar_sql_mode) set to
       PAD_CHAR_TO_FULL_LENGTH
       (http://dev.mysql.com/doc/refman/5.6/en/sql-mode.html#sql
       mode_pad_char_to_full_length) causes the routine
       functionality to fail, as MySQL Workbench is not designed
       for this setting. A connection specific sql_mode option
       was added, and it can be set from the Advanced tab in the
       Connection Editor. It defaults to "". (Bug #14845656)

     * The following scenario would crash workbench: open a
       table, insert a new row of data, close the table, open a
       different table via double-click, then press Save
       Changes. (Bug #14829570, Bug #67237)

     * MySQL Workbench failed to interpret C-style comments,
       such as /*! MySQL-specific code */. For more information
       about comment usage in MySQL, see Comment Syntax
       (http://dev.mysql.com/doc/refman/5.6/en/comments.html).
       (Bug #14807602, Bug #67203)

     * Opening a connection using Open connection to Start
       Querying from the MySQL Workbench home screen could crash
       MySQL Workbench. (Bug #14803527, Bug #67074)

     * Added DbMySQLQuery->affectedRows, fixed
       MySQLResult->firstRow, and added a Splitter control to
       the Python binding for mforms. (Bug #14799403, Bug
       #66804)

     * Procedures were always included in the exported SQL, even
       if excluded via a filter or configuration setting. (Bug
       #14758896, Bug #66790)

     * An error tooltip would sometimes fail to be displayed
       while hovering the mouse pointer over an error marker in
       the SQL editor. (Bug #14705012, Bug #67067)

     * The Select Objects to Forward Engineer filter was ignored
       while executing Forward Engineer to Database. All tables
       were exported. (Bug #14696609, Bug #67031)

     * A crash could occur after switching tables in the EER
       Diagram tab while the Privileges was open, or while
       adding roles to the active table. (Bug #14645542, Bug
       #66869)

     * A model could not be synchronized if a field contained a
       comment with a single quote. (Bug #14582241, Bug #66680)

     * An exception would be generated when executing Forward
       Engineer without a MySQL Server connection. (Bug
       #14574987, Bug #66648)

     * Lower level changes, such as a newly created TRIGGER,
       would not be visible after the object browser was
       refreshed. (Bug #14551801, Bug #66549)

     * The non-functional comments box was removed from the
       schema editor. (Bug #14548126, Bug #66553)

     * The bundled ChangeLog listing was outdated. (Bug
       #14547966, Bug #66528)

     * In the MySQL Workbench Scripting Shell, an exception is
       now thrown while attempting to use input() or read from
       stdin. (Bug #14520741, Bug #66452)

     * The mouse scroll would not function while viewing the
       Options File in the Server Administration panel. (Bug
       #14388344)

     * Unlike the Server Administration panel (since 5.2.35),
       the SQL Editor did not support syntax that utilized the
       authentication plugins. (Bug #14356470)

     * The Server Access Management interface would not allow a
       password to be set as an empty string. (Bug #14278189,
       Bug #65739)

     * The Limit Connectivity to Hosts Matching option did not
       allow an IP with a Subnet Mask because "/" was considered
       an invalid character. (Bug #14207793, Bug #65583)

     * Having multiple connections with TCP/IP over SSH could
       cause MySQL Workbench to not connect when exceeding
       MaxAuthTries. This may happen if an encryption type is
       unknown. The bundled paramiko library (on Mac OS X, and
       Windows) was updated to version 1.7.7.1, which helps
       solve this problem, as it adds known support for OpenSSL
       keys. (Bug #13919914, Bug #64802)

     * Multiple instances of MySQL Workbench will no longer open
       the same database model file. Doing so caused problems
       with features such as auto save and file locking. (Bug
       #13864687, Bug #64639)

     * An SSL connection required a client certificate. (Bug
       #13851229, Bug #61266)

     * A new General, SQL Editor option was added. Enabling
       Create new tabs as Query tabs instead of File (disabled
       by default) causes new SQL Editor tabs to default as
       Query tabs instead of SQL File tabs. File tabs include
       additional options, and prompt to be saved when the tab
       closed. (Bug #13492434, Bug #14541178, Bug #62929, Bug
       #66541)

     * Changing a foreign key column to be nullable now
       deselects the mandatory checkbox. If all foreign key
       columns are set to NOT NULL, then the mandatory checkbox
       value will be selected. (Bug #13252655, Bug #62737)

     * The Start Command Line Client feature would fail to
       connect with SSH connections. (Bug #12612343, Bug #61325)

     * A Refresh Rate option was added to the Server
       Administration, Server Status window. The refresh rate
       defaults to "Don't Refresh" and includes options ranging
       from 0.5 to 30 seconds. (Bug #11926869, Bug #60546)

     * It was not possible to sort schemas for exporting. (Bug
       #11926862, Bug #60566)

     * Changes to the DEFINER clause were not detected by the
       Alter Table wizard when altering this clause was the only
       change. (Bug #11829867, Bug #60164)

     * Importing a saved connection that used an SSH tunnel
       would throw an exception, and fail to import the
       connection. (Bug #11765909, Bug #58922)

     * Attempting to open MySQL Doc Library while it was already
       opened would generate an error. (Bug #11763691, Bug
       #56432)

     * When foreign keys are added, existing indexes are now
       used instead of always creating new indexes. (Bug
       #11760834, Bug #53277)

     * Opening a model from a newer version of MySQL Workbench
       could generate an error dialog that was hidden behind the
       splash screen. This made it difficult to close the splash
       screen, which meant MySQL Workbench could not be used. A
       workaround was to pass in the -nologo option at startup.
       (Bug #11754043, Bug #45582)

     * The ALTER ROUTINE functionality would not detect stored
       procedure changes when only the case changed. This check
       was case-insensitive. (Bug #65277, Bug #14136994)

Changes in MySQL Workbench 5.2.44 (2012-09-27)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.43.

   This version adds native PostgreSQL and Sybase ASE support to
   the Database Migration Wizard.

   Functionality Added or Changed

     * Added native migration support for PostgreSQL and Sybase
       ASE.

     * Updated the bundled MySQL Utilities to version 1.1.0,
       which includes the new mysqluc console.

   Bugs Fixed

     * After right-clicking on a non-empty field in the SQL
       editor, and choosing Copy Row Content, pasting the row
       into an empty row (by right-clicking and choosing Paste
       Row) would not increment the row id when it was
       appropriate to do so. (Bug #14587186, Bug #66668)

     * When a table from Microsoft SQL Server was migrated to
       MySQL, TEXT columns were mapped to VARCHAR(16). They are
       now mapped to LONGTEXT because Microsoft SQL Server TEXT
       columns have a maximum length of 2^31 - 1. (Bug
       #14556732, Bug #66584)

     * The MySQL Workbench Data Export feature would fail to
       recognize tables that contained accented characters in
       the table's name. (Bug #14504342, Bug #66421)

     * The object browser would not update the column order
       after a table was altered. (Bug #14495629, Bug #66232)

     * On Mac OS X systems with the Retina display, the mouse
       cursor would register incorrect mouse coordinates. (Bug
       #14396939, Bug #65607)

     * Entering the caret ("^") character inside the SQL editor,
       followed by any other character, could cause MySQL
       Workbench to hang. This was a Scintilla bug that is now
       fixed. (Bug #13930994, Bug #64848)

     * After choosing Alter Table, pressing Apply would cause
       MySQL Workbench to display "Preparing..." in the output
       panel, but it now displays "No changes detected." (Bug
       #13497239, Bug #63604)

     * When synchronizing a model to a database after changing a
       field definition from NOT NULL DEFAULT x to NULL DEFAULT
       NULL, the model synchronization would correctly generate
       the SQL. But after executing this SQL and
       resynchronizing, MySQL Workbench would report that the
       table needed to be updated. (Bug #12756728, Bug #61720)

Changes in MySQL Workbench 5.2.43 (2012-09-12)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.42.

   Functionality Added or Changed

     * The default object/relationship notation for new models
       will now be taken from the last notation selected by the
       user. This is chosen via Model, Relationship Notation.
       (Bug #49997, Bug #11757883)

   Bugs Fixed

     * It was possible for a custom plugin to cause MySQL
       Workbench to crash. (Bug #14595613, Bug #65817)

     * After editing and closing an EER diagram, double-clicking
       on one of the diagram tables could generate an exception.
       (Bug #14587490, Bug #66699)

     * Dropping multiple objects at the same time was not
       possible. Selecting multiple objects, right-clicking on
       one of the selected objects, and then choosing the Drop n
       Object option would generate SQL that deleted only one of
       the selected objects. (Bug #14538863)

     * A semicolon at the end of a single lined SQL comment
       would be treated as a delimiter, and cause the SQL query
       to not execute. (Bug #14529811, Bug #66505)

     * Passing in the -nologo argument while starting MySQL
       Workbench would cause a crash. (Bug #14527014)

     * MySQL Workbench would sometimes crash at startup due to a
       race condition. The logged error included "Invoke or
       BeginInvoke cannot be called on a control until the
       window handle has been created." (Bug #14526134, Bug
       #66130)

     * Right-clicking and choosing Edit Table Data while
       multiple schemas are selected could cause the activity
       animation icon to remain active and/or crash MySQL
       Workbench. (Bug #14524139, Bug #66022)

     * Clicking Browse after the Target Creation Options stage
       of the database migration wizard would generate an error.
       (Bug #14520838, Bug #66271)

     * Synchronizing a restored EER model with the Model and
       Database Differences, Update Model Only configuration
       option enabled for all tables would cause MySQL Workbench
       to crash. (Bug #14510962, Bug #66436)

     * Migrating a Microsoft SQL Server table that contained
       both NULL and non-null values in a DATETIME column failed
       to import properly. (Bug #14509484, Bug #66359)

     * Right-clicking on a table and selecting Copy Insert
       Statement would generate SQL with the columns sorted in
       alphabetical order. The SQL is now generated in the order
       listed in the database. (Bug #14508845, Bug #66419)

     * With the Slovenian keyboard layout chosen, pressing
       Control + / would not toggle commenting. (Bug #14504877,
       Bug #66131)

     * Migrating from a remote SQL Server 2008 database to a
       local MySQL database failed at the Fetch Schemata List
       stage of the database migration wizard, as it was unable
       to connect to the source database. (Bug #14498549, Bug
       #66030)

     * Synchronizing a model could crash if the model had an
       invalid foreign key. (Bug #14498436, Bug #66020)

     * On Fedora 17, autoconf would not detect the altlr which
       is antlr3-C version 3.4. (Bug #14495924, Bug #66325)

     * The database export feature would not always export the
       correct databases if some database names were clicked
       while others checked the selection checkbox. This feature
       now only takes into account the checkboxes. (Bug
       #14495660, Bug #66376)

     * Under certain conditions, synchronizing a model would
       generate SQL statements that dropped a schema before
       altering it. (Bug #14495165, Bug #66083)

     * On Linux, the mysql-workbench-bin executable is no longer
       installed under /usr/bin/ because it cannot be executed
       directly. It was moved to /usr/lib*/mysql-workbench/.
       (Bug #14485725, Bug #66322)

     * On Microsoft Windows, MySQL Workbench would crash after
       attempting to export a model as a PNG, SVN, or PDF. (Bug
       #14483735, Bug #66298)

     * The object browser did not display foreign keys. A
       workaround was to view them via the Alter Table
       interface. (Bug #14483668, Bug #66226)

     * Objects in the schema tree, such as tables, were not
       listed alphabetically after edits were made. (Bug
       #14483610, Bug #66209)

     * Selecting a view in the object browser would sometimes
       insert the view into the table listing. (Bug #14483526,
       Bug #66158)

     * The Select Schemata step of the Reverse Engineer Database
       wizard would not display the underscore character
       correctly. Instead it would appear as an underline to the
       next character. (Bug #14467930, Bug #66248)

     * On Mac OS X, code signing was added to MySQL Workbench so
       it will now load when this condition is required. (Bug
       #14457847, Bug #66052)

     * On a table with a multiple field foreign key, attempts to
       remove one of these fields failed. The associated
       checkboxes can now be used with success. (Bug #14415483,
       Bug #66171)

     * Expanding a view object from within the schema viewer
       would immediately collapse, and it would only expand with
       subsequent attempts. (Bug #14404189)

     * On Microsoft Windows, the behavior of Control + Enter was
       changed back to the previous behavior, which is to
       execute the statement that contains the cursor, instead
       of the last statement in the SQL editor, or the current
       statement if the cursor is at the beginning. (Bug
       #14396992, Bug #66025)

     * After exporting a schema, and unselecting the schema,
       exporting a new schema would export both the current and
       previously exported schema. (Bug #14388355)

     * Exporting a table that contained views could fail to
       export. (Bug #14359349, Bug #65780)

     * A warning message was added when a user attempts to
       delete an index that belongs to a foreign key. (Bug
       #14359329, Bug #65972)

     * The default database while applying changes to users and
       privileges is now set to mysql. (Bug #14359266, Bug
       #65959)

     * The --enable-maintainer-mode autoconf option was not
       available. (Bug #14329365, Bug #65900)

     * MySQL Workbench could execute queries from the wrong tab
       after tabs were moved (reordered). (Bug #14221754, Bug
       #65557)

     * The vertical scrollbar in the table definition window
       would appear incorrect after clicking a NN (Not Null)
       checkbox on one of the column definitions. (Bug
       #14221022, Bug #65500)

     * Choosing the Edit in New Window context menu on a routine
       would not open a new window. (Bug #14171776, Bug #65520)

     * Executing from mysql.utilities.parser import
       GeneralQueryLog from within the MySQL Workbench scripting
       shell would result in an error. (Bug #14128312)

     * On Mac OS X, new tabs could not be closed (via the [x])
       if ten or more tabs were already open, and if the total
       MySQL Workbench window width exceeded around 1200px. (Bug
       #14127281, Bug #65186)

     * The MySQL Export wizard would not escape hardcoded
       newlines in the generated SQL, but they are now escaped.
       For example, a \n now remains as \n in the exported
       query, when before it was expanded. (Bug #14124914, Bug
       #65222)

     * On Linux, pressing the Enter key after typing a file name
       would not save the file while doing so in the SQL editor
       file save dialogue. (Bug #14124900, Bug #64945)

     * On Linux, tables that are present are now marked with a
       black point in the diagram editor. (Bug #14107656, Bug
       #65210)

     * The Plugins, Objects, Create Multiple Tables feature did
       not function on Microsoft Windows, and only created one
       table on Linux. (Bug #14026694, Bug #14026709)

     * On Mac OS X, hiding a window pane (such as the snippets)
       would cause the window pane to remain hidden, even after
       restarting MySQL Workbench. (Bug #14017268, Bug #65138)

     * Exported "Excel Spreadsheet" files were exported with the
       ".xls" extension, instead of the ".xml" extension. (Bug
       #13970552, Bug #64955)

     * MySQL Workbench was unable to edit the lc_time_names
       variable. (Bug #13939985, Bug #64880)

     * Under certain conditions, MySQL Workbench would generate
       invalid SQL when dealing with foreign keys. (Bug
       #13865784, Bug #14486006, Bug #64601, Bug #66285)

     * After setting an EER diagram marker, modifying the zoom,
       and then setting a marker, the markers would not be
       created. (Bug #13742896)

     * While editing a model, right-clicking on a user and
       choosing Copy SQL to Clipboard would not function. (Bug
       #13742855)

     * On Linux, the WB_FORCE_SYSTEM_COLORS environment variable
       was added. Enabling this variable (with a value of 1)
       will disable MySQL Workbench from using its own color
       scheme. Example usage: export WB_FORCE_SYSTEM_COLORS=1.
       This is useful for certain conditions, like when using
       the HighContrastInverse or GnomishDark system themes.
       (Bug #13608244, Bug #64013)

     * MySQL Workbench would yield incorrect results while
       displaying results from the MAX function on a bit field.
       (Bug #13496747, Bug #63457)

     * Table data could not be edited if the primary key was a
       binary field. (Bug #13418610, Bug #63198)

     * Multiple objects would remain selected after adding a new
       table within the Create new EER Model wizard. (Bug
       #12933282)

     * The Forward Engineering wizard did not utilize the Use
       Default Schema setting that is set in the Manage
       Connections configuration table. (Bug #12757331, Bug
       #61786)

     * Deleting a connection would not immediately delete the
       connection from MySQL Workbench. (Bug #12642474, Bug
       #61445)

     * Passwords are now removed if they are no longer used by
       other connections when a particular connection is
       deleted. (Bug #12627613, Bug #61322)

     * The Treat BINARY/VARBINARY as nonbinary character string
       preference for SQL Queries did not function. (Bug
       #12612409)

     * On Mac OS X, the Server Status tool would fail to find
       the server. (Bug #11766286, Bug #59365)

     * MySQL Workbench would not export data when using a remote
       server connection through SSL with certificates. (Bug
       #11766196, Bug #59249)

     * When a routine contained CONCAT with a number as an
       argument, MySQL Workbench would return it as a BLOB. (Bug
       #11763872, Bug #11766226, Bug #56642, Bug #59290)

     * The error icon would continue to be displayed in the SQL
       editor after deleting a character to create the error,
       and then adding it back. This only affected multiline SQL
       statements. (Bug #11763319, Bug #56015)

     * On Mac OS X, the window to set up a Standard TCP/IP over
       SSH connection contained incorrect descriptions. And the
       dialogue now behaves more intelligently. (Bug #11761555,
       Bug #54061)

     * The Tab key would not navigate field values in the Set
       remote configuration parameters dialogue of the Server
       Administration panel. (Bug #11757375, Bug #49413)

     * Closing MySQL Workbench while an unsaved model was open
       would prompt the user with a "MySQL Workbench has stopped
       working" error, with a Close button. MySQL Workbench now
       prompts to either save or close. (Bug #61802, Bug
       #12912241)

     * While using the Forward Engineer wizard, any change
       detected in a connection option now clears the "Stored
       connection" field. (Bug #49921, Bug #11757818)

Changes in MySQL Workbench 5.2.42 (2012-08-13)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.41.

   Bugs Fixed

     * There was a typographical error in the "Rename" dialogue
       that prompts a user to rename unsupported foreign key
       names that originate from old model files. (Bug
       #14399185, Bug #66113)

     * The Reformat DDL for Views configuration option would
       generate invalid SQL syntax if the expression contained
       an even number of parts that were very long. (Bug
       #14396953, Bug #66068)

     * The Search on server button would create an additional
       Search on server button each time it was pressed. (Bug
       #14395153)

     * After upgrading to MySQL Workbench 5.2.41, MySQL
       Workbench would freeze if the initial load involved a
       connection without a saved password. (Bug #14383570, Bug
       #66016)

     * Data modeling would not allow table edits, and repeated
       attempts to do so would crash MySQL Workbench. (Bug
       #14374169, Bug #66013)

     * MySQL Workbench would sometimes crash after populating a
       model. (Bug #14211444, Bug #65423)

     * On Microsoft Windows XP, the width of the line number
       column would display a maximum of four characters. It now
       displays additional characters, such as the number
       "10000". (Bug #14079497, Bug #65259)

     * Undoing the last four changes via the history tab would
       only undo the last three changes. (Bug #14026666)

     * Entering the caret ("^") character inside the SQL editor,
       followed by any other character, could cause MySQL
       Workbench to hang. This was a Scintilla bug that is now
       fixed. (Bug #13930994, Bug #64848)

     * On Microsoft Windows, the Enter key would not create
       newlines within the table column comment dialogue. This
       was a Scintilla bug that is now fixed. (Bug #13891121,
       Bug #64714)

     * Synchronizing a model after adding a column to the model
       would not add the new column to the syncronized database.
       (Bug #13891063, Bug #63938)

     * On Microsoft Windows, certain conditions would allow the
       model overview pane to shrink, and only display a small
       portion of the diagram information. (Bug #13877323, Bug
       #64640)

     * Models that were temporarily saved as "Unsaved models"
       could not be deleted. (Bug #13742833)

     * On Mac OS X, attempts to store a password into the
       keychain could result in an error. (Bug #13387025, Bug
       #62279)

     * A signal statement in a stored procedure was not
       supported, and would report a syntax error. (Bug
       #11763874, Bug #56644)

     * Expanding the tree view for a database with a large
       number of tables (tested 30,000) would crash MySQL
       Workbench. (Bug #66036, Bug #14383521)

     * On Ubuntu 12.04 64-bit, MySQL Workbench could freeze.
       (Bug #65331, Bug #14120708)

     * Using \func would prevent the Apply changes to data
       option to function, and instead "Pending changes" error
       message windows would be displayed. (Bug #62061, Bug
       #12844298)

     * In the SQL Editor, the cursor would inappropriately
       flash. This was fixed while moving to the native
       Scintilla control. (Bug #61752, Bug #12757202)

Changes in MySQL Workbench 5.2.41 (2012-07-25)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.40.

   This version contains the initial release of the Database
   Migration Wizard.

   Functionality Added or Changed

     * Added a new Data Import/Restore option to select the
       default schema to import to, and a button to create a new
       schema in case a dump is being imported from a single
       file. (Bug #13539030, Bug #63853)

     * A word wrapping option was added to the SQL Editor. (Bug
       #11765583, Bug #58566)

     * The Diagram object tooltip now displays the column
       comments. (Bug #11765060, Bug #57977)

     * A Global Privileges tab was added to the Server
       Administration interface. It allows adding and editing
       individual global user privileges. (Bug #11761628, Bug
       #54141)

     * Basic code completion functionality has been implemented.
       (Bug #11760500, Bug #13813099, Bug #52917, Bug #64525)

     * The model wizards now remember the last connection that
       was added. (Bug #56515, Bug #11763761)

     * MySQL Workbench added a migration wizard, which will
       migrate ODBC compliant databases to MySQL. (Bug #54731,
       Bug #11762168)

   Bugs Fixed

     * The Search on Server option would not function, and
       instead it generated errors when searching MySQL Server
       5.1. This option is now only available when connecting to
       MySQL Server 5.5 or greater. (Bug #14404138)

     * MySQL Workbench was not compatable with alocal versions
       greater than 1.11.1. Compiling would generate errors
       related to AC_RUN_IFELSE usage, as opposed to the
       preferred AC_LANG_SOURCE. (Bug #14329354, Bug #65898)

     * On Microsoft Windows 64-bit, closing MySQL Workbench from
       within the SQL editor could cause a crash. (Bug
       #14307316)

     * A snippets file could not be created. (Bug #14278287, Bug
       #65734)

     * The option to control specific user privileges is now
       available with MySQL Workbench. Before it was only
       possible to edit the roles (e.g., DBManager) but now the
       specific privileges (e.g., RELOAD) can also be modified.
       (Bug #14226955, Bug #65677)

     * Comments and collation controls are now disabled until a
       column in the column editor is selected. Before it was
       always available, so invalid entries would attempt to be
       created, which would result in an error. (Bug #14177412,
       Bug #65574)

     * It is now possible to select a range of rows using the
       shift key. And on Mac OS X, the command key will now
       allow the selection of individual rows (Bug #14177386,
       Bug #65569)

     * An orphaned privileges tab would be shown in the table
       editor when switching tables. Now only the current
       privilege tab is displayed. (Bug #14102537, Bug #65182)

     * The Edit, Find, Find and Replace operation was slow. (Bug
       #14079480, Bug #65262)

     * MySQL Workbench would not load with Ubuntu 11.10. (Bug
       #14058886, Bug #63626)

     * Having a schema without a name in a model would cause
       MySQL Workbench to crash. (Bug #14017357, Bug #65119)

     * Using the '%' character within environment variables
       could cause MySQL Workbench to crash. (Bug #13989371, Bug
       #65056)

     * MySQL Workbench failed to compile with automake 1.11.2 or
       greater, due to the pkglib_DATA reference. (Bug
       #13972001, Bug #63898)

     * Several exposed DbMySQL methods (such as
       makeSQLExportScript) were problematic, and have been
       replaced by the DbMySQLRE and DbMySQLFE modules. (Bug
       #13971951, Bug #62596)

     * The SQL Beautifier feature would remove DISTINCT from
       inner queries. (Bug #13970596, Bug #64932)

     * MySQL Workbench would crash while multiple model routines
       were opened. (Bug #13970497)

     * Creating and then synchronizing a table in a model with a
       DOUBLE typed column would generate invalid SQL, thus
       generating an "Invalid SQL syntax" error. (Bug #13970484,
       Bug #64990)

     * The SQL Beautifier would delete WITH ROLLUP if it was
       contained within a subquery. (Bug #13919924, Bug #64796)

     * The Replace All option would not function when the
       replacement string was empty. (Bug #13919875, Bug #64818)

     * On Linux and Mac OS X, it was not possible to select/copy
       multiple rows from within the result set grid. (Bug
       #13895191)

     * Passing a grt.classes.db_query_EditableResultset object
       to getattr() could cause a crash. (Bug #13893388, Bug
       #64777)

     * A new Copy Row (tab separated) option was added to the
       result set context menu within the SQL editor. A comma
       separated variant of this option already existed. (Bug
       #13884753, Bug #64724)

     * Certain conditions would cause privilege related problems
       and emit errors such as "Incorrect Value Entered" when
       creating a table in one tab, altering it in another, then
       going back to the original tab. (Bug #13877873, Bug
       #64591)

     * Using Paste Row after Copy Row Data within the SQL editor
       would insert rows with extra apostrophes. For example,
       'hello' would become ''hello''. (Bug #13840070, Bug
       #64630)

     * Internal log tables are now excluded while exporting a
       the MySQL database. The excluded tables are mysql.schema,
       mysql.apply_status, mysql.general_log, and
       mysql.slow_log. (Bug #13837725)

     * Inputting invalid SQL would remain designated as such,
       even after the SQL was corrected. (Bug #13820997, Bug
       #64481)

     * Closing an SQL Editor tab that had a Find/Replace dialog
       box open, then subsequently closing the Find/Replace
       dialog box would crash MySQL Workbench. (Bug #13816167,
       Bug #64569)

     * Input elements are now correctly disabled until an
       editable row in the column editor is selected. Therefore,
       invalid values are no longer set in the model. (Bug
       #13812811, Bug #64550)

     * Changing the Default Collation of a schema after changing
       its name would reset the schema name to "new_schema".
       (Bug #13799456, Bug #64259)

     * The Edit table data SQL editor option would not properly
       display or save Unicode characters. (Bug #13790645, Bug
       #64447)

     * The Match Case search option did not function. (Bug
       #13790397)

     * All editor tabs now prompt to save data when these tabs
       are closed. Before, only the main tabs (like the SQL
       Editor) would prompt for to save. (Bug #13788071, Bug
       #64462)

     * Opening the Scripting Shell window, followed by selecting
       then closing the snippet tab, would cause MySQL Workbench
       to crash. (Bug #13744364)

     * If Plugins, Utilities, Indent Selected Lines is used
       while a row is selected, then MySQL Workbench would
       delete the selected row. (Bug #13744346)

     * On Mac OS X, the color dropdown in the object tool would
       not display the color properly. It instead showed the
       color code, and would not apply the color to the object.
       (Bug #13742905)

     * On Mac OS X, the Option key did not behave like a
       standard Mac OX application. For example, Option + Delete
       would delete one character instead of one word. (Bug
       #13702376, Bug #64217)

     * Added version dependent keyword list support for syntax
       highlighting. Supports MySQL Server 5.0, 5.1, 5.5, and
       5.6 (Bug #13699804)

     * Quickly executing the same query multiple times would
       cause MySQL Workbench to use an excessive amount of
       memory and CPU. (Bug #13642999, Bug #64077)

     * On Mac OS X, and while working with mixed-case table
       names, a foreign key could not be assigned to link two
       InnoDB tables together. (Bug #13639162, Bug #64109)

     * The Model, Model Options, Diagram, Hide Captions option
       could not be altered (disabled) and would remain checked
       (enabled). (Bug #13571857, Bug #63937)

     * MySQL Workbench would allow the creation of multiple
       foreign keys across multiple tables but with the same
       foreign key name. Synchronization would then emit a
       "Can't create table" error. (Bug #13548236, Bug
       #13500447, Bug #63642, Bug #62960)

     * The Object Browser now manages procedures and functions
       separately, when before they could not co-exist with the
       same name. They remain under the routines group but have
       separate icons and menu options. (Bug #13548213, Bug
       #13730415, Bug #63849)

     * After right-clicking on a value in the SQL editor and
       choosing Open Value in Viewer, selecting the text would
       insert extra new lines into the clipboard. (Bug
       #13538942, Bug #63753)

     * The Server Administration, Server logs, General Log Table
       option would not function, and only show a Try again
       button. (Bug #13530413)

     * While editing in the Edit Table tab, Control + A would
       also select diagram objects. (Bug #13519852, Bug #63758)

     * A "Removed corrupt column definition for Foreign key"
       error would sometimes be emitted while editing a table
       with foreign keys. (Bug #13519797, Bug #63772)

     * OpenGL determination at startup has been disabled, and
       instead this check is performed while creating diagrams.
       The system could fail at startup, so now MySQL Workbench
       avoids this startup trouble and can better fall back to
       software rendering if necessary.
       MySQL Workbench would also silently fail to load if
       "Microsoft Visual C++ 2010 Redistributable Package" was
       not available. This is now checked and reported to the
       user. (Bug #13512714, Bug #61969)

     * The Open Value in Editor SQL editor option did not work
       with INT or NULL values. (Bug #13492493, Bug #62934)

     * Plugins, Utilities, Execute query would freeze MySQL
       Workbench if the query resulted in 1000 or more rows.
       (Bug #13470781)

     * The Move to a group context option for database
       connections would cause saved connections below the
       target connection (that is being added to a group) to
       disappear. (Bug #13470318)

     * The info and session tabs within the MySQL connection
       interface would not display any information. (Bug
       #13466537)

     * After making changes to a model, then closing the window,
       clicking Cancel on the unsaved changes warning/dialogue
       would close MySQL Workbench. Now the model window remains
       open. (Bug #13463465, Bug #63460)

     * The Options tab within the SQL Editor would always
       display an empty AUTO_INCREMENT value for tables using
       InnoDB. (Bug #13463458, Bug #63464)

     * On Mac OS X, Command + A would not select all results
       from the result set. (Bug #13463374, Bug #63461)

     * After synchronizing a database, refreshing a model would
       not refresh the stored procedure information. (Bug
       #13418563, Bug #62879)

     * The MySQL Workbench bug reporting form (MySQL Bugs:
       Report) did not allow pasting content into the form. (Bug
       #13344751, Bug #62928)

     * A query such as "SELECT * FROM SomeTable PROCEDURE
       analyse()" would only work if "limit rows" was disabled
       in the preferences. The MySQL Workbench query parsing has
       been extended to support this type of query. (Bug
       #13344686, Bug #62964)

     * "MariaDB" has been change to "Aria" within MySQL
       Workbench. (Bug #13252479, Bug #62903)

     * Routine groups on the diagram was not updated after
       adding new routines to the group. (Bug #13029520, Bug
       #62496)

     * On Microsoft Windows, Server Administration, Server logs,
       Slow Log File would display an error instead of showing
       the slow query log. (Bug #13026572)

     * The Connection Method option within the Edit Table Data
       window was partially hidden. (Bug #13025670)

     * Right-clicking on Catalog tree within the Model, Diagram
       context would display an empty line. (Bug #13025389)

     * Clicking between routines with different comments would
       not update the description editor with information from
       the selected object. (Bug #13025359)

     * MySQL Workbench would crash after clicking EER links and
       options multiple times. (Bug #13024949)

     * Detection of a connection to the local machine based on
       the IP address has been removed. There is now a selection
       between localhost, remote host, and db host on the
       initial New Server Instance page. Selecting localhost
       will let the wizard know that it is local, as otherwise
       the full path is now required, which for example allows
       127.0.0.1 to be used as a remote host to support port
       forwarding. (Bug #12890503, Bug #62119)

     * The sorting options within the Inserts Editor window did
       not function. (Bug #12884134)

     * The View, Home option did not function. (Bug #12879850)

     * User Defined Types (UDT) could not be deleted when they
       were not referenced elsewhere. (Bug #12671629, Bug
       #61530)

     * The MySQL Workbench window can now be resized to
       1024x710. (Bug #12632406, Bug #60762)

     * A confirmation dialog was added that warns users about
       attempts to edit stub tables, and it describes why these
       will be ignored by both synchronization and forward
       engineering. The dialog includes an option to either keep
       editing it as stub object, or to clear the stub flag and
       make the table appear in generated SQL. (Bug #12616360,
       Bug #61309)

     * The synchronization wizard now allows the possibility to
       force synchronization of schemas that are thought to have
       been renamed. Otherwise, MySQL Workbench will recreate
       the schema from scratch. (Bug #12565644, Bug #61211)

     * The EER Diagram zoom feature would not function. (Bug
       #12346981, Bug #60807)

     * The Partitions tab within the Alter table context menu
       would not show all of the available partitions. (Bug
       #11933015, Bug #60235)

     * On Mac OS X, having a large number of databases (1,000+)
       could cause performance issues where MySQL Workbench
       would load in several minutes, as opposed to a few
       seconds. (Bug #11869432, Bug #60420)

     * MySQL Workbench would not allow a user to delete a saved
       server instance that contained an incorrect password.
       This incorrect password can now be deleted. (Bug
       #11765337, Bug #58295)

     * MySQL Workbench would freeze while attempting to search
       and replace with a large number of strings, such as over
       100,000. (Bug #11762890, Bug #55539)

     * The Synchronize Model operation would use an excessive
       amount of memory. (Bug #11762726, Bug #55355)

     * A new Model: MySQL preference was added for Forward
       Engineering and Synchronization to configure SQL_MODE.
       (Bug #11761659, Bug #54173)

     * The Synchronization wizard has been changed to allow
       forcing synchronization of schemas that have the same
       name but an unexpected "last known name", which would
       cause a confusing scenario of the target database being
       recreated from scratch. (Bug #11756969, Bug #48962)

     * New or updated trigger content would disappear from the
       SQL Editor GUI, as it was required to reopen the table
       editor to see the changes. (Bug #65411, Bug #14137775)

     * On Mac OS X, MySQL Workbench would crash when changing
       database engines if a database included a table with
       uppercase characters. (Bug #65376, Bug #14117038)

     * The zoom feature (in or out) could cause a fatal error.
       (Bug #65247, Bug #14136870)

     * Deleting an EER diagram would cause MySQL Workbench to
       hang. (Bug #65174, Bug #14102990)

     * On Ubuntu 12.04, MySQL Workbench would not load. (Bug
       #64956, Bug #14180754)

     * The Copy Column Names to Clipboard option could crash
       MySQL Workbench. (Bug #64881, Bug #13970600)

     * Under certain conditions, adding a foreign key could
       generate invalid SQL code. (Bug #64539, Bug #13872284)

     * While editing an EER diagram, and click-dragging the
       mouse cursor, the cursor now remains in the same place it
       was originally clicked. (Bug #64487, Bug #13813199)

     * When altering a table with uppercase letters in the table
       name, MySQL Workbench would automatically convert the
       table name to lowercase. (Bug #64072, Bug #13639292)

     * If a view contains a row that is too long to be
       represented as a table column, it will now be substituted
       with an alias column in a placeholder table, similar to
       how mysqldump behaves. Before it could generate invalid
       SQL, and fail to synchronize the model. (Bug #63807, Bug
       #13538955)

     * Using File, Export, Forward Engineer SQL CREATE Script
       would remove delimiters statements if the Omit Schema
       Qualifier in Object Names option was selected. (Bug
       #63742, Bug #13520528)

     * MySQL Workbench would sometimes repeat a warning during a
       successful action that followed the action with the
       warning. (Bug #62454, Bug #13014873)

     * MySQL Workbench now uses the MySQL Server limit for
       maximum comment lengths while using the forward
       engineering wizard. Before it would truncate comments to
       60 characters, which was a MySQL Server limit before
       version 5.5.3.
       From the MySQL Server 5.5.3 changelog: the maximum length
       of table comments was extended from 60 to 2048
       characters. The maximum length of column comments was
       extended from 255 to 1024 characters. Index definitions
       now can include a comment of up to 1024 characters. (Bug
       #62207, Bug #12904170)

     * On Microsoft Windows, MySQL Workbench would ignore the
       system's font setting, but now uses it when MySQL
       Workbench is initialized. (Bug #62105, Bug #12872840)

     * Adding a trigger with the Alter Table, Trigger interface
       now warns the user if the inputted trigger statement was
       invalid. Before, MySQL Workbench would output "No changes
       to object were detected." if the SQL was valid, but
       without a CREATE TRIGGER statement. (Bug #61712, Bug
       #12908810)

     * Closing MySQL Workbench while editing SQL Scripts will
       now prompt the user to save the edits. (Bug #61037, Bug
       #62959, Bug #12546710, Bug #13344705)

     * MySQL Workbench now respects case-sensitivity when
       lower_case_table_names = 2. (Bug #60618, Bug #11926851)

     * Synchronizing a model would drop, and then re-add,
       indexes and foreign keys if the order of these indexes
       and foreign keys were different. This could happen
       because MySQL Workbench would add UNIQUE indexes in the
       order added by the user, whereas the MySQL Server puts
       them first. (Bug #60230, Bug #11829807)

     * A crash would occur if trigger code referred to tables in
       a schema different from the one where it is contained.
       (Bug #60041, Bug #13611382)

     * Loading large files (over 100MB) using File, Open SQL
       Script... failed to load the script, and throw an out of
       memory exception while halting operation.
       Now, MySQL Workbench warns users if a file exceeding
       100MB is attempted to be loaded, and no longer crashes
       when running out of memory but instead reports that the
       file was unable to be loaded. (Bug #55312, Bug #60780,
       Bug #61363, Bug #64186, Bug #11762687, Bug #12339717, Bug
       #12627645, Bug #13790375)

Changes in MySQL Workbench 5.2.40 (2012-05-16)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.39.

   Functionality Added or Changed

     * The table inserts grid now supports Copy, Cut, and Paste,
       for both rows and individual cells. (Bug #11760095, Bug
       #52469)

     * The SQL editor tab now displays the selected database in
       the header. (Bug #50932, Bug #11758694)

     * The File, Export, Forward Engineer SQL ... wizards now
       have the option to use the same configuration settings
       from the last time Forward Engineer SQL ... was used.
       (Bug #34977, Bug #11748058)

   Bugs Fixed

     * On Microsoft Windows, the mysqlrplshow MySQL Utility was
       missing. (Bug #13773189)

     * Within the SQL Editor, MySQL Workbench would freeze after
       choosing Replace All when the find field was empty. (Bug
       #13744385)

     * On Microsoft Windows XP, performing a database export
       could cause MySQL Workbench to crash while using the
       Export to Self-Contained File option with a UNC path.
       (Bug #13701996, Bug #64267)

     * On Mac OS X, the schema sidebar was missing a horizontal
       scrollbar. (Bug #13596326, Bug #64000)

     * Inserting a snippet into the SQL Editor could insert
       incorrect characters. (Bug #13466559)

     * Copying SQL to the clipboard could cause MySQL Workbench
       to hang or crash if the table comments contained Unicode
       characters that exceeded the buffer size. (Bug #64611,
       Bug #13840045)

     * Within the Database, Synchronize With Any Source wizard,
       synchronizing a model from a Live Database Server source
       to a Model Schemata destination would crash after the
       Retrieve Object Information step. (Bug #64553, Bug
       #13812932)

     * After a connection has timed out, clicking Reconnect to
       DBMS would freeze MySQL Workbench. (Bug #64467, Bug
       #13840041)

     * SELECT queries could crash MySQL Workbench during the
       validation stage of the SQL Editor. (Bug #64435, Bug
       #13788133)

     * MySQL Workbench would generate invalid SQL while using
       the Partitioning tab when altering a table. (Bug #64396,
       Bug #13788180)

     * On Windows XP, attempts to copy values from multiple
       cells would fail, and not insert values into the
       clipboard. (Bug #64281, Bug #13726466)

     * A query like SELECT foo+1 FROM bar could cause a crash.
       (Bug #64051, Bug #13629089)

     * The following sequence could crash MySQL Workbench: "Open
       a model", "Synchronize the model with a remote database",
       "Modify the model", and then "Synchronize the model" a
       second time. (Bug #63943, Bug #13779239)

     * The Data Export option would not use the current date in
       the folder name containing the exported data. (Bug
       #63893, Bug #13571760)

     * The Open value in viewer window did not open with SELECT
       queries that used the cast function. (Bug #63874, Bug
       #13548148)

     * On Fedora Linux version 16 and greater, the service
       command is now used to start and stop the MySQL Server,
       instead of /etc/init.d/mysqld. (Bug #63777, Bug
       #13519817)

     * The Control + a key combination would not select all of
       the text within a window. (Bug #63752, Bug #13511244)

     * MySQL Workbench would not build with GLib 2.3x+, as only
       glib.h can be included directly. (Bug #63705, Bug
       #13500364)

     * On Mac OS X, expanding the schema for a remote database
       from within the SQL Editor tab would crash, if the SQL
       editor tab was closed before the tables were done being
       fetched. (Bug #63589, Bug #13500242)

     * The minimum size of the MySQL Workbench window has been
       lowered to 980x600 pixels, although officially the
       minimum screen resolution requirement remains at
       1280x1024. (Bug #63519, Bug #13463411)

     * While using MySQL Workbench to adjust a Users and
       Privileges role with a MySQL Server version prior to
       5.1.6, an unhandled exception would result from MySQL
       Workbench attempting to access the mysql.event table.
       (Bug #63149, Bug #13496657)

     * On Mac OS X, when viewing the results of a query that
       would normally exceed the window width, the last column
       would have a width of one character if the column type
       was numeric. (Bug #62588, Bug #13365052)

     * Database, Synchronize Model would not update the view
       after a new field was added. (Bug #62569, Bug #13051152)

     * Queries that explicitly set RESTRICT will now synchronize
       properly with those that do not, because RESTRICT is the
       default behavior in MySQL. (Bug #62432, Bug #13491535)

     * On Microsoft Windows, the MySQL Workbench installer would
       sometimes not detect where VISUAL C++ 2010 was installed.
       A workaround is to append CPP_100_RUNTIMES to the
       eCustomProperties property in the .msi file. (Bug #62141,
       Bug #12872805)

     * MySQL Workbench would prompt a user for the password to
       reconnect to a MySQL server that had lost the connection,
       and this password dialogue would not have focus yet still
       showed as the top window with a blinking cursor. To
       reduce confusion, this password window is no longer the
       top window. (Bug #62003, Bug #12918370)

     * The following sequence would crash MySQL Workbench:
       Database, Reverse Engineer to generate an EER diagram,
       then Database, Synchronize with Any Source, and then a
       mouse-click would cause the crash. (Bug #61876, Bug
       #12912593)

     * Scrolling the mouse wheel now only scrolls the focused
       window. (Bug #61480, Bug #12661387)

     * The _idx suffix is now added to foreign keys as they are
       created.
       And MySQL Workbench checks for duplicate named foreign
       keys if a document is loaded from a previous version of
       MySQL Workbench. And if duplicates are found, then the
       user is given the choice of renaming them. (Bug #60705,
       Bug #58135, Bug #12621452, Bug #11765197)

     * Password-based SSH authentication would still check the
       key-based authentication files within .ssh/ before
       prompting for a password. (Bug #60024, Bug #12672238)

Changes in MySQL Workbench 5.2.39 (2012-04-10)

   This release updates the bundled MySQL Utilities to version
   1.0.5. It contains no other new features or bug fixes.

   Functionality Added or Changed

     * Updated the bundled MySQL Utilities to version 1.0.5.

Changes in MySQL Workbench 5.2.38 (2012-02-23)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.37.

   Functionality Added or Changed

     * The width of the "Reference column" drop-down selector is
       now set to the widest entry. (Bug #53278, Bug #11760835)

   Bugs Fixed

     * On Linux, the result set window would not display
       properly. (Bug #13615255)

     * Comments that spanned multiple lines and included stored
       procedures with comments that were surrounded by
       conditional comments would not be handled properly, as
       MySQL Workbench would end the outer comment
       unconditionally when the first inner comment was
       finished. (Bug #13490118)

     * Generating a DBDoc report with both HTML Detailed Frames
       and Include DDL code for objects enabled would cause
       MySQL Workbench to stall. (Bug #13471637)

     * The Plugins, Utilities, Execute Query Into Text Output
       feature would duplicate the first column, and fill it
       with NULL values. (Bug #13470770)

     * On Microsoft Windows with the "classic mode" theme set,
       MySQL Workbench buttons were difficult to read. (Bug
       #13470583)

     * The Scripting shell window lost focus after opening and
       closing a tab. (Bug #13470451)

     * While editing Limit Connectivity to Host Matching within
       the Server Administration, Users and Privileges, Login
       window, the Apply button would not be available until one
       of the other three Users and Privileges fields was
       changed. (Bug #13470424)

     * Scripting Shell failed to continue running after a
       breakpoint. Clicking Execute Script after a breakpoint
       now continues execution of the script. (Bug #13470397)

     * On Linux, MySQL Workbench .mwb files would be detected as
       Zip files. (Bug #13466584)

     * The SQL Editor Execute the Explain Command... feature did
       not function properly, and would return zero results.
       (Bug #13466571)

     * On Microsoft Windows, using the Manage Server Instances
       menu to delete server instances could cause MySQL
       Workbench to generate an internal error while closing the
       Manage Server Instances window. (Bug #13466083)

     * For Microsoft Windows, the Download Prerequisites link
       within the MySQL Workbench installer now directly links
       to the prerequisites manual page. (Bug #13448582)

     * Using the Open Connection to Start Querying dialog with a
       new (not stored) connection would cause MySQL Workbench
       to crash. (Bug #13028855)

     * On Linux, while saving a new model with a note, the Save
       to File dialogue would not prompt to name the file. (Bug
       #12933345)

     * It was possible for MySQL Workbench to generate a pop-up
       window underneath a different pop-up window, thus
       requiring a restart of MySQL Workbench when the bottom
       pop-up was required to be closed first. (Bug #12927510)

     * Dumping a schema via the Data export and restore option
       now prompts for a correct password, as needed. Before it
       would simply fail to export. (Bug #12903967)

     * Under the File menu, using the Print to PDF... and Print
       to PS File... options for a model would crash MySQL
       Workbench. (Bug #12884845)

     * The editor tabs would not update after a user was added.
       (Bug #12884776)

     * Closing a tab could result in an unhandled exception.
       (Bug #64152, Bug #13655860)

     * Choosing the Close All But This option within the
       routines manager would freeze MySQL Workbench. (Bug
       #64133, Bug #13630602)

     * Running a SELECT statement and attempting to alias the
       only column selected would result in a crash. (Bug
       #64123, Bug #13629962)

     * Moving the placeholder row (an empty row) around within
       the table editor would crash MySQL Workbench. The
       placeholder row can no longer be moved. (Bug #64122, Bug
       #13629953)

     * The Beautify Query feature incorrectly formatted
       statements containing the UNION clause, which left the
       query with syntax errors. (Bug #64120, Bug #13629967)

     * When viewing the foreign key definition window of the
       Alter Table editor, the restrict foreign key option did
       not display for either the update or delete actions, and
       instead the value would appear empty. (Bug #63978, Bug
       #13596254)

     * On Linux, the Object Info panel within the SQL editor
       would not show information about the object, and would
       instead remain empty. (Bug #63960, Bug #13608228)

     * Within Server Administration, Users and Privileges,
       selecting Add Account after sorting the users would
       insert the new user into the list alphabetically, yet
       open the bottom user entry into the editor. (Bug #63951,
       Bug #13702340)

     * A query similar to the following would crash MySQL
       Workbench: select c.* from actor c where actor_id=38 (Bug
       #63940, Bug #13582514)

     * Tables without an engine set were treated as though they
       were unable to support foreign keys. Therefore, the
       foreign key declaration would be missing after forward
       engineering these tables.
       A workaround is to explicitly set the table engine to
       InnoDB. (Bug #63934, Bug #13562926)

     * On Mac OS X, opening files saved from previous versions
       of MySQL Workbench would result in an empty window,
       without data being loaded. (Bug #63932, Bug #13571842)

     * On Microsoft Windows, and when called from the home
       screen, opening and immediately closing the Manage Server
       Instances window would result in an unhandled exception.
       (Bug #63927, Bug #13571816)

     * Exporting a model to a CSV file could crash MySQL
       Workbench. (Bug #63883, Bug #13685708)

     * On Microsoft Windows, the Open in viewer menu could be
       blank while viewing results. (Bug #63873, Bug #13548115)

     * MySQL Workbench would freeze when a SELECT statement was
       executed on a table without private keys, and that
       included at least one UNIQUE NOT NULL column. (Bug
       #63867, Bug #13542546)

     * Executing a query after reordering multiple editor tabs
       would make the inactive editor tab active, and execute
       that query. (Bug #63866, Bug #13542154)

     * The File, Open SQL Script, Files of Type dialogue would
       incorrectly give the option to open files with the
       .dbquery suffix, instead of .qbquery. (Bug #63861, Bug
       #13541769)

     * Choosing the Open value in Editor option would scroll the
       result set to the top. Selecting this option no longer
       refreshes the results, so the selected row remains
       intact. (Bug #63860, Bug #13539049)

     * Opening a Server Administration tab for a server instance
       that has remote management via SSH enabled would result
       in an error, and fail to load. (Bug #63857, Bug
       #13655999)

     * After clicking Apply to alter a table where changes are
       not being made, the output window says "Preparing..." and
       does not automatically change to "No changes detected"
       until the window is clicked. (Bug #63842, Bug #13548232)

     * MySQL Workbench would crash while opening an existing EER
       model, after a file failed to open. (Bug #63841, Bug
       #13539006)

     * The main schema information found within the object
       browser now updates after a table is altered, and
       collapses the expanded details. And selecting an object
       now reloads the data, which means the current (altered)
       data is displayed. (Bug #63828, Bug #13538990)

     * MySQL Workbench failed to compile under certain PCRE
       setups, like when pcre.h existed within
       /usr/include/pcre/. (Bug #63819, Bug #13538971)

     * MySQL Workbench did not test for and use the gl.pc
       pkgconfig files if present, to determine the location of
       GL/{gl,glx}.h and libGL.so. (Bug #63818, Bug #13538964)

     * On Linux and Mac OS X, the Replace All search feature
       would hang, and not function properly. (Bug #63764, Bug
       #13520443)

     * MySQL Workbench would not work with paramiko 1.7+. (Bug
       #63750, Bug #13519860)

     * MySQL Workbench would crash after the following sequence:
       Synchronize Model With Database, Fetch Object Info,
       Continue. (Bug #63746, Bug #13591854)

     * Query, Commit Result Edits and Query, Discard Result
       Edits could result in "Unrecognized command" errors, and
       not function properly. (Bug #63744, Bug #13511195)

     * On Microsoft Windows, tab titles were difficult to read
       on systems with dark backgrounds. (Bug #63715, Bug
       #13500349)

     * On Mac OS X, exporting a database that has a stored
       procedure resulted in an unhandled exception. (Bug
       #63653, Bug #13476062)

     * On Microsoft Windows, changing or deleting a row or
       column within a model, could cause a crash. (Bug #63056,
       Bug #13344572)

     * Clicking the foreign keys tab within the Alter table
       context could crash MySQL Workbench. (Bug #63050, Bug
       #13492730)

     * The object editor could leak memory and crash MySQL
       Workbench while handling notifications. (Bug #63025, Bug
       #13492608)

     * MySQL Workbench would highlight the MySQL 5.6 reserved
       words name, type, and types. (Bug #62775, Bug #13252599)

     * On Linux, right-clicking on a table and choosing the
       Alter Table feature would perform no function.
       A workaround was to delete all XML nodes from
       /usr/share/mysql-workbench/modules/data/editor_mysql_tabl
       e_live.glade like:

                <child internal-child="selection">
                  <object class="GtkTreeSelection" id="treeview-select
ion5"/>
                </child>


       (Bug #62686, Bug #13491865)

     * Queries containing a UNION are now excluded from the
       automatic addition of the LIMIT clause, when the Limit
       Rows preference is enabled. (Bug #62524, Bug #13029474)

     * Double-clicking on a table within the EER diagram editor
       would sometimes crash MySQL Workbench. (Bug #62451, Bug
       #13014823)

     * On Mac OS X 10.7+, the "Open File" panel would attempt to
       show hidden files, which failed and cause no files to be
       shown. MySQL Workbench no longer attempts to display
       hidden files on Mac OS X. (Bug #62172, Bug #12912085)

     * Pressing the Control + Enter key combination within the
       SQL editor would generate a recoverable error. (Bug
       #62169, Bug #12927292)

     * While attempting to synchronize a database to any source,
       the Execute button to perform the synchronization was
       missing. Only the Go Back and Close buttons were shown.
       The Execute button is now standardized for all database
       synchronization options. (Bug #62130, Bug #12872823)

     * Recovery of the last state using either the Auto-save
       feature, or the Save snapshot of open editors on close
       option, would sometimes load improperly by creating an
       empty schema and/or crash while closing opened SQL editor
       tabs. (Bug #61950, Bug #12917371)

     * Selecting and editing multiple indexes or foreign keys
       would crash MySQL Workbench. (Bug #61863, Bug #62057, Bug
       #12757370, Bug #13013715)

     * The search box within the MySQL Workbench toolbar did not
       perform searches. (Bug #61825, Bug #12757354)

     * A pop-up window is no longer generated when selecting an
       inactive server from within the Server Administration
       panel. (Bug #61810, Bug #12757347)

     * Individual model settings are now respected. Before they
       would be ignored in favor of the global settings. (Bug
       #61771, Bug #12757255)

     * After a connection has timed out, clicking Reconnect to
       DBMS would freeze MySQL Workbench. (Bug #61722, Bug
       #12725314)

     * When right-clicking on a table that has triggers, and
       then choosing Create Statement to either send the
       statement to the clipboard or SQL editor, the trigger
       creation statement is written before the table creation
       statement. (Bug #61698, Bug #12756722)

     * The Server Status window would incorrectly sort options.
       Numeric fields are now sorted numerically (e.g., 1300 is
       now after 500). (Bug #61659, Bug #12698865)

     * If the charset/collation is set to use the default value,
       then DEFAULT will now be inserted as the
       charset/collation name within generated queries. (Bug
       #61202, Bug #12622649)

     * When a table had columns like DOUBLE(M,D), the data model
       synchronization would discard the (M,D) specification,
       and convert the columns to DOUBLE(11). (Bug #61165, Bug
       #12565933)

     * MySQL Workbench would not behave correctly with ON UPDATE
       CURRENT_TIMESTAMP as a default value, while synchronizing
       models, and would update the field. (Bug #61087, Bug
       #12546735)

     * The Beautify Query wizard would remove spaces from MySQL
       date function parameter values that contain INTERVAL.
       (Bug #61021, Bug #12546864)

     * Plugins, Utilities, Reformat SQL Query would mangle
       queries by removing the first SELECT statement if a
       subquery clause was present. (Bug #60311, Bug #12613662)

     * MySQL Workbench would emit an error (error code: 1064)
       with queries using WITH ROLLUP. (Bug #57178, Bug
       #11764355)

     * On Microsoft Windows, rapidly repeating a query could
       emit an error. (Bug #56776, Bug #11763997)

     * Pasting a query with \r line endings instead of \r\n or
       \n could cause MySQL Workbench to mangle the query. Line
       endings are now normalized after pasting, like they
       already were while loading files. (Bug #56334, Bug
       #11763603)

     * On Microsoft Windows, the Routines editor would insert
       extra line endings. (Bug #55006, Bug #11762414)

     * On Microsoft Windows, using Alt based key shortcut
       combinations would not always work. (Bug #54119, Bug
       #11761607)

     * The dialog windows now remain in front, even when another
       part of MySQL Workbench is clicked. (Bug #48692, Bug
       #11756737)

     * MySQL Workbench now detects duplicated trigger names
       while using the Model,Validation, (MySQL)->Validate all
       and Model, Validation (MySQL), Check integrity sequences.
       (Bug #44063, Bug #11752780)

Changes in MySQL Workbench 5.2.37 (2011-12-26)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.36.

   Functionality Added or Changed

     * The SQL editor now automatically fetches table data. (Bug
       #63590, Bug #13500202)

   Bugs Fixed

     * Under Server Administration, the location of the
       configuration file was not visible. It is now shown
       within the configuration file label. (Bug #14017264, Bug
       #65033)

     * The SQL editor would open a table in read-only mode when
       opened from either the Edit Table Data link via the home
       screen, or if the schema tree was not expanded. (Bug
       #13466131)

     * On Mac OS X, the File, Open Recent feature would open the
       incorrect script. (Bug #13028666)

     * Viewing the Server Logs on a MySQL server after it has
       been stopped, resulted in an unhandled exception. (Bug
       #12908134)

     * Options unrelated to the SQL Editor would be available
       under the View menu while a SQL editor window was open.
       (Bug #11763150, Bug #55830)

     * Pasting from the clipboard would not work in the hostname
       and related fields. Users are now able to paste values
       into these fields. (Bug #11753997, Bug #45528)

     * Invalid SQL was generated when a schema name contained a
       dot. Table names are now enclosed in quotes. (Bug #63710,
       Bug #13500360)

     * MySQL Workbench could freeze while importing a dump. (Bug
       #63669, Bug #13485795)

     * Exporting a database that has a stored procedure,
       resulted in an unhandled exception. (Bug #63653, Bug
       #13476062)

     * Generating a list of tables and views was slow, when
       compared to the previous MySQL Workbench version. (Bug
       #63633, Bug #13485667)

     * Creating a foreign key using the Place a relationship
       using existing columns EER option would crash MySQL
       Workbench. (Bug #63629, Bug #13480328)

     * Changing a schema name with routines present would
       prepend and append invalid delimiters. (Bug #63624, Bug
       #13470435)

     * The field editor would hang when large text values were
       shown. (Bug #63606, Bug #13485779)

     * MySQL Workbench now quotes table names in generated SQL
       queries, when the table name contains characters that
       would break the SQL statement. (Bug #63600, Bug
       #13497088)

     * MySQL Workbench would generate an exception after editing
       and then closing a table tab within the EER diagram
       window. (Bug #63591, Bug #13463991)

     * The SQL editor would not load under certain
       circumstances. The check for restoring split positions
       was corrected to solve this issue. (Bug #63582, Bug
       #13490891)

     * The Help, Check for Updates feature did not function
       properly. (Bug #63534, Bug #13463399)

     * The password prompt dialog is no longer the topmost
       window over all open applications on a system, but now
       it's only the topmost MySQL Workbench window. (Bug
       #63499, Bug #13496347)

     * The user administration panel did not fit on systems
       using a 1024x768 screen resolution. (Bug #62341, Bug
       #12967541)

     * On Mac OS X, clicking Apply within the Alter Table
       dialogue on a table with foreign constraints would crash
       MySQL Workbench. (Bug #62042, Bug #12844307)

     * MySQL Workbench required the Andale Mono font. (Bug
       #61782, Bug #12757325)

     * MySQL Workbench would sometimes be unable to save changes
       that were only to comments. It used a hard limit, but now
       uses the MySQL Server limit for maximum comment lengths.
       For example, it would compare the first 60 characters of
       a table comment change, and generate an error if the
       change did not affect the first 60 characters.
       From the MySQL Server 5.5.3 changelog: the maximum length
       of table comments was extended from 60 to 2048
       characters. The maximum length of column comments was
       extended from 255 to 1024 characters. Index definitions
       now can include a comment of up to 1024 characters. (Bug
       #61626, Bug #12694146)

     * Database synchronization would sometimes confuse similar
       table and routine names. (Bug #61028, Bug #12656879)

     * Case changes to ENUM values were not recognized by MySQL
       Workbench. (Bug #60478, Bug #11889204)

     * The column header information is displayed as it is
       received from the server. (Bug #60237, Bug #11829800)

     * Within the Database, Forward Engineer dialogue for a
       Model, the DROP Objects Before Each CREATE Object option
       was ignored if the Export MySQL Table Objects option was
       not selected. (Bug #59200, Bug #11766157)

     * Altering the case of a table name caused an error, when
       that was the only change and the SQL Identifiers are Case
       Sensitive option was set to true. (Bug #58808, Bug
       #11765806)

     * The export feature would sometimes fail when exporting
       tables with stored procedures, and with Dump Stored
       Procedures checked. And also having Export as Dump
       Project Folder selected would result in an unhandled
       exception. (Bug #57500, Bug #11764642)

     * The Forward engineering feature now preserves case for
       schema names, even on case-insensitive systems. Before it
       would create lowercase variants of the schema names on
       these systems. (Bug #56237, Bug #11763520)

     * The Forward engineer feature would sometimes create
       invalid SQL syntax for old MySQL Workbench files with
       deleted routines and roles. (Bug #53973, Bug #11761473)

Changes in MySQL Workbench 5.2.36 (2011-12-03)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.35.

   Known limitation: Home, Edit Table Data will load the table
   in read-only mode. Instead, right-click on a table within the
   Object Browser and choose the Edit Table Data option from
   there.

   Functionality Added or Changed

     * The Edit, Format, Beautify Query feature no longer quotes
       column names. (Bug #13030351)

     * The edit context menus, such as Edit Table Data, now open
       as new tabs. Before they reused (overwrote) the same tab.
       (Bug #61774, Bug #12731459)

     * If only one server instance is defined, then the Server
       administration, Manage security option will now
       automatically connect to it, instead of prompting to
       choose a server instance. (Bug #61451, Bug #12647697)

     * Indexes are now shown within the schema tree. And indexed
       columns are also indicated within the table information
       panel. (Bug #61295, Bug #12616367)

     * The auto_increment information is now displayed within
       the SQL editor. (Bug #60933, Bug #12402845)

     * On the SQL Editor tabs, right-clicking a tab now offers
       the following options: New Tab, Save Tab, Close Tab,
       Close Other Tabs, and Copy Path to Clipboard. (Bug
       #60883, Bug #12399369)

     * The query and associated results are no longer displayed
       in separate tabs, but they are now viewable within a
       single interface. (Bug #60624, Bug #11926853)

     * The SQL editor windows did not have maximize or minimize
       buttons, but these windows are now opened in configurable
       tabs. (Bug #60606, Bug #12617245)

     * The export result set dialog has been redesigned, and now
       saves the previously used settings. (Bug #60490, Bug
       #11889185)

     * SQL snippets can now be edited, and then saved. (Bug
       #58879, Bug #11765873)

     * Tab spacing is now defined as 4 on the Linux and Mac
       platforms, to be consistent with Windows. (Bug #58867,
       Bug #11765862)

     * A Paste Row context option was added to the Edit Table
       Data menu of the Object browser. (Bug #58169, Bug
       #11765228)

     * Additional Export data types were added to the SQL
       Browser, which now includes JSON, Excel spreadsheet, and
       MySQL formatted XML. (Bug #56808, Bug #11764024)

     * The Overview tab was replaced, in favor of the new schema
       tree view. (Bug #56795, Bug #11764014)

     * Added the ability to edit data from a result set after
       executing a query. If MySQL Workbench determines that a
       returned result cannot be edited, then a read-only icon
       will be displayed, and hovering over the icon reveals a
       tooltip that explains why it cannot be edited. (Bug
       #56794, Bug #11764013)

     * Added a input field to filter the schema list in the
       Object Browser. (Bug #55162, Bug #11762554)

     * The Alter table option defaulted to Table view, but now
       uses the new table editor. (Bug #55050, Bug #11762454)

     * MySQL Workbench did not support the .dbquery file
       extension. (Bug #54321, Bug #11761795)

     * Added the Copy Inserts to Clipboard option to the
       Plugins, Objects menu. (Bug #54036, Bug #11761531)

     * Added toolbar buttons to toggle the sidebars and bottom
       panel of the SQL Editor. (Bug #53714, Bug #11761243)

     * The table view within the Object Browser has changed. The
       table view includes another level of grouping, which
       includes Columns, Indexes, Foreign Keys, and Triggers.
       Before, only the columns were listed. (Bug #53504, Bug
       #11761050)

     * The table information window within the Object Browser
       has been expanded to include foreign keys, triggers,
       indexes, and data types. (Bug #53502, Bug #11761048)

     * The Overview tab was removed, in favor of the new schema
       layout. (Bug #53323, Bug #11760879)

     * New entries to the error log are now shown when
       restarting the MySQL server.
       When log_output is set to FILE, the log files are now
       displayed in the MySQL Workbench log page. (Bug #52445,
       Bug #11760073)

     * The SQL snippets interface been redesigned and relocated
       to its own sidebar. Its display may also be toggled. (Bug
       #50069, Bug #11757950)

     * The SQL Editor history tab now auto-scrolls to the
       bottom, so that the most recent entry is visible. (Bug
       #49317, Bug #11757294)

     * Added a new format to the SQL Editor for export, which is
       identical to the XML generated by the mysql --xml
       command. It's titled XML (mysql format). (Bug #49305, Bug
       #11757284)

     * Added the ability to copy Status and System Variables to
       the clipboard. (Bug #49074, Bug #11757074)

     * The Database, Synchronize Model... dialogue now creates a
       schema if one does not already exist. (Bug #45025, Bug
       #11753561)

   Bugs Fixed

     * While using the import/restore feature of the server
       instance administration area, views and routines were not
       imported. (Bug #13041684)

     * Tables would be listed as Fetching... after pressing the
       Reconnect DB button. (Bug #13040104)

     * After right-clicking a cell within the insert grid of the
       model table editor, an unhandled exception was generated
       on Microsoft Windows, and a fatal error on Mac OS X. (Bug
       #13029647)

     * The Manage Security window initially shows the first
       connection as selected, but it is not. (Bug #13026478)

     * While administrating a server instance, importing a
       project folder will result in an "Import from Disk" error
       after the following sequence: Data Export and restore,
       Export to Dump project folder, with Dump views and Dump
       stored routines... checked, then exporting a schema with
       views and/or routines, opening the SQL Editor and
       dropping the exported schema, then clicking Import to
       Disk within the server administrator. (Bug #13025419)

     * Pressing Refresh within the Slow Query Log tab resulted
       in an unhandled exception. (Bug #12928308)

     * Within a diagram view, the Edit, Find, Find advanced
       option was unrecognized and performed no function. (Bug
       #12884864)

     * A previously selected object could not be dragged, as it
       would instead enter "Edit Name" mode after the second
       click. (Bug #12884796)

     * New server instances created by the Manage Server
       Instance wizard would send the incorrect service name to
       the MySQL admin. The command is now constructed at run
       time using the service name from the server instance
       profile. (Bug #12567371)

     * The Alter Table... option did not function on tables with
       triggers. (Bug #12546727, Bug #61110)

     * Creating a server instance using unicode characters
       worked, but an error would be generated while attempting
       to open them. (Bug #63100, Bug #13350556)

     * Using Alter routine to make changes would sometimes crash
       after clicking Apply. (Bug #63076, Bug #13340307)

     * Altering and saving a routine twice, reverting, and then
       clicking Apply would crash MySQL Workbench (Bug #62979,
       Bug #13492510)

     * On Microsoft Windows, upgrading MySQL Workbench required
       MySQL Workbench to be run as a user with Administrator
       rights. (Bug #62709, Bug #13116366)

     * Opening model files while using a MySQL Workbench version
       that was installed over a previous MySQL Workbench
       installation would sometimes cause permission issues. The
       workarounds included running MySQL Workbench with
       administrator privileges, or removing the installation
       folder before upgrading. (Bug #62703, Bug #13323929)

     * An unhandled exception might be emitted after modifying
       an EER diagram, with a popup window reading "MySQL
       Workbench has encountered a problem - Queue empty." (Bug
       #62651, Bug #13079826)

     * A query history date would incorrectly change when a
       history entry, other than the last one, was selected when
       the query was executed. (Bug #62642, Bug #13104635)

     * The Create Routine... feature would report that it
       created a routine, but it did not, and the error was
       revealed in the output window. (Bug #62624, Bug
       #13362190)

     * Right-clicking on a row within the Inserts tab could
       crash MySQL Workbench. (Bug #62583, Bug #13365077)

     * The Server Administrator did not function with MySQL
       Server 5.0. And although MySQL Workbench does not
       officially support MySQL Server 5.0, this functionality
       now works. (Bug #62549, Bug #13029339)

     * The Alter Routine wizard would report that a routine was
       successfully updated, although the routine would remain
       unchanged. (Bug #62527, Bug #13029468)

     * The Reconnect to DBMS toolbar option would not reconnect
       after unchecking the Safe Updates preference. A
       workaround is to uncheck this option, then restart MySQL
       Workbench. (Bug #62448, Bug #13014798)

     * On Microsoft Windows, and with the Show Live Schema
       Overview preference disabled, MySQL Workbench would emit
       an error while attempting to open a Database Connection.
       (Bug #62407, Bug #13364933)

     * Expanding then collapsing the query results window within
       the SQL editor, yielded a different appearance. (Bug
       #62371, Bug #13007096)

     * On Ubuntu 11.10, MySQL Workbench would freeze at the
       startup splash screen. (Bug #62347, Bug #13099521)

     * Selecting and dragging tables to the diagram area failed.
       A workaround was to collapse the table list first and
       then drag it over, although it was only possible to drag
       a single table. (Bug #62267, Bug #13013851)

     * The Configuration File path within the Server
       Administration panel is now read-only, when before it
       would temporarily set the path. This path should be set
       via the profile setting instead. (Bug #62252, Bug
       #12922746)

     * Fixed a typo, where "database" was misspelled as "dabase"
       within the DBDesigner description. (Bug #62250, Bug
       #12912465)

     * The Auto-save feature would behave with unpredictable
       results, by opening up an incorrect number of windows
       when MySQL Workbench was next loaded. (Bug #62192, Bug
       #12907612)

     * Opening Management, Server Logs would generate an
       unhandled exception when using table-based logging, while
       the general log was empty. (Bug #62123, Bug #12872836)

     * After setting a default schema, choosing Refresh all
       while the schema information is "fetching" would result
       in an unhandled exception. (Bug #62086, Bug #12913399)

     * Switching between two logins for a single database
       connection required the password to be reentered with
       each switch. (Bug #62052, Bug #12921420)

     * On Linux, the Database, Generate Catalog Diff Report...
       model option was disabled. (Bug #62040, Bug #12844314)

     * Within the Routine Editor, opening multiple Apply SQL
       Script to Database dialogues and then executing one,
       except for the last one opened, would crash MySQL
       Workbench. (Bug #61988, Bug #12918227)

     * On Microsoft Windows, the EER diagram search did not work
       across multiple pages. (Bug #61957, Bug #12818216)

     * Fixed Data export so that routines and views are only
       exported when they are selected. In addition, individual
       views may now be selected for export. (Bug #61937, Bug
       #12949918)

     * Importing a dump would misquote the --defaults-extra-file
       option, which would cause the import to fail. (Bug
       #61910, Bug #12912786)

     * A Download Prerequisites link is now displayed when
       prerequisites, such as the "Visual C++ 2010
       Redistributable Package" requirement, are not met.
       Before, the link was not visible. (Bug #61897, Bug
       #12769499)

     * Repeatedly refreshing a schema resulted in an unhandled
       exception. (Bug #61892, Bug #12762893)

     * The File, Open Recent feature would open the incorrect
       script. (Bug #61856, Bug #12912374)

     * On Mac OS X, switching from the Model tab to the EER
       Diagram tab caused an error sound. (Bug #61809, Bug
       #12757337)

     * File, Export, Forward Engineer SQL CREATE Script would
       append an extra space to TINYINT(1) after converting it
       from BOOL. (Bug #61696, Bug #12711138)

     * On Microsoft Windows 7, some MySQL Workbench buttons
       would be difficult to read due to incompatible background
       colors with the "Windows classic Style" scheme. (Bug
       #61685, Bug #12711145)

     * MySQL Workbench would not recognize the active schema
       with case insensitive servers. As a result, an active
       schema within the Object browser would be unselected
       after a USE statement was executed. (Bug #61641, Bug
       #12711143)

     * The Users and Privileges window did not scale to low
       screen resolutions like 1024x768. It does now, although
       MySQL Workbench still has an official minimum screen
       resolution of 1280x800. (Bug #61518, Bug #12661556)

     * Tab panels within Server Administration would not fresh
       properly. (Bug #61452, Bug #12647731)

     * The Object editors (such as Alter Table, Alter View, and
       Alter Routine) now open as tabs, instead of separate
       wizard windows. (Bug #61422, Bug #12642157)

     * Exporting SQL for tables that included comments would
       generate invalid SQL statements. A comma was missing
       immediately before the COMMENT. (Bug #61393, Bug
       #12627762)

     * After opening a saved model file, the Control+T shortcut
       would not work from within a query window. (Bug #61379,
       Bug #12627716)

     * MySQL Workbench could crash while restoring large files.
       (Bug #61365, Bug #12627685)

     * The Clear script output and Close this script tab buttons
       are now disabled in non-script tabs. (Bug #61318, Bug
       #12616331)

     * On Linux, MySQL Workbench failed to open, because it
       could not load the MySQL Diff Reporting module. (Bug
       #61304, Bug #12613921)

     * On Linux, code folding for stored procedures and loops
       did not work properly within the SQL editor. (Bug #61302,
       Bug #12612394)

     * Pressing Execute after double clicking and editing a
       field in select all mode, resulted in an unhandled
       exception. (Bug #61279, Bug #12627523)

     * On Microsoft Windows, the Find option (Control+F) for the
       SQL editor was not available. (Bug #61233, Bug #12622697)

     * Executing a slow query would not notify the user that the
       query was running. The new SQL editor interface does show
       the progress. (Bug #61231, Bug #12589710)

     * While double clicking an arrow to expand a table from
       within the object browser, to see its columns, the arrow
       disappeared and the table could not be expanded. (Bug
       #61124, Bug #12736804)

     * When hovering the mouse pointer over a table figure on a
       diagram, the foreign key tooltip would hide the table
       column names. (Bug #61055, Bug #12546715)

     * The default schema selection would be lost after
       synchronizing a model. (Bug #60975, Bug #12621744)

     * MySQL Workbench would sometimes crash while in Forward
       Engineering mode. (Bug #60950, Bug #12572071)

     * On Linux and Mac OS X, using Tab and Shift+Tab to jump to
       next/previous fields has been added to the query result
       view. It had previously only worked on Windows.
       Additionally, the Escape key will now cancel editing of
       the current cell, and PageUp/PageDown scrolls one page up
       and down in the result set. (Bug #60865, Bug #12368205)

     * Manipulating multiple SQL editor tabs would sometimes
       result in uncaught exceptions. (Bug #60764, Bug
       #12621640)

     * MySQL Workbench would crash when attempting to use Alter
       Table or Create Table from within the context menu. (Bug
       #60760, Bug #12621510)

     * Fixed a crash bug, which would happen on exit. (Bug
       #60733, Bug #12632325)

     * If a schema within the schema panel was clicked, then a
       table was also clicked (dropped down) within the schema,
       then the panel containing Actions, Schemas, and details
       would expand to fill half of the view window, and the
       size could not be adjusted. (Bug #60692, Bug #12587848)

     * The Generate INSERT Statements for Tables option would
       not generate INSERT statements for BLOG columns. (Bug
       #60657, Bug #12565791)

     * Factory snippet files were fixed, to include proper
       line-endings for all platforms. (Bug #60643, Bug
       #12621434)

     * Closing MySQL Workbench would not prompt to save unsaved
       work from modified SQL files and windows. (Bug #60557,
       Bug #11926868)

     * The SQL editor output tab did not report the number of
       affected rows. (Bug #60535, Bug #12617147)

     * The Synchronize model with Database wizard would not
       properly handle case-sensitive table names. (Bug #60523,
       Bug #12617135)

     * Open diagram tabs from a saved MySQL Workbench state were
       not saved properly. (Bug #60515, Bug #12617096)

     * The Advanced Export Options preferences were not saved,
       and would reset after restarting MySQL Workbench. (Bug
       #60497, Bug #11889197)

     * Connection and query tabs can now be reordered, by
       dragging and dropping with the mouse pointer. (Bug
       #60409, Bug #11865602)

     * On Linux, viewing the embedded documentation required the
       python-sqlite2 package. (Bug #60336, Bug #11874507)

     * On Mac OS X, Command+W will now close the active script
       editor tab, and Command+Shift+W will now close the active
       connection tab. This is now consistent with behavior on
       other operating systems. Before, the Command+W
       combination closed the active connection tab. (Bug
       #60253, Bug #11829750)

     * Pressing Esc once now escapes out of edit mode within the
       row editor. Before, it had to be pressed twice. (Bug
       #60131, Bug #11829997)

     * The Copy Row Content option would throw an unexpected
       exception, from within a model.
       In addition, the Paste Row option was added. (Bug #60116,
       Bug #12417533)

     * The USE statement is now properly quoted. For example, an
       invalid USE query would be generated if a schema
       contained a - character. (Bug #59882, Bug #11766711)

     * Copying a table column would lose the data type, when
       only the column line number was selected instead of the
       data type or field name. (Bug #59285, Bug #11905520)

     * Within a server instance administration panel, setting
       Export to Self-Contained File to an invalid path resulted
       in an unhandled exception. (Bug #59246, Bug #11766194)

     * The Output tab of the SQL editor now adjusts whitespace
       characters, as to display queries on a single line. (Bug
       #58989, Bug #11765966)

     * Enabling the Limit Rows SQL editor preference would cause
       invalid SQL syntax with SELECT INTO statements. (Bug
       #58732, Bug #11765738)

     * When viewing text at a size greater than 100% (such as
       125%), some text field labels would be partially hidden.
       (Bug #58408, Bug #12628507)

     * Server Administration, Manage Import/Export would return
       an error about the dump module. (Bug #58098, Bug
       #11765164)

     * MySQL Workbench would allow the creation of foreign keys
       on tables using engines that do not support them. A
       warning is now emitted if this is attempted. (Bug #57875,
       Bug #11764972)

     * MySQL Workbench did not fully adhere to locale settings,
       which could result in unhandled exceptions. (Bug #56869,
       Bug #11764077)

     * The Foreign Keys tab of the Alter Table wizard only
       created an index, without the foreign key. (Bug #56818,
       Bug #11764033)

     * Broken views (e.g., a column no longer exists) are now
       displayed as broken within the schema tree view. (Bug
       #56701, Bug #11763928)

     * Using MySQL Workbench could result in an unhandled
       exception, with the message "Attempted to read or write
       protected memory. This is often an indication that other
       memory is corrupt." (Bug #56034, Bug #11763338)

     * Editor windows would sometimes lose focus, but they are
       now docked within the main application window, which
       eliminated this problem. (Bug #55923, Bug #11763235)

     * Auto-scrolling for the SQL output and history windows was
       added. (Bug #55865, Bug #11763183)

     * The Find feature (search) was replaced with a panel,
       which offers more consistent behavior across platforms.
       The Find and Replace feature is also now a panel, instead
       of a pop-up window. (Bug #54765, Bug #11762197)

     * On Linux, the previously set window positions and sizes
       were not saved by MySQL Workbench. These settings are now
       saved upon closing, and used when MySQL Workbench is
       loaded. (Bug #54025, Bug #11761521)

     * The Finish button was inactive (grayed out) for the Edit
       Table Data dialog, if the database contained exactly one
       table. (Bug #52833, Bug #11760422)

     * If a table cannot be edited (e.g., no Primary key), then
       MySQL Workbench now notifies users of the reason, when
       before the edit option was simply not available. (Bug
       #51563, Bug #11759263)

     * Closing and opening the SQL Editor now sets the last used
       schema as the default, instead of the schema specified
       within the connection. (Bug #51454, Bug #51026, Bug
       #11759165, Bug #11758776)

     * A triple-click was required to change the Referenced
       column of a foreign key, while editing a table within an
       EER diagram. (Bug #50725, Bug #11758512)

     * Selecting a schema with a large number of tables (e.g.,
       200+) would indicate that the schema was empty. (Bug
       #49291, Bug #11757270)

Changes in MySQL Workbench 5.2.35 (2011-09-23)

   This section documents all changes and bug fixes applied to
   MySQL Workbench since the release of 5.2.34.

   Functionality Added or Changed

     * On Microsoft Windows, the standard (common) keyboard and
       mouse shortcuts that control zoom were not fully
       implemented. Usage: Control++ to zoom in, Control+- to
       zoom out, and Control+/ to reset to 100%. (Bug #57463,
       Bug #11764608)

     * Usernames and schemas can now be sorted. (Bug #55318, Bug
       #11762692)

     * The Copy Insert Template to Clipboard option was added to
       the Model View. For more information, see A Table on an
       EER Diagram
       (http://dev.mysql.com/doc/workbench/en/wb-using-table-too
       l.html#wb-table-eer-view-image). (Bug #54887, Bug
       #11762310)

     * The query history is now saved between Workbench
       sessions. (Bug #51388, Bug #11759102)

   Bugs Fixed

     * The Administrator now allows various authentication
       plugins (such as Windows Auth, PAM) to create user
       accounts.
       The dropdown for the authentication method will only be
       displayed if MySQL Workbench detects that additional
       authentication plugins are enabled by the server. (Bug
       #12899893)

     * The unused Start MySQL Utilities Shell for Connection
       connection menu item was removed. (Bug #12898126)

     * MySQL Workbench would sometimes crash after opening
       multiple EER diagrams. (Bug #12875254)

     * The Create EER Model from Existing Data Base process
       would incorrectly report that the schema was empty. (Bug
       #12875126)

     * The Synchronize with Any Source option reversed the
       'destination' and 'source' database names within the
       generated SQL statement. (Bug #62189, Bug #12921676)

     * The is_enabled() method was added to the mforms View
       class. (Bug #62140, Bug #12860149)

     * MySQL Workbench crashed with a segmentation fault after
       the connection step of a model synchronization. (Bug
       #61822, Bug #12742008)

     * The database connection splash screen would freeze after
       opening a server administration instance. It would work
       perfectly the second time. (Bug #61693, Bug #12756623)

     * MySQL Workbench would crash when pressing Apply to an
       empty SQL field under the Review the SQL Script to be
       Applied to the Database form, the second time, after
       selecting Go Back. (Bug #61632, Bug #12694149)

     * On Mac OS X, an unchanged MWB file would prompt to save
       after exiting, and then crash after selecting Yes. (Bug
       #61547, Bug #12668099)

     * On Mac OS X, connecting to remote servers using SSH
       tunnels failed to connect. The workaround was to manually
       test the connection first, via the Manage Connections
       menu. (Bug #61537, Bug #12674397)

     * Viewing the Admin Management option Server Logs with an
       empty TABLE resulted in an unhandled exception. (Bug
       #61523, Bug #12674989)

     * On Mac OS X, the Operation in progress dialogue would
       stall when using database connections from older versions
       of MySQL Workbench. The workaround was to move the mouse.
       (Bug #61416, Bug #12627853)

     * On Microsoft Windows, a MySQL Workbench Unexpected Error
       dialogue is generated when using two SQL Editor windows
       each with their own database connection to the same
       server. (Bug #61367, Bug #12612181)

     * On Mac OS X, disabling the Enable data changes commit
       wizard preference setting would not disable the wizard.
       (Bug #61354, Bug #12616314)

     * The SQL Editor Output, History window contained escaped
       characters. For example, a "'" was written as "&apos;".
       (Bug #61345, Bug #12605093)

     * On Linux, the Reverse Engineer Database, Select Objects
       to Reverse Engineer dialogue contained a menu titled
       label. (Bug #61327, Bug #12600868)

     * The SQL Editor Overview tab did not refresh after a
       schema was deleted. (Bug #61314, Bug #12616355)

     * Create EER Model, Schema Privileges, Add Role,
       Privileges, and then Uncheck All Privileges caused MySQL
       Workbench to crash. (Bug #61308, Bug #12613935)

     * The Find Plugin in Web Repository option was removed from
       the MySQL Doc Library action. (Bug #61305, Bug #12613922)

     * On Ubuntu Linux, MySQL Workbench crashed with a
       segmentation fault when executing the View, Output
       combination twice. (Bug #61303, Bug #12601189)

     * On Microsoft Windows, installation of 5.2.34 over 5.2.33
       would sometimes fail due to file collisions, and would
       then crash at startup. (Bug #61296, Bug #12600117)

     * Creating, then selecting or removing user accounts with
       invalid hosts (such as '%', including the single quotes)
       resulted in an unhandled exception. (Bug #61244, Bug
       #12580053)

     * MySQL Workbench would not load the configuration options
       with MariaDB due to version number differences between
       MariaDB and MySQL. (Bug #61219, Bug #12605404)

     * Under certain circumstances, closing a query window would
       not prompt to save the query. (Bug #61160, Bug #12565971)

     * On Microsoft Windows, expensive queries caused MySQL
       Workbench to be unresponsive after other applications
       were made active, and the MySQL Workbench wizard was
       running. This meant that the main MySQL Workbench window
       could not be selected. (Bug #61122, Bug #12543271)

     * MySQL Workbench would not compile with GNU C Compiler
       (GCC) version 4.6. (Bug #60603, Bug #12617226)

     * The query beautifier added superfluous identifier quote
       characters to the end of some queries. (Bug #60576, Bug
       #11926859)

     * On Microsoft Windows, the following scenario generated an
       error and a bogus SQL editor tab upon MySQL Workbench
       restoration: Having multiple open SQL Editor tabs,
       closing the first, and then closing the database
       connection (while the Auto-save scripts interval option
       is enabled). (Bug #60569, Bug #12617215)

     * The MySQL Workbench SE MySQL Bug Reporter linked to
       bugs.mysql.com instead of support.oracle.com. (Bug
       #60364, Bug #11872318)

     * MySQL Workbench would not connect to multiple database
       connections when the sql_history folder was too large. A
       workaround was to delete the sql_history folder. (Bug
       #59520, Bug #11766417)

     * The SQL Editor History could not be saved when the
       username contained Unicode characters. This was due to
       MySQL Workbench attempting to save files using an invalid
       file path. (Bug #59215, Bug #12403539)

     * Closing MySQL Workbench would not prompt to save SQL
       Editor scratch tabs. (Bug #58899, Bug #11765889)

     * The Management, Server Logs, Slow Query Log view resulted
       in an unhandled exception after the initial Newest button
       usage. (Bug #58810, Bug #11765808)

     * The Object Browser now automatically refreshes after an
       object is changed. (Bug #56704, Bug #11763930)

     * It was not possible to drop multiple selected tables or
       schemas. (Bug #55688, Bug #11763027)

     * Copy Insert to Clipboard now updates the MySQL Workbench
       status to say "The table schema.table has no records for
       insert statements" when no inserts are defined for the
       table. (Bug #54887, Bug #11762310)

Changes in MySQL Workbench 5.2.34 (2011-05-26)

   This section documents all changes and bug fixes applied
   since the release of 5.2.33.

   This release changed the version of Python version in MySQL
   Workbench to 2.7. However, this produces a problem when
   upgrading from 5.2.33. The reason is that the installer
   leaves all the compiled python files (*.pyc) in the
   installation folder. The next time MySQL Workbench loads, you
   cannot get beyond the splash screen.

   As a workaround, uninstall MySQL Workbench before you install
   5.2.34. (This will not do anything to your stored
   connections, starters, settings, and so forth.) Make sure
   that all compiled python files (*.pyc) have been removed from
   the installation folder after uninstallation is finished,
   before you install 5.2.34.

   This problem was first encountered on Windows using the MSI
   package, but might also affect the Zip package or even other
   platforms. In any case, remove the old files before
   installing 5.2.34.

   Functionality Added or Changed

     * Canceling a query used to work by dropping the
       connection. Now only the query itself is canceled. (Bug
       #12394153)

     * MySQL Workbench now writes the wb.log file in the
       .mysql/workbench directory rather than in ~ (your home
       directory). (Bug #60930, Bug #12548457)

     * The Check for updates... menu item that was removed
       several releases ago has been restored. (Bug #60488, Bug
       #11879029)

     * The User Accounts panel now updates when either switching
       MySQL Workbench tabs or selecting the new Refresh button.
       (Bug #59605, Bug #11766489)

     * On Windows, it is possible to open multiple models, but
       it was not clear that enabling this preference requires a
       MySQL Workbench restart. The check box tooltip now
       indicates this. (Bug #59400, Bug #11766312)

     * In diagram mode, display of triggers for tables was
       re-enabled. (Bug #57956, Bug #11765044)

     * A Check for Updates feature was added. (Bug #56612, Bug
       #11763846)

     * If a column value is too long to display, an ellipsis
       (...) is displayed at the end to indicate that there is
       more data. (Bug #55976, Bug #11763283)

     * If MySQL Workbench finds that .NET is not installed, it
       now provides a link for the user to get the .NET
       installer. (Bug #55145, Bug #11762538)

     * MySQL Workbench now shows query execution time and query
       warnings. (Bug #51199, Bug #11758933, Bug #58333, Bug
       #11765373)

     * The SQL Editor can now wrap long text lines. This is
       controllable per editor instance using its context menu.
       By default, line wrapping is off. (Bug #50569, Bug
       #11758372)

     * Toggle Page Guides is no longer available. (Bug #49927,
       Bug #11757824)

     * Added the ability to see differences of compared schema
       objects, when the database synchronization wizard is
       executed. (Bug #42844, Bug #11751838)

   Bugs Fixed

     * On Ubuntu Linux 11.04+, part of the main MySQL Workbench
       menu would be hidden when utilizing the Ubuntu Unity
       display handler. Therefore, the Unity style menus have
       been disabled. (Bug #61256, Bug #12581792)

     * File import operations failed with these errors:
Error executing task: 'module' object has no attribute
'STARTF_USESHOWWINDOW'
Error executing task local variable 'p1' referenced before
assignment

       (Bug #60982, Bug #12430815)

     * Executing an SQL script using the scripting shell is not
       supported, but attempts to do so resulted in a MySQL
       Workbench crash rather than an error. (Bug #60977, Bug
       #12402780)

     * MySQL Workbench could crash while applying an SQL script
       to a database. (Bug #60966, Bug #12608789)

     * Refreshing the Object Browser collapsed the browser tree.
       (Bug #60887, Bug #12366813)

     * Multiple USE statements to change databases in the SQL
       Editor caused MySQL Workbench to crash. (Bug #60856, Bug
       #12358480)

     * MySQL Workbench could not view the server logs if the
       server was configured with log output set to
       'TABLE,FILE'. (Bug #60853, Bug #12365454)

     * Some color schemes made options difficult to read. (Bug
       #60826, Bug #12368221)

     * In the Python workbench shell, files with a nonsupported
       execution generated a warning and could not be run. (Bug
       #60815, Bug #12561562)

     * Find did not work in Query tabs. (Bug #60787, Bug
       #12347063)

     * Changing connection parameters in Synchronize Model
       resulted in an error message. (Bug #60771, Bug #12329285)

     * For import and export command operations using a Unix
       socket file, MySQL Workbench added an incorrect --pipe
       option to the command. (Bug #60756, Bug #12325422)

     * Forward Engineer SQL Script wizard wrote incomplete
       output. (Bug #60751, Bug #12329302)

     * These query beautifier problems were corrected:

          + Queries containing table aliases were mishandled.

          + Spaces between table names and table aliases were
            incorrectly removed.
       (Bug #60742, Bug #11883490, Bug #12327013)

     * If a connection name contained a ':' character, it did
       not work. (Bug #60700, Bug #12325493)

     * When a schema was dropped in the Object Browser view
       using the context menu, the view was not refreshed
       properly. (Bug #60688, Bug #11933806)

     * New server instances were not always displayed in the
       Server Administration list. (Bug #60684, Bug #11933087)

     * MySQL Workbench crashed if it was unable to locate a
       required DLL due to security blocking. Now it displays
       instructions to the user how to perform unblocking. (Bug
       #60658, Bug #12545324)

     * On Linux, MySQL Workbench was overly aggressive about
       reading schema information from INFORMATION_SCHEMA,
       leading to slowdowns when connecting to the MySQL server.
       Now information is read only for the default schema. (Bug
       #60644, Bug #11926793)

     * Several crashes occurred under KDE with certain GTK+
       themes. (Bug #60640, Bug #11926917)

     * Fixed a possible crash when selecting File, Export,
       Forward Engineer SQL CREATE Script, and followed by the
       browse button. (Bug #60626, Bug #12617320)

     * MySQL Workbench did not assign a correct tab name when
       opening an SQL script from the recent file list menu.
       (Bug #60610, Bug #11926855)

     * Control+S did not save models or SQL Editor scripts. When
       opening an SQL script, it did not display the file name.
       (Bug #60594, Bug #12402774)

     * MySQL Workbench could crash trying to display result sets
       that contained binary data. (Bug #60588, Bug #12385959)

     * The SQL statement generated by clicking an item in the
       action pane failed to include the qualifying database
       name. (Bug #60562, Bug #11926864)

     * The Administrator panel would not load for large process
       ID values of the MySQL server. (Bug #60505, Bug
       #12397312)

     * MySQL Workbench crashed trying to execute some CREATE
       TABLE statements. (Bug #60475, Bug #12356405)

     * Clicking a user name to obtain details caused MySQL
       Workbench to crash if the name contained an apostrope.
       (Bug #60473, Bug #11889207)

     * Query results could not be saved to a directory for which
       the name contained Japanese characters. (Bug #60438)

     * Exporting query results after entering a file path name
       did not work. (Bug #60438, Bug #11868335)

     * MySQL Workbench tries to determine whether it can use
       Aero, but did not correctly check the platform. On
       Windows Server 2003, a call was made to a non-existing
       DLL, causing a .NET crash. (Bug #60412, Bug #11872360)

     * Multiple-selection copy did not work. (Bug #60410, Bug
       #11865601)

     * MySQL Workbench failed to compile on Gentoo Linux. (Bug
       #60358, Bug #12368202)

     * Stored procedures could not be opened from the objects
       tree if the SQL Delimiter had been changed to the ';'
       character. Now the label for this option in the
       Preferences dialog has been changed to Non Standard SQL
       Delimiter to better reflect its actual meaning. The
       tooltip has also been changed to be more descriptive. In
       addition, if an Alter <object>... operation fails due to
       a parse error, the retrieved DDL code is shown as is in
       the SQL editor. (Bug #60354, Bug #11889184)

     * Attempting to connect to a nonexistent server put MySQL
       Workbench in a nonresponsive state. (Bug #60329, Bug
       #11834154)

     * Record set export to a file failed unless the file name
       was given as an absolute path name. (Bug #60256, Bug
       #11874435)

     * Output from the routine editor added excessive blank
       lines between routine definitions. (Bug #60205, Bug
       #11874345)

     * When database connections had process IDs with large
       values, the connection tab displayed an error box rather
       than process information. (Bug #60192, Bug #12397794)

     * MySQL Workbench lost the connection to the server for
       long-running queries (more than 600 seconds). (Bug
       #60103, Bug #11766876)

     * MySQL Workbench sometimes looked for my.ini in the wrong
       directory. (Bug #60076, Bug #11766855)

     * Some MWB files created in MySQL Workbench 5.1 could not
       be loaded in 5.2. (Bug #59862, Bug #11766695)

     * Items from the SQL Editor history were not always
       available to be copied into the SQL script. (Bug #59807,
       Bug #11766651)

     * Exporting a record set to a file resulted in invalid
       INSERT statements if the table contained a column named
       key because the column name was not quoted properly. (Bug
       #59787, Bug #11766638)

     * It was not possible to import a dump if MySQL Workbench
       was installed in a directory having a name that contained
       spaces. (Bug #59737, Bug #11766595)

     * Control+Z in the Model Editor did not always refresh the
       screen correctly. (Bug #59661, Bug #11766531)

     * Selecting the Create Multiple Tables menu item resulted
       in an error. (Bug #59586, Bug #11766473)

     * Create EER Model from SQL Script reported a syntax error
       when importing legal SQL scripts. (Bug #59577, Bug
       #11766464)

     * A problem running MySQL Utilities under the KDE console
       was fixed. (Bug #59427, Bug #12430837)

     * After using the column headers of the User Accounts list
       to sort the accounts by User or From Host, then selecting
       various accounts in turn, the selected accounts often did
       not match the account being displayed in the
       corresponding Login, Administrative Roles, or Account
       Limits tabs. (Bug #59391, Bug #11766304)

     * Clicking the Manage Security link in the MySQL Workbench
       Home screen opened the Admin screen in the Startup tab
       rather than the Accounts tab and produced an error. (Bug
       #59389, Bug #11766302)

     * The description given in the Workbench Preferences dialog
       for the --safe-updates option was incorrect. (Bug #59370,
       Bug #11766289)

     * Connection sorting was lost after a status refresh. (Bug
       #59355, Bug #11766279)

     * MySQL Workbench displayed superfluous error messages
       after the user interrupted a query. (Bug #59323, Bug
       #11766255)

     * A SHOW WARNINGS query would return zero results, even
       when warnings existed. (Bug #59221, Bug #11766174)

     * The Users column in the Schema Privileges tab was not
       sortable. (Bug #59138, Bug #11766100)

     * On Windows, opening a second instance of MySQL Workbench
       resulted in an error. (Bug #59128, Bug #11766090)

     * When the user closed the main window with a connection
       active, MySQL Workbench did not terminate the connection.
       This lead to Aborted_clients errors on the server side.
       (Bug #58944, Bug #11765929)

     * Opening a connection twice resulted in unexpected errors
       when executing queries on the connection. (Bug #58835)

     * When the SQL statement history file became large enough,
       MySQL Workbench encountered allocation errors attempting
       to add to it. (Bug #58778, Bug #12409656)

     * When double-clicking tables in a model diagram, tabs were
       mismanaged such that the proper set of tabs did not
       remain available. (Bug #57349, Bug #11764509)

     * On Mac OS X, Option+Delete functioned as Undo rather than
       deleting the word to the left of the cursor. (Bug #57184,
       Bug #11764360)

     * A memory leak occurred during diagram manipulation. (Bug
       #55719, Bug #11763054)

     * Using the Description Editor to update a table
       description did not update the Comments column of the
       Model Overview window. (Bug #55235, Bug #11762621)

     * EER Diagram Catalog Tree schema folders did not stay
       collapsed when moving tables from a schema to the
       Diagram. (Bug #55088, Bug #11762487)

     * Actions that should open a web page did not work. (Bug
       #54827, Bug #11762254)

     * With a large table displayed in the SQL Editor object
       browser, keyboard shortcuts for the table information
       display were not working, and the information was not
       formatted properly. (Bug #54191, Bug #11761676)

     * On Mac OS X, two-finger scrolling did not work in query
       windows. (Bug #53678, Bug #11761211)

     * The TRIGGER privilege could not be assigned at the schema
       level. (Bug #52977, Bug #11760556)

     * It was not possible to view or edit long text lines with
       the inline editor. (Bug #52087, Bug #11759751)

     * After loading a model, zoom levels saved with bookmarks
       were not always used correctly. (Bug #50816, Bug
       #11758594)

     * The live schema tree did not update properly to reflect
       modifications to schema objects. (Bug #50424, Bug
       #11758248)

     * On Mac OS X, the Shift+Alt + Arrow combination selected
       individual characters instead of words. (Bug #50085, Bug
       #11757963)

     * On Windows, a packaging error for the Zip file
       distribution led to spurious GRT Shell warnings at MySQL
       Workbench startup. (Bug #49813, Bug #11757719)

     * For data browsing, the Fetch All option sometimes
       disappeared. (Bug #49403, Bug #11757365)

     * For SQL Editor tabs where the connection had no name,
       connection information was not shown. Now MySQL Workbench
       displays the host name (up to 21 characters). (Bug
       #49058, Bug #11757060)

     * Opening a connection from the list of recently used
       connections caused the user interface to become
       unresponsive while wanting for the connection to open.
       Now a "Connecting, please wait" message appears and there
       is a Cancel button to enable the connection request to be
       canceled. (Bug #48912, Bug #11756924)

     * Dragging tables from the catalog to an EER diagram
       failed. (Bug #47028, Bug #11755277)

Changes in MySQL Workbench 5.2.33b (2011-03-21)

   This section documents all changes and bug fixes applied
   since the release of 5.2.33.

   Bugs Fixed

     * Creating a relationship broke the model file due to the
       index and foreign key having the same name. (Bug #60564,
       Bug #11926856)

     * Attempting to open a saved model produced this error:
Error unserializing GRT Data.  Expected Type db.mysql.Column, but got
db.mysql.Table.

       (Bug #60369, Bug #11840427)

Changes in MySQL Workbench 5.2.33 (2011-03-11)

   This section documents all changes and bug fixes applied
   since the release of 5.2.32.

   Bugs Fixed

     * It was not possible to forward engineer a model, or
       synchronize it with a live model. (Bug #60396, Bug
       #11850052)

     * In the Administrator, when Manage Security was selected,
       an error message was displayed in the status bar. It was
       not then possible to see and therefore manage user
       privileges. (Bug #60370, Bug #11840439)

     * The ability to synchronize non-model sources was added.
       (Bug #60009, Bug #11766805)

     * The Reformat SQL Query option would sometimes fail, and
       emit an error. (Bug #58856, Bug #11765852)

     * The query beautifier failed for queries containing
       subqueries. (Bug #58835, Bug #11765832)

     * In the Users and Privileges task of the Administrator, it
       was not possible to sort the users alphabetically. (Bug
       #56456, Bug #11763710)

     * MySQL Workbench would incorrectly report that the MySQL
       server had stopped. (Bug #51146, Bug #11758886)

Changes in MySQL Workbench 5.2.32 (2011-03-05)

   This section documents all changes and bug fixes applied
   since the release of 5.2.31a.

   Functionality Added or Changed

     * Changing the default schema now modifies the selected
       schema name to be bold. (Bug #57710, Bug #11764836)

     * In the SQL Editor, in the event of a crash, the content
       and state of script tabs was lost if not previously
       saved. MySQL Workbench now autosaves the content and
       state of the SQL Editor. (Bug #57667, Bug #11764794)

     * MySQL Workbench has been improved so that an errors are
       more clearly identified if they occur when synchronizing
       with a live server, or forward engineering to a live
       server. (Bug #55158, Bug #11762551)

   Bugs Fixed

     * These query beautifier problems were corrected:

          + Aggregate function text was deleted.

          + In the SQL Editor, the beautifier did not process
            functions such as COUNT() or NOW() or correctly. It
            rendered the function with additional spaces,
            causing a syntax error.
       (Bug #60070, Bug #11766850, Bug #59450, Bug #11766354,
       Bug #58714, Bug #11765722)

     * On Microsoft Windows 7, if a user profile launched MySQL
       Workbench, it crashed if additional user profiles
       attempted to launch it. The first instance needed to be
       closed before another user profile was able to run MySQL
       Workbench. (Bug #59913, Bug #11766733)

     * MySQL Workbench crashed when closing the query results
       tab in the SQL Editor. (Bug #59774, Bug #11766626)

     * When deleting a recursive foreign key constraint, the
       primary key was also mistakenly deleted. (Bug #59668, Bug
       #11766538)

     * On the Home screen, right-clicking a connection and
       selecting Start Command Line Client produced this error:
Error calling
PyWbUtils.startCommandLineClientForConnection: see
output for details

output:
Message: Error executing plugin wb.tools.comdlineClient:
error calling wb.tools.cmdlineClient
Traceback:
File "C:\Program Files\MySQL\MySQL Workbench 5.2 CE\modules
\wb_utils_grt.py", line 96, in
startCommandLineClientForConnection

schema = conn.parameterValues["schema"].replace("\\",
  "\\\\").replace('"', '\\"')
AttributeError: 'NoneType' object has no attribute 'replace'

       (Bug #59638, Bug #11766510)

     * Attempting to create a new server instance resulted in
       this error message:
We are sorry for the inconvenience but an unexpected exception has
been raised by one of the MySQL Workbench modules. In order to fix
this issue we would kindly ask you to file a bug report. You can
do that by pressing the [Report Bug] button below.

       (Bug #59578, Bug #11766465)

     * In the EER Diagram view, clicking a table to edit its
       details sometimes resulted in this error:
Cannot access a disposed object.
Object name: 'DockedWindowPlugin'

       (Bug #59559, Bug #11766448)

     * In the EER Diagram view, MySQL Workbench crashed on
       selecting a new table. This happened if the Privileges
       tab was open for the currently selected table. (Bug
       #59535, Bug #11766431)

     * In the SQL Editor, if a '`' (grave accent) character was
       entered, any subsequently entered control keys such as
       the arrow keys or the backspace key failed to function
       correctly. (Bug #59528, Bug #11766425)

     * Running the version of mysqldump supplied with the MySQL
       Server package resulted in this error:
Operation failed with exitcode -1073741819

       (Bug #59411)

     * The collapsed state of Workbench Central, on the Home
       screen, was not saved between MySQL Workbench sessions.
       If after collapsing Workbench Central to save vertical
       space, the application was exited and restarted,
       Workbench Central was drawn in the expanded state. (Bug
       #59399)

     * Attempting to create a new user with MySQL Workbench
       failed with this error:
Unhandled exception: Error adding account accountName@%:

       (Bug #59000)

     * Generated scripts did not manage connection variables
       cleanly. For example, the autocommit state was not
       preserved by the script produced by forward engineering
       an SQL CREATE script. The script switched off autocommit,
       but did not then restore it correctly to its previous
       state. (Bug #58998, Bug #11765974)

     * On Windows, the Python debugger stopped the script being
       executed in MySQL Workbench after about one second. It
       then displayed the message "abort" in the output pane.
       (Bug #58960, Bug #11765943)

     * When a model was forward engineered, the primary keys
       were not created in the generated script. (Bug #58926,
       Bug #11765913)

     * SQL Editor did not load certain text files correctly, and
       inserted erroneous empty lines between text. (Bug #58850)

     * In the Administrator, when making a backup with the
       --single-transaction option enabled, the --lock-tables
       option was erroneously still enabled. (Bug #58562, Bug
       #11765579)

     * Trying to create a relationship between two tables,
       created in a plugin, produced this error:
MySQL Workbench has encountered a problem
Es wurde versucht, im geschützten Speicher zu lesen oder zu schreiben.
 Dies ist häufig
ein Hinweis darauf, dass anderer Speicher beschädigt ist.

       (Bug #58554, Bug #11765571)

     * When synchronizing a model with a server, indexes were
       unnecessarily dropped and recreated. (Bug #58238, Bug
       #11765284)

     * Forward engineering a model containing two schema
       resulted in a generated script that contained incorrect
       SQL:
DELIMITER ;USE `Schema2` ;

       The DELIMITER and USE statements should not have appeared
       on the same line. (Bug #58117, Bug #11765180)

     * When running MySQL Workbench with the arguments "-script
       [FILE.lua] -quit-when-done", it crashed with this
       message:
  [MySQL Workbench Unexpected Error]

  MySQL Workbench has encountered a problem

  Cannot access released / disposed object.
  Object name: "MainForm".

       (Bug #57570, Bug #11764708)

     * In the SQL Editor, switching between query tabs did not
       switch the associated results panel. (Bug #57486, Bug
       #11764628)

     * In the SQL Editor, when editing table data, this error
       dialog was displayed:
Either schema or table is not selected.

       Each time the dialog was acknowledged, it was
       subsequently redisplayed, preventing further progress.
       (Bug #57127, Bug #11764305)

     * In the Columns tab of the table editor, copying and
       pasting the Datatype field using Control+C and Control+V
       resulted in the text "table_copy1" being pasted, rather
       than the copied datatype. (Bug #56501, Bug #11763749)

     * When exporting a model, if the Skip Creation of FOREIGN
       KEYS option was selected, indexes were not created. (Bug
       #56389, Bug #11763649)

     * At startup, MySQL Workbench displayed a blank screen if
       it had previously been closed after using the menu item
       Help, System Info, and then clicking the main application
       window close button. (Bug #55764, Bug #11763097)

     * When forward engineering a model, the generated script
       resulted in SQL errors when executed on the server. This
       happened when the following options were selected:

          + DROP Objects Before Each CREATE Object

          + Omit Schema Qualifier in Object Names

          + Generate Separate CREATE INDEX Statements

          + Generate INSERT Statements for Tables
       (Bug #54836, Bug #11762262)

     * The generated alter script contained erroneous statements
       adding and deleting indexes and foreign keys. (Bug
       #54180, Bug #11761666)

     * The text in the SQL Editor was not anti-aliased, which
       hindered readability by causing the text to visually
       conflict with anti-aliased text elsewhere in MySQL
       Workbench. (Bug #54059, Bug #11761553)

     * On Microsoft Windows, if the Windows Firewall application
       was not running, installation of MySQL Workbench would
       halt with an error dialog indicating that it was unable
       to connect to the firewall. (Bug #53603, Bug #11761143)

     * Primary and foreign keys are now displayed with different
       icons. (Bug #53503, Bug #11761049)

     * Dropping a table from the Object Browser did not remove
       the table's icon. (Bug #52878, Bug #11760462)

     * There were numerous locations within MySQL Workbench
       where the availability of context-sensitive menus
       (right-clicking) was expected and useful, but not
       available. (Bug #49622, Bug #11757556)

     * Forward engineering a table containing a multiple-line
       comment resulted in this error:
ERROR 1105 (HY000) at line 97: Too long comment for table 'motd'

       (Bug #38597)

Changes in MySQL Workbench 5.2.31a (2010-12-13)

   This section documents all changes and bug fixes applied
   since the release of 5.2.31.

   Functionality Added or Changed

     * It was not possible to launch the MySQL Command Line
       Client from the SQL Editor. MySQL Workbench has been
       changed so that it is now possible to launch a MySQL
       Command Line Client from the Home screen. This can be
       done through the context-sensitive menu available for
       items listed in the connections list on the Home screen.
       (Bug #56631)

   Bugs Fixed

     * An unexpected error was generated when attempting to
       modify the script created in the Forward Engineer to
       Database wizard. (Bug #58893)

     * SQL Editor did not load certain text files correctly, and
       inserted erroneous empty lines between text. (Bug #58850)

     * MySQL Workbench closed silently when the User Defined
       Types Editor dialog was closed using the close button on
       the window frame, or by pressing Alt+F4. (Bug #58846)

     * Opening the Snippets tab in the SQL Editor caused MySQL
       Workbench to crash with the error:

** Message: query.explain built-in command is being overwritten
mysql-workbench-bin: /usr/include/boost/smart_ptr/shared_ptr.hpp:418:
T*
boost::shared_ptr< <template-parameter-1-1> >::operator->() const [wit
h T = Sql_editor]:
Assertion `px != 0' failed.
Aborted


       (Bug #58833)

Changes in MySQL Workbench 5.2.31 (2010-12-08)

   This section documents all changes and bug fixes applied
   since the release of 5.2.30.

   Functionality Added or Changed

     * Edit, Format, Un/Comment Selection was added. (Bug
       #55278, Bug #11762657)

     * The query execution time was added to the query result
       status bar. (Bug #53509, Bug #11761054)

     * MySQL Workbench has been changed so that holding the
       spacebar while in the EER Diagram view temporarily
       changes the cursor to the hand tool. When the spacebar is
       released the cursor reverts to the tool that was selected
       prior to the spacebar having been pressed. (Bug #52331)

   Bugs Fixed

     * MySQL Workbench would not detect invalid values while
       they were entered into the properties editor. (Bug
       #11749933)

     * Typing into the Workbench Scripting Shell resulted in an
       Unexpected Error:
MySQL Workbench has encountered a problem.

Attempted to read or write protected memory. This is often an indicati
on that other
memory is corrupt.

       (Bug #58832)

     * These query beautifier problems were corrected:

          + When the beautifier was used on a query that
            performed a join with the USING keyword, the table
            name was concatenated with that keyword.

          + The beautifier did not recognize the optional AS
            keyword in table references. When AS was used with a
            table alias, the beautifier concatenated that
            keyword and the alias, which caused any references
            to the original alias to fail.

          + Using the beautifier on a query containing USING
            resulted in an invalid query being generated. This
            was due to missing spaces around USING.

          + Using the beautifier on a query resulted in an
            unhandled exception.

          + If a query was partially selected, and then the
            beautifier was run, the results were unpredictable.
            Problems included exceptions, duplicated tokens, and
            incorrect indentation.

          + When the beautifier was run on code containing
            several statements, the code was incorrectly
            formatted.

          + A query containing a CASE keyword was not handled
            correctly.

          + The beautifier converted certain tokens to uppercase
            that should not have been converted.

          + When attempting to beautify a CREATE INDEX query,
            the beautifier removed part of the query.

          + If a query was written in the SQL Query tab, and
            then highlighted using the cursor, the beautifier
            failed with an unhandled exception on calls to
            beautify, uppercase, or lowercase functions.

          + Using the beautifier on a CREATE TABLE statement
            resulted in an unhandled exception.
       (Bug #58598, Bug #58569, Bug #58347, Bug #58565, Bug
       #58359, Bug #58367, Bug #58361, Bug #58360, Bug #58357,
       Bug #58358, Bug #58356)

     * In the Administrator, monitoring of a remote server did
       not work. (Bug #58586)

     * In the Administrator, starting or stopping the monitored
       server produced this error message:
Could not stop/start server: expected a character buffer object

       (Bug #58400)

     * When exporting a record set using the SQL INSERT
       statements file format, a number of issues were found:

          + The first line contained the executed SELECT
            statement as a comment but the LIMIT syntax was
            located in a new line. This resulted in the LIMIT
            part of the statement not being commented out.

          + Strings following the VALUES keyword were not
            quoted.

          + The INSERT statements contained the text "table" in
            place of the actual table name.

          + Existing files were overwritten without prompting
            the user.
       (Bug #58377, Bug #56950)

     * In the SQL Editor, selecting the default database where
       the server contained only a single database had no
       effect. To avoid a "No database selected" error, the
       database had to be selected in a script using the USE
       statement. (Bug #58274)

     * Autotools were required to be installed locally to build
       MySQL Workbench from source. (Bug #58263)

     * The MySQL Workbench tarball contained cached Autotools
       information. (Bug #58261)

     * In the SQL Editor, right-clicking a table name and
       selecting Alter table did not launch the Alter table
       dialog as expected. This happened if the table name
       utilized mixed case letters. (Bug #58223)

     * Results for queries on rows that contained a null byte
       (\0) were truncated at the null byte character when
       displayed in the SQL Editor results pane. (Bug #58099)

     * In the SQL Editor, when entering a hex value into an
       INTEGER column, the hex value was automatically quoted as
       a string, causing it to be evaluated to 0. (Bug #58045)

     * In the Server Access Management tab of the Administrator
       no user accounts were displayed. Further, attempting to
       create a new account resulted in an exception. (Bug
       #57941)

     * In the Reverse Engineer SQL Script wizard, on the Input
       and Options page, the button to select the SQL script
       file had the text "Brow" instead of "Browse". (Bug
       #57929)

     * The commands to arrange objects were not enabled in the
       EER Diagram view. This rendered it impossible to move
       objects to the back or bring them to the front. (Bug
       #57907)

     * When setting the data type of a column to DOUBLE with
       precision specified, the data type reverted to DOUBLE
       without the desired precision specifiers. This happened
       in both the Table Editor and the SQL Editor. (Bug #57865)

     * In the Columns tab of the Table Editor, double-clicking
       to edit or add a new column caused the window to scroll
       to the top. (Bug #57793)

     * An error message contained a spelling mistake:
Line 437 of .\backend\wbprivate\workbench\wb_context_ui_home.cpp:
std::string msg = strfmt("Error in sercurityManager module: %s",err.wh
at());

       (Bug #57684)

     * In the SQL Editor tab of the Workbench Preferences
       dialog, if the OK button was not clicked centrally, it
       was possible to accidentally select or deselect one of
       the options Treat BINARY/VARBINARY as nonbinary character
       string or Enable Data Changes Commit Wizard. (Bug #57669)

     * For a column of type TIMESTAMP, the menu items Default
       CURRENT_TIMESTAMP and Default CURRENT_TIMESTAMP ON UPDATE
       CURRENT_TIMESTAMP in the context-sensitive menu of the
       Columns tab of the Table Editor were grayed out. This
       occurred where a preceding column of type TIMESTAMP was
       allocated an explicit default value. MySQL Workbench
       should not have prevented setting a value using the
       context-sensitive menu for the second defined column in
       this case. (Bug #57665)

     * A script file that was converted to the cp850 character
       set was truncated on loading into the SQL Editor. (Bug
       #57636)

     * The forward engineering process generated SQL code that
       quoted boolean values, causing incorrect cast values.
       When a table contained the logical BOOLEAN type for a
       field it was converted to TINYINT(1) as expected.
       However, the values that were supplied for any inserts
       were quoted, as in this example:
INSERT INTO mytable (id,flag) VALUES (NULL,'TRUE');

       (Bug #57545)

     * The SQL Editor generated these errors if a query ran
       longer than 30 seconds:
Error Code: 2013  Lost connection to MySQL server during query
Error Code: 2006  MySQL server has gone away

       (Bug #57449)

     * Clicking the Configuration tab in the Administrator
       produced this error:
Error Opening Configuration File
Exception: Internal error. File data passed is not in expected format.
 This is a bug, we
would appreciate if you file a bug report at http://bugs.mysql.com.

       (Bug #57418)

     * ENUM values entered into the Inserts Editor were not
       automatically quoted. (Bug #57399)

     * On the Select Object page of the Reverse Engineer
       Database dialog, the panels displayed when Show Filter
       was clicked did not resize correctly when Hide Filter was
       clicked. (Bug #57376)

     * Forward engineering a model failed with a duplicate
       column name error when the EER diagram contained a view
       consisting of tables joined using the JOIN ... USING
       syntax. (Bug #57329)

     * In the Administrator, attempting to add an account with a
       login name longer than 16 characters resulted in an
       exception. (Bug #57300)

     * The MySQL configuration file could not be accessed during
       MySQL Workbench installation. (Bug #56987)

     * When the MySQL service was set to manual in MySQL
       Workbench, the service was displayed as running in the
       server status panel, even though the service had not yet
       been started. (Bug #56919)

     * When creating a new server instance, this error occurred
       when testing the settings:
Operation failed: File  doesn't exist

       (Bug #56911)

     * Find and Find and replace did not work in the SQL Query
       tab. (Bug #56898)

     * Backups dumped to a project folder (file per table) were
       restored in no particular order. This made it difficult
       to resume a problematic restore at a specific point. (Bug
       #56897)

     * Creating a many-to-many relationship between two tables
       resulted in only one index being generated. (Bug #56613)

     * MySQL Workbench crashed when a snippet in the snippet
       list was right-clicked. (Bug #56588)

     * When saving over a read-only file, MySQL Workbench
       changed the file permissions to read/write. (Bug #56403)

     * In the Role Editor, the "Drag object from the catalog
       tree to assign privileges" text label was out of date.
       The label should have read "Drag objects from Physical
       Schemata section to assign privileges". (Bug #56321)

     * If the Table Editor was resized, it returned to the
       default size when switching between tables to be edited.
       (Bug #56314)

     * After the computer woke from the sleep state, MySQL
       Workbench attempted to reconnect to a connection that had
       previously been closed in the SQL Editor. (Bug #56302)

     * In the Reverse Engineer Database wizard, the ability to
       select the default schema on the Connection Options page
       was superfluous. (Bug #56179)

     * In the Connections tab of the Administrator, scrolling
       did not work correctly with large numbers of connections.
       (Bug #56144)

     * When multiple tabs were open in the Administrator, with
       each connected to a different server, and with export of
       a database was set up in each, running an export
       operation resulted in errors. This occurred because MySQL
       Workbench attempted to export a database selected in a
       tab other than the currently selected one. (Bug #56113)

     * Deleting routine groups from the EER Diagram view did not
       delete routines. (Bug #56084)

     * If a MWB file was double-clicked to open, but MySQL
       Workbench was already running, a new instance of MySQL
       Workbench was launched, rather than opening the file in a
       new tab in the currently running instance. (Bug #56067)

     * In the SQL Editor, in the Foreign Key tab of the
       new-table dialog, it was not possible to select any of
       the foreign key check boxes. (Bug #56024)

     * When objects were double-clicked in the Diagram view, the
       correct tab was not always switched to in the Object
       Editor. The Description Editor did however switch to the
       correct object. (Bug #55994)

     * Close tab functionality failed intermittently. This
       occurred for attempts to close the tab directly or when
       using the File, Close tab menu item. (Bug #55901)

     * In the SQL Editor, an out of memory exception occurred
       when exporting a large record set in the CSV file format.
       (Bug #55889)

     * In the sidebar of the SQL Editor, when a default schema
       was selected, other schemas listed in the sidebar were
       not displayed. (Bug #55864)

     * In the Administrator, most columns were not sortable. For
       example, in the Connections tab, it was not possible to
       sort connections based on clicking the columns id, User,
       Host, DB, Command, Time, State, Info. (Bug #55813)

     * When an EER diagram that was in the background was
       closed, it was not possible to reopen it. (Bug #55767)

     * If the relationship editor was already open, it was not
       possible to open it for another relationship without
       closing it first. (Bug #55708)

     * The PYTHONPATH environment variable from other Python
       installations interfered with MySQL Workbench. At
       startup, the error "cannot open SSH Tunnel Manager"
       appeared. Further, it was not possible to use the MySQL
       Workbench administrative functions. (Bug #55674)

     * In the Column tab of the Table Editor, it was possible to
       set NULL as the default value for a column that had been
       specified as NOT NULL. (Bug #55456)

     * In the SQL Editor, it was not possible to create a
       foreign key relationship between two tables. (Bug #55399)

     * In the Table Editor, if a data type was selected for a
       column, this was immediately reflected on the EER Diagram
       view. However, if the selection was reverted by pressing
       Control+Z, the EER Diagram was not updated to reflect
       this, and continued to display the original data type.
       (Bug #55348)

     * In the EER Diagram view, a copied object could not be
       pasted, if the object had previously been pasted and then
       edited. (Bug #55336)

     * In the User Defined Data Types Editor, clicking the
       button to edit the argument list caused the Argument List
       Editor dialog to be drawn beneath the current dialog. As
       the dialog with focus could not be accessed, this meant
       it was not possible to proceed with editing and MySQL
       Workbench had to be closed. (Bug #55242)

     * The Modified time displayed in the Model Overview was
       incorrectly set to the current time. (Bug #55237)

     * Selecting a Refresh or Refresh all button or menu item
       caused the list of tables and views in the sidebar to
       become empty. (Bug #55214)

     * In the Configuration tab of the Administrator it was not
       possible to enable or disable the local_infile (LOAD DATA
       LOCAL) option. (Bug #55031)

     * It was not possible to select and copy messages in the
       Output window of MySQL Workbench. When messages were
       displayed it was no longer possible to right-click them
       and select either the Copy Selected Messages to Clipboard
       or the Clear Output Windows menu items. (Bug #54983)

     * In the Model Overview, if a diagram had a title that
       wrapped to two lines or more, the second line was
       truncated due to lack of space in the panel. Now MySQL
       Workbench includes a scrollbar should the diagram titles
       not fit within the standard panel. (Bug #54952)

     * Generated INSERT statements did not include quote
       characters for TEXT or DATE columns. (Bug #54910)

     * In the SQL Editor, when viewing table data where the
       number of columns was such that some columns were
       offscreen, if the End key was pressed to go to the last
       column in the row, the data grid did not scroll
       accordingly, so the column containing the cursor was not
       visible without manually scrolling. (Bug #54753)

     * In the Diagram view switching between tables caused
       erroneous carriage returns to be added to the DDL code in
       the Triggers tab. (Bug #54411)

     * The error message displayed when the mysqldump version
       needed updating was not informative enough. (Bug #54209)

     * In the Administrator, system health displayed NO DATA.
       (Bug #52151)

     * Formatting of view code entered in the View Editor was
       not retained after synchronization of the model with the
       server. (Bug #52004)

     * It was not possible to add a comment for a Layer using
       the Object Editor. MySQL Workbench has been updated so
       that it is possible to add a comment for a layer using
       the Object Editor. (Bug #50668)

     * When using the Administrator, the CPU utilization jumped
       to 50%. (Bug #50578)

     * After printing, the status message displayed included
       incorrect capitalization. "Print Diagram done" should
       have been displayed as "Print diagram done". (Bug #50035)

     * The schema editor decreased in size by several pixels
       each time a new schema was edited. (Bug #49425)

     * The SQL Editor did not display the execution times for
       queries. (Bug #49390)

     * MySQL Workbench permitted an AUTO_INCREMENT column to be
       assigned a default value in the Table Editor, resulting
       in invalid DDL being generated. (Bug #49279)

     * The menu option View, Windows, menu item did not appear
       to have any useful function. (Bug #49056)

Changes in MySQL Workbench 5.2.30 (2010-11-20)

   This section documents all changes and bug fixes applied
   since the release of 5.2.29.

   Functionality Added or Changed

     * An advanced search and replace dialog has been added to
       MySQL Workbench. This can be accessed from the main menu
       Edit option, Find and replace or the keyboard shortcut
       Control+Shift+f. (Bug #56629)

     * MySQL Workbench has been changed so that the Query Editor
       in the SQL editor includes an SQL formatter. Code can be
       highlighted and formatted using the Edit, Format menu
       item. (Bug #50822)

   Bugs Fixed

     * The default settings for the Export Directory Path in the
       Workbench Preferences dialog used mixed file path
       delimiters (both '/' and '\'). (Bug #57944)

     * When importing an SQL script using the Reverse Engineer
       SQL Script wizard, copying a path from the clipboard to
       the Select SQL script file input box resulted in an
       "invalid path" error. (Bug #57927)

     * For attempts to connect to a server using SSH, MySQL
       Workbench produced this error message after the user
       entered the password:
AttributeError: ServerProfile instance has no attribute 'serverInfo'

       (Bug #57695)

     * The implementation of get_local_ip_list() had several
       problems:

          + It did not have a graceful fallback state in the
            event of errors.

          + It failed if ifconfig was not on the default user
            path.

          + It did not handle IPv6 addresses.
       (Bug #57537)

     * When a foreign key was created manually, if the
       referenced table did not exist, MySQL Workbench crashed.
       (Bug #57470)

     * In the EER diagram view, the table titles were the same
       color as the background color, making the table titles
       illegible. (Bug #57428)

     * After a query was executed, MySQL Workbench crashed when
       the Export button was clicked to export the result set to
       a file. (Bug #57379)

     * When a model was forward engineered with File, Export,
       Forward Engineer SQL CREATE Script, the generated script
       contained a statement that consisted of a single
       delimiter, ';'. (Bug #57378)

     * In the SQL Editor, it was not possible to close the last
       remaining tab. Closing the last remaining tab should
       result in a new blank tab being displayed. (Bug #57137)

     * If the SSL option was selected for a standard TCP/IP
       connection, there was no facility provided to enter the
       SSL certificate details. (Bug #57101)

     * On Linux Fedora 14, MySQL Workbench produced this error
       at startup:
/usr/bin/mysql-workbench-bin: error while loading shared libraries: li
bpython2.6.so.1.0:
cannot open shared object file: No such file or directory

       (Bug #56863)

     * It was not possible to change the name of an EER Diagram.
       The facility was missing from the Diagram Properties and
       Size dialog. (Bug #56625)

     * The safe updates option on the SQL Editor tab of the
       Preferences dialog required a MySQL Workbench restart to
       take effect. (Bug #56159)

     * In the Table Editor of the SQL Editor, on the Foreign
       Keys tab, selecting the Referenced Table dropdown for a
       database containing a large number of tables caused MySQL
       Workbench to become unresponsive while the dropdown was
       being populated. (Bug #56014)

     * In the Create Table dialog of the SQL Editor, if a new
       column was created with a synonym data type such as
       INTEGER, the datatype would appear blank, both in the
       interface and in the generated SQL. This resulted in an
       error when clicking the Apply SQL button. (Bug #55620)

     * Foreign keys were not updated when a referenced column
       was deleted. (Bug #55219)

     * The output generated as a result of using the Print and
       Print Preview menu items was incorrect. Only the
       magnified top left corner of the EER diagram was
       displayed. (Bug #55139)

     * In the Alter Table dialog of the SQL Editor, attempts to
       reorder columns failed. If a column position was changed,
       and then the Apply button was clicked, the dialog
       reported that no changes to the object were detected.
       (Bug #54923)

     * When a new instance was created to connect using SSH with
       an SSH certificate file, the location of the certificate
       file was not saved. (Bug #52048)

     * In SQL Editor, when using the Alter Table facility to set
       a column to Auto Increment (AI), the dialog reported that
       "No changes to object were detected". (Bug #50214)

Changes in MySQL Workbench 5.2.29 (2010-10-12)

   This section documents all changes and bug fixes applied
   since the release of 5.2.28.

   Functionality Added or Changed

     * An open model that has not been saved is now
       automatically saved after a user-settable period. On
       loading a model file, MySQL Workbench will notify the
       user if the file was not previously saved correctly, due
       to a crash or power failure. MySQL Workbench can then
       attempt to recover the last auto-saved version. Note that
       for automatic recovery to be available for a new file, it
       will have to have been saved by the user at least once.
       (Bug #56718)

     * The Autosave feature was added. (Bug #50044, Bug
       #11757926)

   Bugs Fixed

     * Security Fix: A security bug was fixed. (Bug #57080)

     * Clicking the Inserts tab of the Table Editor resulted in
       the MySQL Workbench Unexpected Error dialog being
       displayed. (Bug #57346)

     * If an EER diagram was created and then closed, attempting
       to reopen it caused MySQL Workbench to display an
       unexpected error dialog. (Bug #57259)

     * In the Model View, MySQL Workbench crashed when the
       Output tab was reopened after previously being closed.
       (Bug #57150)

     * Attempting to open the Table Editor in the SQL Editor
       multiple times for a table that contained no primary key
       caused MySQL Workbench to crash. (Bug #57139)

     * Changes made to a server instance were not saved. In
       particular, changing installation type to "Custom" was
       not saved, and changes to the sudo command were also not
       saved. (Bug #57026)

     * When attempting to open an EER Diagram by double-clicking
       it in the Model Overview, MySQL Workbench generated this
       unexpected error:
Cannot access a disposed object.
Object Name: ModelDiagramForm.

       (Bug #56963)

     * When synchronizing a model to a live database, if a
       database was deselected in the wizard, a DROP statement
       for that database was generated in the SQL code to
       prevent it from being part of the synchronization
       process. This caused that database to be dropped from the
       live database, with corresponding loss of all data. (Bug
       #56938)

     * In the Alter Table dialog of the SQL Editor, attempting
       to create a new index in the Index tab was not actioned
       when the Apply button was clicked. The dialog reported
       that "no changes to object were detected". (Bug #56906)

     * It was only possible to connect to a MySQL server for
       administration using an SSH connection. (Bug #56874)

     * Scripts could successfully be executed on the MySQL
       Server failed to execute in the MySQL Workbench SQL
       Editor. (Bug #56833)

     * If a table containing a User Defined Type based on
       VARCHAR was forward engineered, the resulting SQL did not
       correctly quote the VARCHAR value, resulting in a server
       error. For example, this code was generated:
CREATE  TABLE IF NOT EXISTS `x`.`tabley` (`customstring` VARCHAR(10));
INSERT INTO `x`.`tabley` (`id_customstring`) VALUES (example);

       The correct INSERT statement should be:
INSERT INTO `x`.`tabley` (`id_customstring`) VALUES ('example');

       (Bug #56710)

     * In the Administrator, clicking the Data Dump tab
       generated the error Error updating DB: float division and
       schemata were not displayed. (Bug #56658)

     * In the SQL Editor, if some table data was edited, and
       then the connection to the server was lost, clicking the
       Apply changes to data toolbar button caused MySQL
       Workbench to crash.
       Now MySQL Workbench shows an error message in the Output
       tab when a connection is lost. Once the connection is
       back up, clicking Apply changes to data re-establishes
       the connection and sends the changes to the server. (Bug
       #56170)

     * Screen areas in the Administrator did not redraw
       correctly. It was necessary to move the main window to
       force a redraw. (Bug #55490)

     * Folding of iteration statement blocks, such as WHILE,
       REPEAT, and LOOP, did not work correctly in the SQL
       Editor. The loop end constructs such as END WHILE, END
       REPEAT, and END LOOP were not recognized as expected.
       (Bug #55358)

     * If a foreign key was set to RESTRICT for On Delete and On
       Update on the Foreign Keys tab of the Table Editor, MySQL
       Workbench generated SQL code to drop and add this key on
       every subsequent synchronization attempt. (Bug #55155)

Changes in MySQL Workbench 5.2.28 (2010-09-19)

   This section documents all changes and bug fixes applied
   since the release of 5.2.27.

   Functionality Added or Changed

     * Added the ability to copy column names from result sets
       to the clipboard. (Bug #53000, Bug #11760578)

     * The SQL Editor now displays the number of rows matched
       after a query. (Bug #48772)

     * The following command line options have been added to
       MySQL Workbench:

          + --admin instance: Launch MySQL Workbench and load
            the specified server instance

          + --query connection: Launch MySQL Workbench and load
            the specified connection

          + --model modelfile: Launch MySQL Workbench and load
            the specified model

          + --script script: Launch MySQL Workbench and run the
            specified script

          + --run code: Launch MySQL Workbench and run the
            specified code snippet

          + --quit-when-done: Quit MySQL Workbench after
            --script or --run finishes
       (Bug #46340)

   Bugs Fixed

     * Importing an exported file from a network share resulted
       in this error due to incorrect escaping of the path:

08:44:00 Restoring \\server\d$\file.sql

Running: mysql.exe --defaults-extra-file="c:\...\tmp3oc8ig"   --host=l
ocalhost
--user=root --port=3306 --default-character-set=utf8 --comments <
"\\\\server\\d\$\\file.sql"

The specified path is invalid.


       (Bug #56735)

     * In the SQL Editor, a crash occurred if User Snippets was
       selected after another snippet collection had been
       selected, and then the Replace active SQL Editor contents
       with selected snippet button was clicked. (Bug #56626)

     * Running a TRUNCATE statement in the SQL editor with safe
       updates enabled resulted in this error:
Error Code: 1175
You are using safe update mode and you tried to update a table without
 a WHERE that uses
a KEY column

       (Bug #56597)

     * In the Accounts tab of the Administrator, an Unexpected
       Error occurred if a foreign character was used in the
       Login Name field of the Server Access Management tab. The
       same bug also affected the Schema Privileges tab. (Bug
       #56534)

     * The Table tab of the Table Editor contained a typo in the
       description for the Name field. Replaced was spelled as
       "raplaced". (Bug #56518)

     * Attempts to define a foreign key for a table with a
       composite primary key caused MySQL Workbench to crash.
       This happened while trying to select the fields of the
       composite primary key to be associated with the
       referenced columns. (Bug #56496)

     * If a foreign key was about to be renamed, and the
       corresponding text field had focus, MySQL Workbench
       crashed if the model was then closed. (Bug #56315)

     * In the SQL Editor, a statement containing CREATE DATABASE
       resulted in an unexpected error. (Bug #56295)

     * The mydb database was created by default when reverse
       engineering from an existing database or script. (Bug
       #56183)

     * If an SQL script containing international characters was
       saved in the SQL Editor and then restored, the last
       character in the restored file was missing. (Bug #56083)

     * In MySQL Workbench list controls, when an item was
       selected and another item right-clicked, the
       context-sensitive menu displayed options related to the
       first list item selected, rather than the current list
       item being right-clicked, and any action selected was
       carried out on the first item. (Bug #56077)

     * The Workbench Scripting Shell dialog could be increased
       in size, but not subsequently reduced in size. (Bug
       #56049)

     * There were two problems in the new_table dialog of the
       SQL Editor:

          + When Apply was clicked, in the Apply SQL Script to
            Database dialog, if Apply SQL was clicked, the SQL
            would be applied without error. However, if the Back
            button was clicked and the Apply SQL button clicked
            again, an error would be generated. If this process
            was repeated, each time a slightly different error
            would be added to the list of errors displayed.

          + The Cancel and Finish buttons appeared to have the
            same functionality, and simply returned the user to
            the new_table dialog.
       (Bug #56000)

     * If a model contained two schemata, and an attempt was
       made to forward engineer only one of the schemata by use
       of the object filters, data loss could result. This
       happened because a DROP statement was generated for both
       schemata in the model, rather than just the one being
       forward engineered. (Bug #55918)

     * When OpenGL rendering was selected, the EER Diagram area
       was not redrawn due to faulty OpenGL drivers. The
       workaround was to launch MySQL Workbench using the
       -swrendering command line option. Now MySQL Workbench
       includes an option to select software rendering in the
       Workbench Preferences dialog. (Bug #55863)

     * In the View Editor, if the name of a view was changed in
       the code editor to the name of a pre-existing view of
       that name, the contents of the pre-existing view were
       replaced by the contents of the new view, even though the
       new view was created with a different name. (Bug #55661)

     * MySQL Workbench application failed to start on Mac OS X.
       (Bug #55412)

     * MySQL Workbench exhibited a variety of crashes if, in the
       Model View, EER diagrams were repeatedly created and
       deleted. MySQL Workbench also crashed if all objects in
       the diagram were copied and pasted to the same diagram
       several times, and then the diagram was deleted.
       Unexpected errors generated included:

          + Object is currently in use elsewhere

          + Index is outside the bounds of the array

          + Index must be within the bounds of the List
       (Bug #55304)

     * A plugin that used Mforms generated this error at MySQL
       Workbench startup:
..... line 16, in <module>
import mforms
ImportError: No module named mforms

       (Bug #55243)

     * If the MySQL server configuration file was modified using
       the Administrator to deactivate InnoDB, the MySQL server
       failed to restart, and generated this error in the log:
[ERROR] C:\Program Files\MySQL\MySQL Server 5.1\bin\mysqld: Error whil
e
setting value 'FALSE' to 'innodb'

       (Bug #55029)

     * It was no longer possible to rename a schema by
       double-clicking the schema tab in the Physical Schemata
       section of the Model View. (Bug #55010)

     * If a view was created with correct syntax for an existing
       schema, and then Model menu, Validate (SQL) was selected,
       and either Validate All or Check Syntax was selected,
       this error message was generated in the Output window:
Syntax error in view 'view_name'. View code is 'CREATE VIEW ...'

       (Bug #54969)

     * On Microsoft Windows, MySQL Workbench crashed if the
       Trebuchet MS font was missing or corrupted. Now MySQL
       Workbench falls back to a secondary font if the Trebuchet
       MS font is missing or corrupted. (Bug #54953)

     * If all objects were selected in the model view, and then
       the Edit Selected menu item was selected, MySQL Workbench
       generated an unexpected error. (Bug #54695)

     * Added MySQL Server 5.5 support. (Bug #51365, Bug
       #11759082)

     * On Microsoft Windows, when saving a MySQL configuration
       file from within the Administrator, Windows displayed the
       UAC dialog twice. MySQL Workbench has been changed so
       that Windows now only displays the UAC dialog once. (Bug
       #49674)

Changes in MySQL Workbench 5.2.27 (2010-09-01)

   This section documents all changes and bug fixes applied
   since the release of 5.2.26.

   Functionality Added or Changed

     * Several changes were made to the Synchronize Model With
       Database wizard:

          + The wizard shows all schemata in a model, regardless
            of whether they exist in the live database.

          + The wizard shows a list of schemata that exist in
            the model but are missing from the live server, with
            a note recommending the use of the Forward
            Engineering wizard.

          + The wizard does not auto-select schemata names that
            are in the model but not in the live database.
       (Bug #54748)

   Bugs Fixed

     * Attempts to restore a backup of selected tables resulted
       in this error:
File "C:\Program Files\MySQL\MySQL Workbench 5.2 CE\modules\wb_admin_e
xport.py", line
841, in start

    logmsg = "Restoring %s (%s)" % (schema, table)

NameError: global name 'schema' is not defined

       (Bug #56020)

     * Forward engineering a model to a live database caused
       MySQL Workbench to crash. (Bug #56009)

     * The Dump tab did not display the target folder before the
       dump was performed. (Bug #55945)

     * MySQL Workbench crashed in the foreign key editor. The
       Microsoft Visual C++ Runtime Library runtime error
       generated prior to the crash was:
R6025

- pure virtual function call

       (Bug #55910)

     * If the sidebar was placed on the right hand side, using
       the option in Workbench Preferences, this Unexpected
       Error was generated when Add Diagram was double-clicked:
SplitterDistance value is invalid (-52)

       (Bug #55902)

     * In the SQL Editor, executing statements designed for
       MySQL Server 5.5 generated syntax or syntax highlighting
       errors. (Bug #55867, Bug #55891)

     * After dropping a schema from the list in the Object
       Browser, the schema that was dropped remained, but with
       the name of the schema that followed it. Refreshing the
       list of available schemata produced an unhandled
       exception:
An unhandled exception has occurred:
Invalid node index

       (Bug #55861)

     * Selecting "Dump views" for a backup produced this error:
Unhandled exception: global name 'views_by_schema' is not defined

       It was necessary to restart the Administrator to enable
       the dump facility again. (Bug #55833)

     * In the SQL Editor, right-clicking a routine name in the
       Object Browser caused MySQL Workbench to exit
       unexpectedly. (Bug #55822)

     * MySQL Workbench crashed when using the Partitioning tab
       of the Table Editor. (Bug #55761)

     * If a table was copied in the EER Diagram view, and then
       the model was synchronized with the live database, the
       synchronize functionality did not recognize the copied
       table as a new table and overwrote the original table.
       (Bug #55566)

     * MySQL Workbench crashed when using the Export recordset
       to an external file command button on the result pane of
       the SQL Editor. (Bug #55554)

     * Renaming a column with a foreign key resulted in an
       invalid script being generated on forward engineering or
       synchronization with a live database. (Bug #55502)

     * The second attempt to save a read-only model file
       produced this error:
Couldn't backup existing file name-of-the-file.mwb: No such file or di
rectory

       (Bug #55439)

     * When a table was being edited in the Table Editor, and
       its name was changed, the name change was not reflected
       on the Table Editor's table tab. (Bug #55338)

     * It was not possible to add the LOCK TABLES privilege when
       assigning a new role in the Model Overview because that
       privilege was missing from the available options. (Bug
       #55186)

     * The schema collation was not saved after being changed in
       the Table Editor. (Bug #55152)

     * When an attempt was made to synchronize a model with a
       live database, no schemata were listed as available in
       the Synchronize Model with Database wizard. This happened
       when the name of the schema in the model and the schema
       on the live server differed only in lettercase. (Bug
       #55147)

     * When using MySQL Workbench to report a bug, it was not
       possible to attach a file using the Choose File button
       because the button had no effect. (Bug #55112)

     * Dumping tables or schemata without the LOCK TABLE
       privilege produced this error:
mysqldump: Got error: 1044: Access denied for user 'wwroot'@'%' to dat
abase db' when
doing LOCK TABLES

       (Bug #55019)

     * Selecting Validate (SQL) from the Model menu and then
       selecting the Validate All option reported no errors.
       Selecting Forward Engineer from the Database menu and
       selecting Run Validations also reported no errors.
       However, executing the SQL script resulted in this error:
ERROR: Error 1005: Can't create table 'xxx' (errno:150)

       (Bug #54985)

     * Selecting the Check Duplicated Identifiers (Additions)
       operation from the Validation (SQL) submenu of the Model
       menu produced this error message:
Type mismatch: expected object of type db.Schema, but got workbench.ph
ysical.Model

       (Bug #54968)

     * When using the Edit Table Data wizard (launched from Home
       screen), if a database with a single table was connected
       to, after selecting the table, the Finish button remained
       grayed out. (Bug #54942)

     * At startup, these warnings were generated in the
       Workbench Scripting Shell:
Starting Workbench...Registered 147 GRT classes.
WARNING: Could not load wb.mysql.validation.grt.dylib: Invalid module
/Applications/MySQLWorkbench.app/Contents/PlugIns/wb.mysql.validation.
grt.dylib

WARNING: Could not load wb.validation.grt.dylib: Invalid module
/Applications/MySQLWorkbench.app/Contents/PlugIns/wb.validation.grt.dy
lib

       (Bug #54929)

     * When an attempt was made to synchronize a modified
       exported script with the current model, using File,
       Export, Synchronize with SQL Create Script, the model was
       not updated. (Bug #54501)

     * When the Alter Table dialog for an InnoDB table was
       displayed in an SQL Editor session, the Foreign Key
       Options Index showed INVALID when a foreign key in the
       Foreign Keys tab was clicked. (Bug #54471)

     * MySQL Workbench caused Windows XP to reboot if launched
       from Start, Programs, MySQL, MySQL WorkBench 5.2 OSS.
       If a MySQL Workbench model file (.mwb) was opened
       directly, an error dialog titled Microsoft Visual C++
       Runtime Library was displayed with the message:
R6034
An application has made an attempt to load the C runtime library incor
rectly. Please
contact the application's support team for more information.

       The dialog's only option was OK. After clicking OK, two
       more instances of the same dialog were displayed. After
       clicking OK for all three, MySQL Workbench opened with
       the model file displayed.
       On Windows 7 x64, the same runtime error (R6034)
       occurred. (Bug #52949)

     * Opening an SQL Editor connection for a remote server
       produced this error:
OverviewBE::get_node:invalid node 0.0.0.

       (Bug #52648)

Changes in MySQL Workbench 5.2.26 (2010-08-06)

   This section documents all changes and bug fixes applied
   since the release of 5.2.25.

   Functionality Added or Changed

     * When using the MySQL Workbench table properties to add a
       foreign key, the size of a new foreign key field will now
       update to match the size of the corresponding primary
       key. (Bug #55083, Bug #11762482)

     * Added the default value of CURRENT_TIMESTAMP ON UPDATE
       CURRENT_TIMESTAMP to context menu of column editor for
       TIMESTAMP columns. (Bug #54987)

     * A validation module (a SE feature only) has been added.
       It sends an alert if foreign keys are being used in or to
       a partitioned table. Note: partitioned tables do not
       support foreign keys. (Bug #44273, Bug #11752933)

   Bugs Fixed

     * On the Home screen, the saved connections previously
       listed in the Workspace were no longer visible. (Bug
       #55484)

     * When a model was synchronized with a live database,
       CHAR(N) columns were always synchronized as CHAR(1). (Bug
       #55334)

     * Importing a DBDesigner model caused MySQL Workbench to
       crash. (Bug #55300)

     * In the Synchronize Model with Database wizard, the list
       of schemata was not drawn correctly on the Select
       Schemata page, if Back was clicked from the Fetch Object
       Info page. (Bug #55174)

     * Complex queries with multiple newlines did not fit well
       in the Action column of the Output tab of the SQL Editor.
       This prevented any query error messages from being read.
       (Bug #55117)

     * In the Reverse Engineer Database wizard, using a pattern
       mask to filter tables being imported caused a subsequent
       MySQL Workbench crash. (Bug #55076)

     * In the Administrator, if the MySQL server configuration
       file was modified to enable skip-innodb, and the server
       was restarted, InnoDB was still active. (Bug #55030)

     * On the Snippets tab, the tooltip for the Insert selected
       snippet to cursor position in the active SQL editor
       button contained the misspelling "selected". (Bug #55026)

     * The Configuration section of the MySQL Workbench
       Administrator did not copy configuration variables from
       the my.cnf file that contained an underscore character.
       (Bug #54933)

     * MySQL Workbench crashed if minimized while loading a
       model. (Bug #54918)

     * In the Overview tab of the SQL Editor, if there was a
       large number of schemata, using the arrow buttons in the
       interface to scroll through them caused MySQL Workbench
       to crash, usually on the last schema in the list. (Bug
       #54891)

     * When using the SQL Editor and issuing a query containing
       SQL_CALC_FOUND_ROWS and a subsequent FOUND_ROWS() query,
       FOUND_ROWS() returned zero instead of the number of
       matching rows without a LIMIT applied. (Bug #54868)

     * MySQL Workbench would not compile on RHEL 5. This was due
       to the calls to the function set_opacity in
       library/form/gtk/src/lf_utilities.cpp (line 661) and
       library/forms/gtk/src/lf_popup.cpp (line 64). The
       set_opacity function was not available in GTK 2.10. (Bug
       #54844)

     * Multi-statement syntax did not work in the SQL Editor. If
       the delimiter was set to a character other than the
       default semicolon, the SQL Editor should still have
       recognized semicolon as a valid delimiter for
       multi-statements, but it did not. (Bug #54831)

     * In the SQL Editor, if a column's comment contained a
       Chinese word, then in the Object Browser, if the
       context-sensitive menu item Send to SQL Editor, Create
       Statement was selected, incomplete script code was sent
       to the SQL Query tab. (Bug #54822)

     * When a model was forward engineered to a database, insert
       statements associated with binary data were not present
       in the generated code. As a result, binary data was not
       forwarded to the database. (Bug #54680)

     * In an EER Diagram, the circles at each end of a
       relationship line were drawn in different sizes. (Bug
       #54663)

     * When forward engineering an SQL ALTER script, the
       generated code attempted to recreate all foreign keys.
       (Bug #54363)

     * In forward engineering a model to a database, the PRIMARY
       index was not reordered correctly when columns were
       reordered. (Bug #54176)

     * When using su -user instead of sudo, rather than
       requesting the password of the user for invoking the su
       command, MySQL Workbench requested the root password and
       attempted to invoke the sudo command. (Bug #53740)

     * When zooming in and out of the EER Diagram view, MySQL
       Workbench generated an unknown error. (Bug #52829, Bug
       #55390)

     * When connecting to a server, MySQL Workbench prompted for
       a password, even if one had not been set for that
       account. (Bug #52826)

     * After creating a server instance and double-clicking it
       on the Home screen, the Administrator took an excessively
       long time to load (over 10 minutes). (Bug #52530)

     * MySQL Workbench crashed when executing LOAD DATA LOCAL
       INFILE as a query in the SQL Editor. (Bug #49694)

     * If the Start Server button was clicked twice in MySQL
       Workbench, the server would stop. (Bug #49588)

     * In the list view of the physical schemata, clicking a
       list column heading failed to sort the items by that
       column. (Bug #38863)

Changes in MySQL Workbench 5.2.25 (2010-06-30, General
Availability)

   First GA 5.2 release. This section documents all changes and
   bug fixes applied since the release of 5.2.24.

   Functionality Added or Changed

     * MySQL Workbench now prompts the user for a password for
       attempts to connect using a "TCP over SSH" connection
       type, if a password was not previously provided during
       configuration of the connection. (Bug #47892)

   Bugs Fixed

     * Compiling MySQL Workbench from source failed with this
       error while building library/grt/src/grtpp_grt.cpp:
Could not find file cairo_features.h
(included from cairo.h, which is included from
library/base/src/string_utilities.h, which is included in grtpp_grt.cp
p)

       (Bug #54833)

     * On exit, MySQL Workbench prompted the user to save
       changes for every query tab that had been opened in the
       SQL Editor, even where a table had simply been viewed,
       and no script code had been written by the user. (Bug
       #54754)

     * When synchronizing a model with the live database, the
       generated SQL included erroneous DROP COLUMN and ADD
       COLUMN operations, and also erroneous ADD INDEX and DROP
       INDEX operations. (Bug #54740)

     * Inserts data did not appear to be preserved between MySQL
       Workbench versions.
       A model was created with MySQL Workbench 5.1.18 and data
       inserted using the Insert tab. If the model was then
       saved and loaded into MySQL Workbench 5.2.22, and the
       model forward engineered to an SQL script, the generated
       script contained INSERT statements that inserted NULL
       instead of the data originally entered. (Bug #54639)

     * In the Create Routine dialog of the SQL Editor, the text
       label associated with the Name textbox mentioned "view",
       rather than "routine". (Bug #54566)

     * Minimizing MySQL Workbench after a connection with a
       server was established produced this error:
SplitterDistance must be between Panel1MinSize and (Width - Panel2MinS
ize)

       (Bug #54482)

     * In the Data Dump section of the Administrator, using the
       Export to Backup Project Folder option resulted in
       triggers being exported to both the table files and the
       routines files. Attempting to import the exported files
       produced an error due to the duplicated triggers. (Bug
       #54426)

     * When a .dbquery file created with MySQL Query Browser was
       opened in the SQL Editor, the Byte Order Mark (BOM) was
       not removed. This led to an erroneous character being
       prepended to the first statement, making it illegal. (Bug
       #54322)

     * When forward engineering to a live database, the
       generated SQL statements contained an erroneous
       additional carriage return at the end of each line. This
       manifested in two ways. In the first case, in the Forward
       Engineer to Database wizard, if Save to File was
       selected, a carriage-return character was appended to
       each line. In the second case, if Copy to Clipboard was
       selected, and the content subsequently pasted from the
       clipboard to an editor, the extra carriage return
       characters was attached only to the DDL statements inside
       Create View and Create Trigger. (Bug #54272, Bug #54244)

     * Printing or previewing an EER Diagram in
       Landscape/Tabloid produced blank output. (Bug #54240, Bug
       #54601)

     * MySQL Workbench generated excessive diagnostic messages
       at startup. Now MySQL Workbench does not display
       diagnostic messages by default on Linux, unless activated
       by starting MySQL Workbench with the --verbose option.
       (Bug #54021)

     * In the Columns tab of the Table Editor, column ordering
       handling had numerous problems. For example, dragging and
       dropping a column did not locate the column as expected.
       (Bug #53749)

     * If the Alter Routine dialog was maximized in the SQL
       Editor, the dialog buttons were no longer visible. (Bug
       #53734)

     * In the Configuration tab of the Administrator, the
       parameter innodb_support_xa on the InnoDB Parameters tab
       has a corresponding check box. If this was selected and
       changes applied, the confirmation dialog indicated these
       changes were made:
Added:  [mysqld] innodb_support_xa = True

       However, what was added to the my.cnf file was
       "innodb_support_xa". This meant there was no way to set
       this parameter (which defaults to True) to False using
       MySQL Workbench. (Bug #53449)

     * In the SQL Editor, if a query was executed and MySQL
       Workbench was minimized, the Results tab window area was
       not correctly redrawn on maximizing the application. (Bug
       #51991)

     * When synchronizing a model that contained triggers, MySQL
       Workbench generated erroneous DROP TRIGGER and CREATE
       TRIGGER statements, even when the triggers had not been
       changed. (Bug #51929)

     * MySQL Workbench displayed instability after an SSH
       connection to the server was closed, resulting in hanging
       or crashing behavior. (Bug #50554)

     * When creating a table containing columns with a BOOLEAN
       data type, the model then failed to validate, even though
       BOOLEAN is offered on the list of types available for
       columns. (Bug #49538)

     * In the Inserts editor, the underscores in column headings
       were incorrectly displayed as accelerator/shortcut keys.
       (Bug #48831)

     * For the Manage DB Connections dialog, labels such as user
       name and password were hidden when the dialog was opened
       at its default size. (Bug #47890)

     * In the Modeler, when opening a new object such as a
       table, the currently open tab was reused, rather than a
       new tab being opened. This made it difficult to compare
       objects such as tables and routines. (Bug #45557)

     * When a table was copied in the EER Diagram view, it was
       found that the paste menu option was visible but disabled
       when an attempt was made to paste the table into a new
       diagram. (Bug #38432)

Changes in MySQL Workbench 5.2.24 (2010-06-21)

   This section documents all changes and bug fixes applied
   since the release of 5.2.23.

   Functionality Added or Changed

     * A Kill Query button has been added to the Connections tab
       of the Administrator. (Bug #54409)

   Bugs Fixed

     * In the Configuration tab of the Administrator, this error
       resulted when changes were applied:
Could not Save Configuration File

There was an error saving the configurationfile: exec_cmd() takes at l
east 3 arguments (2
given)

       This happened while connecting to a FreeBSD 7.1 server
       over an SSH connection. (Bug #54647)

     * In the SQL Editor, entering a space into the SQL Query
       tab, selecting an external tab (such as the Overview tab
       or Output tab), and then selecting File, Close Tab caused
       MySQL Workbench to crash.
       Further, the Add Table dialog had numerous issues,
       including inability to select PK and other check boxes,
       failure to validate input, inability to apply changes,
       and deletion of user data in certain cases. (Bug #54124)

     * The Connections tab in the Administrator did not feature
       automatic refresh. This had to be manually triggered
       using the Refresh button. Further, the Kill Connection
       button was sometimes incorrectly disabled. (Bug #53703)

     * If a foreign key relationship was created, and its
       modelOnly property set, the relationship was correctly
       excluded when the model was synchronized with a live
       database. However, the DDL code for the foreign key
       indexes was still generated in the synchronization
       script. (Bug #53420)

     * Synchronizing a model with a live database generated
       ALTER statements, even when there appeared to be no
       difference between the database and the model. (Bug
       #50938)

     * In the SQL Editor, there was a space between the Execute
       and Stop toolbar buttons. Hovering the mouse cursor over
       this space resulted in the tooltip "Explain selected SQL"
       being displayed, which appeared to indicate a missing
       icon. (Bug #49316)

Changes in MySQL Workbench 5.2.23 (Not released)

   This section documents all changes and bug fixes applied
   since the release of 5.2.22.

   Functionality Added or Changed

     * In the SQL Editor, when more result tabs were generated
       than could fit into the current panel, it was not obvious
       how to navigate to those result sets that could not
       currently be displayed. This could be achieved using the
       left and right arrow keys, but MySQL Workbench now also
       includes a spin control to navigate the available tabs.
       (Bug #52998)

     * The Overview tab in the SQL Editor now supports scrolling
       of content using the mouse wheel. (Bug #50782)

   Bugs Fixed

     * In the SQL Editor, attempting to execute a selection in
       the SQL Query tab caused all text to be executed, not
       just the selected text. (Bug #54536)

     * Clicking a table caused MySQL Workbench to produce this
       error message:
MySQL Workbench has encountered a problem
Cannot access a disposed object
Object name: 'DockedWindowPlugin'.

       (Bug #54498)

     * In the SQL Editor, exporting a record set failed if the
       target path contained an international character. (Bug
       #54479)

     * In the Inserts tab of the Table Editor, adding a new row
       and applying changes had no effect. (Bug #54456)

     * In the General tab of Configuration in the Administrator,
       when the Temp directory option was selected, and a
       directory was selected using the file browser, MySQL
       Workbench inserted backslashes rather than forward
       slashes. If backslashes were used in this location in the
       configuration file, the server crashed at startup. (Bug
       #54445)

     * In the SQL Editor, if a table in the Overview tab was
       double-clicked, the query generated replaced code already
       entered into the SQL Query tab, resulting in the loss of
       that code. (Bug #54362)

     * Synchronizing a model with a live database produced
       incorrect SQL code:
ALTER TABLE `mydb`.`table1` AUTO_INCREMENT =  ;

       (Bug #54319)

     * In the SQL Editor, for result set exports to a
       tab-delimited file, MySQL Workbench added a .CSV file
       name extension. (Bug #54302)

     * In the SQL Editor, selecting Alter Table from the
       context-sensitive menu had no effect. (Bug #54283)

     * In the SQL Editor, editing a table with a row
       highlighted, right-clicking a BLOB column and loading a
       value from a file resulted in this error:
An external component has triggered an exception

       (Bug #54266)

     * Changing the name of a stored procedure in the modeler
       and saving changes caused an erroneous ';' character to
       be added to the SQL code sent to the database. That
       resulted in this error:
ERROR 1064: You have an error in your SQL syntax; check the manual tha
t
corresponds to your MySQL server version for the right syntax to use
near ';

USE `911datashop`' at line 1
SQL Statement:
;
USE `911datashop`

       (Bug #54258, Bug #11761738)

     * Clicking the Edit Table Data action item from the Home
       screen caused MySQL Workbench to crash. (Bug #54230)

     * The forward engineering Omit Schema Qualifier in Object
       Names option was not correctly applied to some statements
       in Trigger code. In these cases, the schema name remained
       in place. (Bug #54222)

     * Clicking external links in the embedded browser launched
       Internet Explorer rather than the default browser. (Bug
       #54192)

     * When entering binary data into the Inserts tab for a
       table, the data was truncated at the first null byte
       (\0). (Bug #54156)

     * Select All (Control+A) did not work when editing comments
       for a table or column. (Bug #54154)

     * After a foreign key was created, and the referenced table
       or column was changed, the change was not reflected in
       the foreign key, resulting in errors. (Bug #54134)

     * MySQL Workbench crashed if a pinned result tab was
       refreshed in the SQL Editor. (Bug #54114)

     * The integrated docs web server listened on a fixed port
       (8811), and was not able to handle the situation where
       this port may be used by another service, such as another
       MySQL Workbench instance. (Bug #54104)

     * In the SQL Editor, attempting to create a new schema
       using Create Schema with a server collation of utf8 -
       default collation produced SQL that resulted in an error
       when applied. (Bug #54097)

     * Performing an undo operation in SQL Editor actually
       resulted in an undo operation in the Modeler. (Bug
       #54091)

     * MySQL Workbench suffered user interface issues when used
       on a KDE-based system using a dark theme. (Bug #54083)

     * The HTTP server thread started by MySQL Workbench to
       provide documentation to the local web browser listened
       on all IP interfaces, even though it is intended only for
       local use. (Bug #54083)

     * Database export failed due to a faulty path in the
       command line:
15:42:52 Dumping rma3 (etat_produit)

Running: "mysqldump.exe" --defaults-extra-file=c:\docume~1\user\local
settings\temp\tmp9ypdhd  --no-create-info=FALSE --order-by-primary=FAL
SE --force=FALSE
--no-data=FALSE --tz-utc=TRUE --flush-privileges=FALSE --compress=FALS
E --replace=FALSE
--host=127.0.0.1 --insert-ignore=FALSE --extended-insert=TRUE --user=r
oot
--quote-names=TRUE --hex-blob=FALSE --complete-insert=FALSE --add-lock
s=TRUE --port=3306
--disable-keys=TRUE --delayed-insert=FALSE --delete-master-logs=FALSE
--comments=TRUE
--default-character-set=utf8 --flush-logs=FALSE --dump-date=TRUE --all
ow-keywords=FALSE
--create-options=TRUE --events=FALSE "rma3" "etat_produit"

Could not open required defaults file: c:\docume~1\user\local

Fatal error in defaults handling. Program aborted

mysqldump: Got error: 1045: Access denied for user 'root'@'localhost'
(using password:
NO) when trying to connect

Operation failed with exitcode 2

       (Bug #54067)

     * In the Alter Table dialog of the SQL Editor, if an
       attempt was made to set the NN flag for a column that did
       not have it set, an error was generated when the changes
       are applied. (Bug #53918)

     * When carrying out an Alter Routine operation in the SQL
       Editor, if a routine was modified, and a statement used
       that, although syntactically correct, was not permitted
       in a routine, all modifications were lost when changes
       were applied. (Bug #53887)

     * An EER Diagram appeared to contain hidden tables.
       Although the diagram contained 12 tables, when a 'select
       all' was performed the user was informed that 14 tables
       were selected. It seemed that certain tables had been
       resized to be so small as to no longer be visible in the
       diagram. (Bug #53885)

     * In the Layer Tree panel, if a layer was given a blank
       name, MySQL Workbench subsequently crashed, rather than
       warning about the of a blank name. (Bug #53807)

     * Keyboard shortcuts such as Command+C, Command+V, and
       Command+Z were not useable consistently in all parts of
       MySQL Workbench. (Bug #53790)

     * Columns defined as BIT appeared as requiring
       synchronization, even if no changes had been made. (Bug
       #53747)

     * In the Alter Routine dialog of the SQL Editor, if the
       Find and Replace dialog was invoked with Control+F, and
       Control+V was used to paste in some search text, the text
       was actually pasted into the routine code area. (Bug
       #53735)

     * MySQL Workbench failed to build from source on Debian
       Linux. This error was generated:
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I./src -I./src -pthread -D
NDEBUG -Wall
-Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -g -O2 -Wextra
-Wall -Wno-unused
-Wno-deprecated -c src/template.cc  -fPIC -DPIC -o .libs/libctemplate_
wb_la-template.o
In file included from ./src/ctemplate/per_expand_data.h:48,
                 from ./src/ctemplate/template_modifiers.h:69,
                 from src/template_modifiers_internal.h:53,
                 from src/template.cc:61:
./src/ctemplate/template_string.h:88: error: ISO C++ forbids declarati
on of 'TemplateId'
with no type
./src/ctemplate/template_string.h: In member function 'size_t
ctemplate::TemplateIdHasher::operator()(ctemplate::TemplateId) const':
./src/ctemplate/template_string.h:234: warning: right shift count >= w
idth of type
./src/ctemplate/template_string.h: At global scope:
./src/ctemplate/template_string.h:344: warning: overflow in implicit c
onstant conversion
src/template.cc: In static member function 'static void
ctemplate::Template::AssureGlobalsInitialized()':
src/template.cc:2365: warning: comparison between signed and unsigned
integer
expressions
make[5]: *** [libctemplate_wb_la-template.lo] Error 1

       (Bug #53668)

     * In the EER Diagram view, it was not possible to delete a
       relationship by right-clicking the relationship, then
       selecting Delete from the context-sensitive menu. (Bug
       #53659)

     * In the SQL Query tab of SQL Editor, tooltip error
       messages were still displayed, even after switching to
       another tab. (Bug #53634)

     * In the Diagram Size dialog, displayed using Model,
       Diagram Properties and Size, it was possible to set the
       size to 100 pages by 100 pages, but then click outside
       this area. This caused a MySQL Workbench Unexpected
       Error. (Bug #53559)

     * The Document Properties dialog was displayed across two
       screens in a multiple-screen setup. (Bug #53262)

     * After a default primary key name was set in the Workbench
       Preferences dialog, the PK flag was not selected as
       expected in the Table Editor and the column flags could
       not be selected. (Bug #52578)

     * When synchronizing with a live database, MySQL Workbench
       did not interpret whitespace in ENUMs correctly. For
       example, ENUM('image', 'video', 'swf') was seen as
       different from ENUM('image','video','swf'), causing the
       live server and model to appear unsynchronized. (Bug
       #49182)

     * When editing a column in the table editor, pressing
       Control+Z to undo the edit resulted in a previous
       operation being undone instead. (Bug #46286)

Changes in MySQL Workbench 5.2.22 (2010-06-02)

   This section documents all changes and bug fixes applied
   since the release of 5.2.21.

   Functionality Added or Changed

     * On Linux, MySQL Workbench automatically added a .sql
       extension, where an extension was not specified, to any
       script file saved from the SQL Editor. MySQL Workbench
       now does not automatically add a .sql extension on Linux.
       However, on Windows, the file extension is added if one
       is not specified. (Bug #53731)

     * MySQL Workbench now indicates that changes need to be
       saved using only an asterisk in the Model Overview tab,
       rather than this being reflected on individual EER
       Diagrams. (Bug #53042)

     * The SQL Editor now includes a new Set as Default Schema
       context menu item. This is applicable to schema nodes in
       the Object Browser and the Overview panel of the Query
       Editor. Previously the only way to change the default
       schema was to select the schema from the schema selector
       list located at the top of the Object Browser. (Bug
       #51479)

     * MySQL Workbench now supports creating a new tab in tabbed
       interfaces by using Control+T on Windows and Command+T on
       Mac OS X. (Bug #48798)

     * MySQL Workbench now supports entering of expressions such
       as DEFAULT or CURRENT_TIMESTAMP into the inserts editor.
       The expression needs to be preceded by \func. (Bug
       #36206)

   Bugs Fixed

     * If a property value was changed in the Workbench
       Preferences dialog, and OK was clicked, or a new tab was
       clicked before the cursor was moved away from the value
       being changed, the change was silently reverted. (Bug
       #54060)

     * If the Manage Server Instances dialog was launched, and
       either the New or Delete button was clicked, and then the
       dialog was closed, MySQL Workbench crashed if the New
       Server Instance action item was then clicked on the Home
       screen. (Bug #54028)

     * The Gnome keyring package was a dependency of MySQL
       Workbench. It was undesirable to require its installation
       on KDE-based systems. (Bug #54010)

     * MySQL Workbench did not size its application window
       correctly on screen sizes with a 16/9 aspect ratio. (Bug
       #53984, Bug #11761483)

     * When MySQL Workbench was launched, an overlay was
       displayed. In the application bar, the dialog prompting
       for the keyring password was waiting for input, but it
       was not possible to enter the password because the
       overlay hid the dialog. (Bug #53974)

     * On the Model Overview page, when a new user object was
       created with Add User in the Schema privileges section,
       it was not possible to change any of the user object's
       attributes. For example, if the name of the object was
       changed, it would then change back to its original
       setting. (Bug #53946)

     * In the EER Diagram view, heavy flicker resulted if the
       cursor was hovered over relationship lines or tables.
       (Bug #53941)

     * When a table containing triggers was loaded into the
       Alter Table dialog of SQL Editor, clicking the Triggers
       tab showed an empty trigger, rather than the correct
       trigger code. (Bug #53940)

     * In the SQL Editor, performing a query on a remote server
       returned BLOB values for columns that were not of type
       BLOB.
       Because binary byte strings tend to contain null bytes in
       their values, for safety reasons they were not displayed
       in the results grid. They could only be viewed or edited
       by means of the BLOB editor to avoid data truncation.
       MySQL Workbench now includes a new global option that has
       been added to the SQL Editor tab of the Workbench
       Preferences dialog. The option is Treat BINARY/VARBINARY
       as non-binary character string. By default, it is not
       selected. (Bug #53920)

     * Attempting to copy objects from an existing diagram to a
       new diagram resulted in this error:
OverviewBE::get_node: invalid node 1.0.0.22

       (Bug #53914)

     * In the SQL Editor, the context-sensitive menu options
       Copy to Clipboard and Send to SQL Editor both failed to
       work. This applied to both copying in the Object Browser
       and in the Overview tab. (Bug #53903)

     * In the SQL Editor, deleting a snippet from the snippet
       list using the toolbar button caused the first snippet to
       be deleted, regardless of which snippet was selected.
       (Bug #53860)

     * When forward engineering a schema to a database with the
       DROP Objects Before Each CREATE Object option selected,
       the DROP statement used a delimiter before it had been
       declared. (Bug #53853)

     * In the SQL Editor, if code was entered into the SQL Query
       tab, and then the application exited, MySQL Workbench did
       not prompt the user regarding unsaved changes, so they
       were lost. (Bug #53848)

     * In the SQL Editor, when renaming views or routines using
       the live editor, the generated ALTER script contained
       only DROP statements and not CREATE statements. (Bug
       #53847)

     * In the SQL Editor, when attempting to change an index
       from INDEX to UNIQUE using the Alter Table dialog, no
       changes were applied, and this error message was
       generated:
No changes to object were detected

       (Bug #53787)

     * In the Create Schema dialog of the SQL Editor, when a new
       schema name was entered, and changes applied, the schema
       name appeared to revert to the default name new_schema,
       rather than being changed to the newly specified name.
       This only happened on Mac OS X. (Bug #53764)

     * In the SQL Editor, if two procedures were defined in a
       script, each proceded with a suitable DROP statement,
       then when the script was executed and the procedures
       already existed, a "procedure already defined" error
       occurred. It appeared that the second DROP statement was
       being ignored. This problem happened if the line
       preceding the second DROP statement was terminated with a
       space. (Bug #53760)

     * With multiple tabs open in the SQL Editor, if the script
       in each tab was saved to a file in turn, the script was
       actually saved over the previously saved script,
       resulting in the loss of that script. (Bug #53733)

     * If multiple SQL Query tabs were opened in the SQL Editor,
       when a snippet was saved to the snippet list, the snippet
       saved would always be from the last opened SQL Query tab
       (the furthest to the right), rather than the currently
       selected tab. (Bug #53713)

     * In the Columns tab of the Table Editor, automatic data
       type completion did not occur if the type was entered in
       lowercase. MySQL Workbench now completes the data type
       regardless of lettercase. (Bug #53710)

     * Compiling MySQL Workbench from source failed with these
       errors:

...
-I../../library/dbc/src -I../../library/vsqlite++/include  -D_FORTIFY_
SOURCE=2   -O2
-fno-strict-aliasing -fwrapv -march=x86-64 -gdwarf-2 -g2  -Wextra -Wal
l -Wno-unused
-Wno-deprecated -ggdb3 -DENABLE_DEBUG   -MT canvas_floater.o -MD -MP -
MF
.deps/canvas_floater.Tpo -c -o canvas_floater.o `test -f 'model/canvas
_floater.cpp' ||
echo './'`model/canvas_floater.cpp
model/canvas_floater.cpp: In constructor 'wb::Floater::Floater(mdc::La
yer*, const
std::string&)':
model/canvas_floater.cpp:65:59: error: cannot call constructor 'mdc::C
olor::Color'
directly
model/canvas_floater.cpp:65:59: error:   for a function-style cast, re
move the redundant
'::Color'
make[3]: *** [canvas_floater.o] Error 1
make[3]: Leaving directory
`/home/users/Arvenil/rpm/BUILD/mysql-workbench-oss-5.2.21/backend/wbpr
ivate'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/users/Arvenil/rpm/BUILD/mysql-workbench-oss-5.2.21/backend'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/users/Arvenil/rpm/BUILD/mysql-workbe
nch-oss-5.2.21'
make: *** [all] Error 2


       (Bug #53687)

     * In the Data Dump tab of the Administrator, the Options
       panel was not rendered correctly. (Bug #53681)

     * In the SQL Editor, if a query was executed and then
       interrupted, MySQL Workbench hung. (Bug #53652)

     * If a query was entered in the SQL Query tab, and then
       Command+Enter was immediately pressed to execute the
       query, the query failed. This only happened on Mac OS X.
       (Bug #53650)

     * In the Create New Server Instance Profile wizard, on the
       Operating System page the MySQL Installation Type list
       was not populated correctly. Although all items were
       initially correctly displayed, if the Back button was
       clicked, and then Next clicked to return to the page, all
       the items in the list were duplicated. Each time this
       process was repeated the original list items would again
       be duplicated. (Bug #53649)

     * On the Home screen, the MySQL Team Blog and Workbench
       Team Blog icons linked to the same page. Further, the
       MySQL News Letter icon linked to the MySQL Developer
       forum. (Bug #53628)

     * In the SSH Shell Connection panel of the Manage Server
       Instances dialog, if any port other than 22 was
       specified, it was subsequently ignored. (Bug #53623)

     * The MySQL configuration file was corrupted by the
       Administrator when changes were applied, if the
       configuration file was not terminated with a new line.
       (Bug #53620)

     * In the SQL Editor, the toolbar items on the Snippets tab
       to replace and insert snippets had no effect when
       clicked. (Bug #53610)

     * Specifying a new font for the SQL Editor's SQL Query tab
       contents had no affect on appearance. (Bug #53605)

     * In the Data Dump section of the Administrator, this error
       occurred when an export was generated:
mysqldump: Error 2020: Got packet bigger than 'max_allowed_packet' byt
es when dumping
table 'xxx' at row: 1

       This happened only for larger tables. (Bug #53599)

     * MySQL Workbench crashed when attempting to connect to a
       Linux server using an SSH connection. (Bug #53476)

     * When a model containing a stored procedure was forward
       engineered to a script, the script contained invalid SQL
       code. This happened when the DROP Objects Before Each
       CREATE Statement and Export MySQL Routine Objects options
       were selected. Problems with the SQL code included a
       delimiter being used before its definition and also DROP
       statements not being terminated. (Bug #53467)

     * MySQL Workbench crashed on selection of the Model, Create
       Diagram from Catalog Objects menu item. (Bug #53454)

     * It was not possible to edit schema properties in the
       schema editor, such as name and default collation. (Bug
       #53438)

     * When a model containing a table using a 1:n relationship
       was synchronized with a live database, the relationship
       then failed to render in the EER Diagram. (Bug #53252)

     * Loading a large script was loaded into the SQL Editor
       resulted in an out of memory exception. Memory exhaustion
       was caused by inefficient end of line conversion. The SQL
       Editor now supports custom end of line formats and
       preserves the original line endings used in the file. End
       of line conversion is no longer used and large files load
       faster and more efficiently. (Bug #53190)

     * In the Manage DB Connections dialog, selecting Use ANSI
       quote to quote identifiers had no effect with respect to
       subsequent queries using that connection. (Bug #53160)

     * Delimiters were erroneously added to trigger code if the
       currently selected schema was changed. (Bug #53151)

     * In the Triggers tab of the Table Editor, if a trigger was
       written that contained a DROP TRIGGER statement, the
       statement was automatically removed. (Bug #53023)

     * MySQL Workbench generated an exception when an attempt
       was made to change the configuration file in the System
       Profile tab of the Manage Server Instances dialog. (Bug
       #52947)

     * In the Alter Table dialog of the SQL Editor, entering a
       column comment in the Comments tab and applying the
       changes did not save the comment. (Bug #52893)

     * Setting WB_NO_GNOME_KEYRING=1 on Kubuntu did not appear
       to disable the Gnome keyring. It was therefore impossible
       to connect without an active keyring daemon. (Bug #52866)

     * When scrolling in an EER Diagram, MySQL Workbench
       repeatedly displayed an error dialog containing the
       message "OpenGL error: invalid value". (Bug #52840)

     * In the Data Dump section of the Administrator, when a
       schema was dumped to multiple files, the stored routines
       were not exported. (Bug #52798)

     * It was not possible to set ON UPDATE CURRENT_TIMESTAMP as
       the default value for a column. (Bug #52350)

     * If a table was dragged from the catalog tree on to the
       EER Diagram, the catalog tree collapsed. (Bug #51862)

     * In the Connections tab of the Administrator, queries
       containing a comment did not always display correctly in
       the Info column. (Bug #51848)

     * Output did not scale correctly for print sizes other than
       A4. (Bug #51515)

     * When synchronizing to a live database, triggers showed as
       requiring updating, even when the model and live database
       were identical. (Bug #51409)

     * If an SQL file saved in Windows file format was loaded
       into the SQL Editor, it was displayed with additional
       line breaks, and the SQL code was not interpreted
       correctly. Further, if code written in the SQL editor was
       saved to a file and then opened in an editor on Windows,
       it contained additional line breaks. (Bug #51308)

     * In the Connections tab of the Administrator facility,
       host names that contained a '-' character were sometimes
       not displayed correctly. (Bug #51119)

     * In the SQL Editor, if the Add Table facility was used to
       create a new table with the same name as an existing
       table, then after changes were applied, the content of
       both tables was the same as the existing table, and
       changes unique to the second table were lost. (Bug
       #51107)

     * Attempts to forward engineer a project that contained a
       view failed with this error:
ERROR: Error 1046: No database selected

       (Bug #51091)

     * Inserts added to a model and saved on Windows were not
       visible when that model was loaded on Mac OS X. (Bug
       #51029)

     * In the SQL Editor, carrying out a SELECT on a table
       containing more than 1000 columns resulted in the error
       Too many SQL variables. (Bug #50952)

     * In the Model Overview page, when small icons view was
       selected, if table names were truncated, there were no
       tooltips to enable visibility of the full names. The
       tooltips, however, were present for the large icons view,
       and the details view. (Bug #50739)

     * MySQL Workbench reported a server as not running, even if
       it was. The MySQL Server concerned was running on 64-bit
       Windows 7. (Bug #50585)

     * In the EER Diagram view, it was not possible to paste a
       copied layer. The paste menu item was disabled in the
       context-sensitive menu and main menu, and pressing
       Control+V had no effect. (Bug #50253)

     * In the EER Diagram view, when the diagram was displayed
       over multiple pages, the gray line dividing pages in the
       Navigator was not visible in the diagram itself. (Bug
       #50243)

     * In the EER Diagram view, when zoomed out, a layer could
       be placed beyond the diagram's perimeter at the bottom
       right. Further, if a layer was placed beyond the
       perimeter at the top left, it snapped back within
       confines of the diagram correctly, but the navigator view
       was not updated accordingly. (Bug #50242)

     * Zooming out from a diagram in EER Diagram view resulted
       in severe flicker. (Bug #50240)

     * If a Workbench model file was double-clicked, MySQL
       Workbench crashed on launch. However, if MySQL Workbench
       was started using its application icon, and then the same
       model file was loaded from within MySQL Workbench, no
       problems were encountered. (Bug #49941)

     * When using Create EER Model from SQL Script from the Home
       screen, the specified engine type was not present in the
       resulting EER model. (Bug #49568)

Changes in MySQL Workbench 5.2.21 (2010-05-12, Release Candidate)

   First release candidate. This section documents all changes
   and bug fixes applied since the release of 5.2.20.

   Functionality Added or Changed

     * MySQL Workbench now features a check that compares the
       mysqldump version on the client and server machines. (Bug
       #52689)

     * MySQL Workbench now includes the following menu items and
       keyboard shortcuts:

          + Execute Current Statement, Control+Enter

          + Execute (All or Selection), Control+Shift+Enter

          + Explain Current Statement, Control+Alt+Enter

          + Explain (All or Selection), Control+Alt+Shift+Enter
       The Stop toolbar button and menu item now are
       automatically enabled and disabled. (Bug #50911)

   Bugs Fixed

     * Proceeding through the Edit Table Data wizard (launched
       by the Edit Table Data action item on the Home screen)
       and clicking Finish to complete the wizard caused MySQL
       Workbench to crash. (Bug #53511)

     * When forward engineering a model to a database, not all
       tables were created on the live database. (Bug #53506)

     * Russian characters were not displayed correctly in the
       SQL Query tab of the SQL Editor. (Bug #53408)

     * It was not possible to give the index name and foreign
       key name of a column different names. Now renaming an
       index in MySQL Workbench does not automatically rename a
       corresponding foreign key. Renaming a foreign key
       automatically renames the associated index only if the
       names still match at the time the foreign key is renamed.
       (Bug #53370)

     * The Edit SQL Script action item on the Home screen failed
       to load and execute the script. (Bug #53359)

     * If a socket/pipe connection method was used, and the
       password was stored in the keychain, MySQL Workbench
       could not connect to the server. (Bug #53355)

     * On Mac OS X, the overlay text for NULL and BLOB fields
       was missing from the results grid in the SQL editor. This
       meant that those fields appeared empty if a query was
       executed that returned a BLOB, such as SELECT
       SHA1('hello');. (Bug #53335)

     * Changing the fonts in the Workbench Preferences dialog
       had no effect on the appearance of MySQL Workbench. (Bug
       #53321, Bug #49832)

     * In the SQL Editor, if some script text was highlighted,
       when Control+S was pressed to save the script to a file,
       only the highlighted text was saved. (Bug #53275)

     * An error was generated when a server was selected from
       the Import/Export MySQL Data dialog, displayed after
       clicking the Manage Import/Export action item on the Home
       screen. (Bug #53271)

     * In the modeler, if a table was double-clicked to open it
       in the Table Editor, and then, without closing the Table
       Editor, another table was double-clicked to open it, the
       Table Editor was rendered as a blank panel. (Bug #53250,
       Bug #53347)

     * MySQL Workbench crashed after using the Edit SQL Script
       action item from the Home screen. In the Edit SQL Script
       wizard, a connection was chosen that did not use a stored
       password, and then a script selected and the Finish
       button clicked to exit the wizard. MySQL Workbench
       subsequently crashed when the requested password was
       entered into the dialog and the OK clicked. (Bug #53247)

     * In the SQL Editor, if a BLOB field containing an image
       was loaded into the Viewer, the image was not displayed.
       (Bug #53245)

     * In the Administrator tab of the Workbench Preferences
       dialog, the description to the right of the text field
       Path to mysql Tool was incorrect. (Bug #53201)

     * MySQL Workbench permitted the creation of invalid foreign
       keys that referenced a column that did not use a PRIMARY
       KEY or UNIQUE key declaration. MySQL Workbench now
       filters the list of columns permitted for a referenced
       foreign key, so that only primary key and indexed columns
       are listed. (Bug #53136)

     * In the Alter Table dialog of the SQL Editor, it was not
       possible to create new Foreign Keys. (Bug #53134)

     * If a model was saved using a file name that contained
       non-English characters, it could not be reopened from the
       list of existing models on the Home screen. (Bug #53110)

     * In the SQL Editor, if multiple Query tabs were opened so
       that they used more than the available screen width, it
       was not possible to move to the tabs that were not
       visible. MySQL Workbench now includes scroll buttons
       should the number of tabs exceed the screen width. The
       scroll buttons make it possible to access non-visible
       tabs. (Bug #53070)

     * If a model was forward engineered to a database, renamed,
       and then forward engineered again, the SQL that was
       generated was erroneous. (Bug #53068)

     * In the Inserts tab of the Table Editor, if characters
       were entered into an integer column, MySQL Workbench
       crashed when a new column was selected. (Bug #53066)

     * If a table was copied in the modeler, the copy of the
       table was renamed. However, foreign key relationships
       contained within the table were not renamed. (Bug #53020)

     * In the Alter Table dialog of the SQL Editor, if two
       triggers were created, the second with a bad command, and
       the error corrected, then when changes were applied, the
